.\" synced with 1.593
.\" MPlayer (C) 2000-2004 MPlayer Team
.\" Questa pagina di manuale fu/e' stata fatta da Gabucino, Diego Biurrun, Jonas Jermann
.\" Traduzione in italiano di Daniele Forghieri
.
.\" --------------------------------------------------------------------------
.\" Definizione Macro
.\" --------------------------------------------------------------------------
.
.\" l' indentazione di default e' 7, non cambiarla!
.nr IN 7
.\" definisci l' indentazione per le sotto opzioni
.nr SS 5
.\" aggiunga una nuova sotto opzione
.de IPs
.IP "\\$1" \n(SS
..
.\" inizio di una sotto opzione di primo livello, finire con .RE
.de RSs
.RS \n(IN+3
..
.\" inizio di una sotto opzione di secondo livello
.de RSss
.PD 0
.RS \n(SS+3
..
.\" fine di una sotto opzione di secondo livello
.de REss
.RE
.PD 1
..
.
.\" --------------------------------------------------------------------------
.\" Titolo
.\" --------------------------------------------------------------------------
.
.TH MPlayer 1 "2004-01-16" "The MPlayer Project" "The Movie Player"
.
.SH NOME
mplayer  \- visualizzatore di film
.br
mencoder \- codificatore di film
.
.\" --------------------------------------------------------------------------
.\" Sommario
.\" --------------------------------------------------------------------------
.
.SH SOMMARIO
.na
.nh
.B mplayer
.RI [opzioni]\ [ \ file\  | \ URL\  | \ playlist\  | \ \-\  ]
.br
.B mplayer
'in +\n[.k]u
[opzioni globali]
.I file1
[opzioni specifiche] [file2] [opzioni specifiche]
.br
.in
.B mplayer
'in +\n[.k]u
[opzioni globali]
.RI { "gruppo di file ed opzioni" }
[opzioni specifiche del gruppo]
.br
.in
.B mplayer
'in +\n[.k]u
.RI [ mms[t] | http | http_proxy | rt[s]p | ftp ] ://
[utente:password@]\fIURL\fP[:porta] [opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I dvd://titolo
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I vcd://traccia[/device]
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I tv://[canale]
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I mf://mascherafile
[-mf opzioni] [opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I [cdda|cddb]://traccia[:velocita'][/device]
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I cue://file[:traccia]
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I sdp://file
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I mpst://host[:porta]/URL
[opzioni]
.br
.in
.B mplayer
'in +\n[.k]u
.I dvb://[numero_scheda@]canale
[opzioni]
.br
.in
.B mencoder
[opzioni]
.RI [ \ file\  | \ URL\  | \ \-\  ]
[\-o\ file]
.br
.B gmplayer
[opzioni]
[\-skin\ skin]
.ad
.hy
.
.\" --------------------------------------------------------------------------
.\" Descrizione
.\" --------------------------------------------------------------------------
.
.SH DESCRIZIONE
.B mplayer
e' un visualizzatore di film per LINUX (gira su molti altri Unix e su CPU
non-x86, controlla la documentazione).
Visualizza la maggior parte dei file del tipo MPEG/\:VOB, AVI, ASF/\:WMA/\:WMV,
RM, QT/\:MOV/\:MP4, OGG/\:OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM e RoQ,
supportato da molti codec nativi, altri provenienti da XAnim oppure attraverso
codec presenti nelle DLL di Win32.
Puoi guardare VideoCD, SVCD, DVD, 3ivx, DivX\ 3/\:4/\:5 ed addirittura film in
formato WMV (senza usare la libreria avifile).
.PP
Un altra grande caratteristica di MPlayer e' l' ampia gamma di dispositivi di
uscita gestiti.
Funziona con X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB,
Quartz, ma puoi anche usare GGI, SDL (e tutti i loro driver), VESA (su ogni
scheda compatibile VESA, anche senza X11), qualche driver a basso livello
specifico per alcune schede video (per Matrox, 3Dfx e ATI) e qualche scheda
di decodifica MPEG hardware come la Siemens DVB, DXR2 e DXR3/\:Hollywood+.
La maggior parte supporta la riscalatura via software od hardware cosi' puoi
gustarti i filmati a schermo intero.
.PP
MPlayer ha un display su schermo (On Screen Display, OSD) per fornire informazioni
sullo stato, grandi e bei sottotitoli sfumati con antialias ed un riscontro visuale
dei comandi da tastiera.
Sono supportati font europei/\:ISO 8859-1,2 (Ungherese, Inglese, Ceco, etc),
Cirillici e Coreani insieme a 11 formati di sottotitoli (MicroDVD, SubRip,
SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS ad il nostro: MPsub)
oltre ai sottotitoli dei DVD (flussi SPU, VobSub e Closed Captions).
.PP
.B mencoder
(MPlayer's Movie Encoder, Codificatore di film di MPlayer) e' un semplice
codificatore di film, progettato per codificare tutti i filmati visualizzabili
da MPlayer (vedi sopra) in altri formati sempre visualizzabili da MPlayer (vedi
sotto).
Codifica il video in formato DivX4, XviD, uno qualsiasi dei codec di libavcodec
e l' audio in PCM/\:MP3/\:VBRMP3 in 1, 2 o 3 passi.
Inoltre ha la capacita' di copiare direttamente i flussi (stream), un potente
sistema di plugin (riduci, espandi, ribalta, post elaborazione, ruota, riscala,
aggiunta rumore, conversioni rgb/\:yuv) ed oltre.
.PP
.B gmplayer
e' MPlayer con una interfaccia utente grafica.
Ha le stesse opzioni di MPlayer.
.PP
.B Controlla anche la documentazione in formato HTML!
.PP
Nota alla traduzione italiana: nella traduzione alcune parole sono rimaste
in inglese (driver in testa) perche' ritengo che renda il tutto piu' chiaro.
Alcune parole sono state invece tradotte ma potreste non riconoscerle (ad
esempio sharpness) percio' a volte, soprattutto per quello che riguarda
opzioni avanzate di codifica oppure opzioni di debug, potrebbero essere
piu' comprensibili le pagine di manuale in inglese ;-).
.
.
.\" --------------------------------------------------------------------------
.\" Controlli da tastiera
.\" --------------------------------------------------------------------------
.
.SH "COMANDI DA TASTIERA"
MPlayer ha un interfaccia di controllo completamente configurabile, guidata da
comandi, che ti permette di controllarlo usando la tastiera, il mouse, un
joystick oppure un controllo remoto (utilizzando lirc).
.br
Il file di configurazione di default e'
~/.mplayer/\:input.conf ma puo' essere specificato usando l' opzione
\-input conf.
.br
Questi tasti possono/\:non possono funzionare, dipendendo dal dispositivo di
visualizzazione (driver)
.TP
.B Controlli generali
.PD 0
.RSs
.IPs "<\- e \->"
ricerca indietro/\:avanti 10 secondi
.IPs "su e giu'"
ricerca indietro/\:avanti 1 minuto
.IPs "pagina su e pagina giu'"
ricerca indietro/\:avanti 10 minuti
.IPs "< e >"
indietro/\:avanti nella playlist
.IPs "HOME e FINE"
vai alla 'entry' successiva/\:precedente nella playlist
.IPs "INS e CANC"
va alla successiva/\:precedente sorgente alternativa (solo playlist asx)
.IPs "p / SPAZIO"
pausa film (qualsiasi tasto continua)
.IPs "q / ESC"
smette di riprodurre ed esce
.IPs "+ e -"
regola il ritardo audio di +/\:- 0.1 secondi
.IPs "/ e *"
aumenta/\:diminuisce il volume
.IPs "9 e 0"
aumenta/\:diminuisce il volume
.IPs m\ \ \ \ 
suono muto
.IPs f\ \ \ \ 
attiva/disattiva schermo intero
.IPs T\ \ \ \ 
attiva/disattiva stay-on-top (rimani in primo piano).
Supportato dai driver che usano X11, eccetto SDL, cosi' come da directx e
gl2 sotto Windows.
.IPs "w e e"
diminuisce/\:aumenta la gamma del panscan
.IPs o\ \ \ \ 
cambia lo stato del OSD: nessuno / posizione / posizione + tempo
.IPs d\ \ \ \ 
cambia lo stato dell' eliminazione frame:  nessuno / salta visualizzazione / salta decodifica
(vedi \-framedrop e \-hardframedrop)
.IPs v\ \ \ \ 
cambia la visiblita' dei sottotitoli
.IPs j\ \ \ \ 
cambia il linguaggio dei sottotitoli
.IP F\ \ \ \ 
cambia la visualizzazione dei sottotitoli forzati ("forced subtitles")
.IPs a\ \ \ \ 
cambia l' allineamento dei sottotitoli: alto/mezzo/basso
.IPs "z e x"
regola il ritardo dei sottotitoli di +/\:- 0.1 secondi
.IPs "r e t"
regola la posizione dei sottotitoli
.IPs i\ \ \ \ 
attiva un punto EDL
.RE
.PD 1
.PP
I seguenti tasti sono validi solo quando si usa un dispositivo di uscita
con accelerazione hardware (xv, (x)vidix, (x)mga, etc), oppure il filtro
software di equalizzazione (\-vf eq oppure \-vf eq2).
.PP
.PD 0
.RSs
.IPs "1 e 2"
regola il contrasto
.IPs "3 e 4"
regola la luminosita'
.IPs "5 e 6"
regola la tonalita' (hue)
.IPs "7 e 8"
regola la saturazione
.RE
.PD 1
.
.TP
.B Comandi da tastiera per la GUI
.PD 0
.RSs
.IPs ENTER
inizia la riproduzione
.IPs s\ \ \ \ 
ferma la riproduzione
.IPs l\ \ \ \ 
carica file
.IPs c\ \ \ \ 
selezionatore skin
.IPs p\ \ \ \ 
cambia playlist.
.RE
.PD 1
.
.TP
.B Controlli di ingresso TV
.PD 0
.RSs
.IPs "h e k"
seleziona il canale precedente/\:successivo
.IPs n\ \ \ \ 
cambia la norma (PAL/NTSC)
.IPs u\ \ \ \ 
cambia la lista dei canali
.RE
.PD 1
.
.
.\" --------------------------------------------------------------------------
.\" Opzioni
.\" --------------------------------------------------------------------------
.
.SH "USO"
Ogni opzione 'flag' ha una controparte 'noflag', e.g.\& l' opposto dell'
opzione \-fs e' \-nofs.
.PP
Se una opzione e' marcata come (solo XXX) allora funzionera' solo in combinazione
con l' opzione XXX oppure se XXX e' compilato dentro.
.PP
Puoi mettere tutte le opzioni in un file di configurazione che verra' letto
ogni volta che MPlayer viene lanciato.
Il file di configurazione globale 'mplayer.conf' e' nella tua directory di
configurazione (e.g.\& /etc/\:mplayer o /usr/\:local/\:etc/\:mplayer), quello
specifico dell' utente e' '~/\:.mplayer/\:config'.
Le opzioni del file utente hanno precedenza sulle opzioni globali e le opzioni
della linea di comando hanno precedenza su quello specificato in entrambi i file.
La sintassi del file di configurazione e' 'option=<valore>', tutto quello che
viene dopo '#' e' considerato un commento.
Le opzioni che si attivano senza valori possono essere abilitate regolandole a
'yes' o '1' e disabilitate regolandole a 'no' o '0'.
Anche le sotto opzioni possono essere specificate in questo modo.
.PP
.I ESEMPIO:
.br
# Usa il driver Matrox per default.
.br
vo=xmga
.br
# Mi piace stare a testa in giu' mentre guardo i video.
.br
flip=yes
.br
# Decodifico/\:Codifica file multipli di tipo png,
.br
# da lanciare con mf://filemask
.br
mf=type=png:fps=25
.br
# Le immagini negative sono forti.
.br
vf=eq2=1.0:-0.8
.PP
Puoi anche scrivere configurazioni specifiche per i singoli file.
Se desideri avere un file di configurazione per un film che si chiama 'movie.avi',
crea un file di nome 'movie.avi.conf' con le opzioni specifiche dentro di esso
e salvalo in ~/.mplayer oppure nella stessa directory del file del film.
.
.
.SH "OPZIONI GENERALI"
.TP
.B \-codecs-file <nomefile>
Usa il file specificato al posto del file codecs.conf di sistema o di quello
integrato nel programma.
Vedi anche \-afm, \-ac, \-vfm e \-vc.
.TP
.B \-include <configuration\ file>
Specifica un file di configurazione da interpretare dopo quelli di default.
.TP
.B \-quiet \ \ 
Con questa opzione la linea di stato (i.e. A:   0.7 V:   0.6 A-V:  0.068 ...)
non viene visualizzata.
Particolarmente utile su terminali lenti oppure che non funzionano correttamente e
non gestiscono in modo giusto il ritorno carrello (i.e. \\r).
.TP
.B \-v, \-verbose
Incrementa il livello di verbosita' (piu' \-v significano piu' verbosita').
.
.PD 0
.RSs
.IPs 0
Solo qualche informazione (default)
.IPs 1
Qualche informazione di base per il debug, intestazione file avi, valori di funzione (init debug)
.IPs 2
Stampa gli indici dei file avi, i blocchi di ingresso, piu' informazioni di debug (player debug)
.IPs 3
Stampa tutto quello relativo all' interpretazione dell' ingresso (parser debug)
.RE
.PD 1
.
.
.
.SH "OPZIONI DI RIPRODUZIONE (SOLO MPLAYER)"
.TP
.B \-autoq <quality> (da usare con \-vf [s]pp)
Cambia dinamicamente il livello di post elaborazione a seconda del tempo di
CPU libero.
Il numero che specifichi e' il massimo livello usato.
Normalmente puoi usare qualche numero grande.
Devi usare l' opzione \-vf [s]pp senza parametri per poterlo usare questa opzione.
.TP
.B \-autosync <fattore>
Regola gradualmente la sincronizzazione A/\:V basandosi sulla misura del
ritardo dell' audio.
Specificando \-autosync\ 0, il default, la temporizzazione dei frame sara'
basata interamente sulla misura del ritardo dell' audio.
L' opzione \-autosync\ 1 si comporta nello stesso modo,
ma viene cambiato leggermente l' algoritmo di correzione A/\:V usato.
Un filmato con una velocita' (frame rate) irregolare che viene visualizzato
in modo corretto con \-nosound puo' spesso venir aiutato utilizzando qusto
parametro ad un valore maggiore di 1.
Maggiore il valore, piu' il comportamento sara' simile all' utilizzo di \-nosound.
Prova \-autosync\ 30 per minimizzare problemi con driver audio che non
implementano una misura perfetta del ritardo audio.
Con questo valore, se capita un grande ritardo nella sincronizzazione A/\:V,
in circa 1 o 2 secondi tutto quanto si sistemera'.
Questo ritardo nella reazione ad improvvisi scostamenti A/\:V dovrebbe essere
l' unico effetto collaterale nell' abilitare questa opzione, per tutti i driver
audio.
.TP
.B \-benchmark
Stampa qualche statistica sull' uso della CPU e sui fotogrammi scartati al termine.
Usalo in combinazione con \-nosound e \-vo null se vuoi testare solo il codec
video.
br
.I NOTA:
Con questa opzione MPlayer ignorera' la durata dei fotogrammi quando si riproduce
solo video (puoi pensare a questo come ad fps, frame per second, fotogrammi al
secondo, infiniti).
.TP
.B \-colorkey <number>
Cambia colorkey ad una valore RGB di tua scelta.
0x000000 e' nero e 0xffffff e' bianco.
Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix e
xover.
.TP
.B \-nocolorkey
Disabilita il colorkeying.
Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix e
xover.
.TP
.B \-edl <nomefile> (solo EDL)
Abilita le azioni della lista di decisione di modifica (edit decision list, EDL)
durante la riproduzione.
Il video viene saltato e l' audio viene suonato o meno controllato dai valori presenti nel
file specificato.
Vedi DOCS/HTML/en/edl.html per dettagli su come usare le EDL.
.TP
.B \-edlout <nomefile> (solo EDL)
Crea un nuovo file e scrive comandi della lista di decisione di modifica (EDL)
in questo file.
Durante la riproduzione, quando l' utente preme 'i', un' azione per saltare gli
ultimi due secondi di filmato viene scritta nel file.
Questo fornisce un punto di partenza dal quale l' utente puo' successivamente
ottimizzare i comandi.
Vedi DOCS/HTML/en/edl.html per dettagli.
.TP
.B \-enqueue (solo GUI)
Accoda i file specificati sulla linea di comando nella playlist invece di
riprodurli immediatamente.
.TP
.B \-fixed-vo (CODICE BETA!)
Forza un sistema video fisso per file multipli (una sola inizializzazione /
deinizializzazione per tutti i file).
Percio' solo una finestra verra' aperta per tutti i file.
Attualmente i seguenti driver funzionano con fixed-vo: gl2, mga, svga, x11,
xmga, xv e xvidix.
.TP
.B \-framedrop (vedi anche \-hardframedrop)
Elimina la visualizzazione di alcuni fotogrammi per mantenere il sincronismo
A/\:V con sistemi lenti.
I filtri video non sono applicati a questi fotogrammi.
Nel caso di fotogrammi di tipo B anche la decodifica viene completamente
saltata.
.TP
.B \-h, \-help, \-\-help
Visualizza un corto elenco delle opzioni.
.TP
.B \-hardframedrop
Eliminazione ancora piu' intensa di fotogrammi (rovina la decodifica).
Porta a distorsioni delle immagini!
.TP
.B \-identify
Visualizza i parametri del file in un formato facile da interpretare.
Lo script di appoggio TOOLS/midentify toglie il resto delle stampe di MPlayer e
(si spera) corregge per la shell (shellescapes) i nomi dei file.
.TP
.B \-input <comandi>
Questa opzione puo' essere usata per configurare certe parti del
sistema di ingresso.
I percorsi sono relativi a ~/\:.mplayer/.
.br
.I NOTA:
L' autorepeat e' attualmente supportato solo dai joysticks.

I comandi disponibili sono:

.PD 0
.RSs
.IPs conf=<file>
Legge un file alternativo input.conf.
Se il parametro e' senza percorso viene considerato ~/\:.mplayer.
.IPs ar-delay
Ritardo in msec prima di cominciare ad auto ripetere un tasto (0 per disabilitare)
.IPs ar-rate
Quante pressioni abbiamo per secondo quanto e' attivo l' autorepeat.
.IPs keylist
Stampa tutti i tasti che possono essere collegati.
.IPs cmdlist
Stampa tutti i comandi che possono essere collegati.
.IPs js-dev
Specifica il device del joystick da usare (il default e' /dev/\:input/\:js0).
.IPs file\ 
Legge i comandi dal file specificato.
Normalmente utile con un fifo.
.br
.I NOTA:
Quando il file specificato e' un fifo MPlayer ne apre entrambi gli estremi
cosi' puoi dare molti 'echo "seek 10" > mp_pipe' e la pipe rimarra' valida.
.RE
.PD 1
.
.TP
.B \-lircconf <file> (solo LIRC)
Specifica un file di configurazione per LIRC (Linux Infrared Remote Control,
Controllo Remoto ad Infrarossi per Linux, see http://www.lirc.org) se non
ti piace il default ~/\:.lircrc.
.TP
.B \-list-options
Stampa tutte le opzioni disponibili.
.TP
.B \-loop <numero>
Ripete la riproduzione del film <numero> volte.
0 significa per sempre.
.TP
.B \-menu (solo menu OSD)
Attiva il supporto per il menu su OSD.
.TP
.B \-menu-cfg <file> (solo menu OSD)
Usa un file alternativo per menu.conf.
.TP
.B \-menu-root <valore> (solo menu OSD)
Specifica il menu principale.
.TP
.B \-nojoystick
Disabilita il supporto per il joystick.
Per default e' abilitato se compilato nel programma.
.TP
.B \-nolirc
Disabilita il supporto per LIRC.
.TP
.B \-nomouseinput (solo X11)
Disabilita la gestione dell' ingresso della pressione / rilascio dei bottoni
del mouse (i menu del contesto di mozplayerxp si basano su questa opzione).
.TP
.B \-nortc (solo RTC)
Disabilita l' utilizzo di Linux RTC (real-time clock, orologio in tempo reale \- /dev/\:rtc)
per la gestione delle temporizzazioni.
.TP
.B \-playlist <file>
Riproduce i file seguendo la playlist specificata (1 file per riga oppure
formato Winamp oppure formato ASX)
.br
.I NOTA:
Questa opzione e' considerata un file percio' le opzione trovate
successivamente ad essa verranno applicate solo agli elementi di questa
playlist.
.TP
.B \-really-quiet
Visualizza ancora meno informazioni e messaggi di stato.
.TP
.B \-shuffle
Riproduce i file in ordine casuale.
.TP
.B \-skin <skin\ directory> (solo GUI)
Carica la skin dalla directory specificata (SENZA nome del percorso)

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-skin fittyfene"
prova Skin/fittyfene.
Controlla prima in
/usr/local/share/mplayer/
e poi in ~/.mplayer/.
.RE
.PD 1
.
.TP
.B \-slave \ \ 
Questa opzione abilita la modalita' slave (schiavo o servo)
Questa opzione viene intesa per poter usare MPlayer come
riproduttore asservito (backend) di altri programmi.
Invece di intercettare gli eventi della tastiera, MPlayer leggera' semplicemente
delle linee di comando da stdin.
.TP
.B \-softsleep
Usa temporizzazioni software di alta qualita'.
Preciso come l' utilizzo di RTC senza richiedere privilegi speciali.
Utilizza pero' maggiormente la CPU.
.TP
.B \-speed <0.01\-100>
Regola la velocita' di riproduzione.
.TP
.B \-sstep <sec>
Specifica i secondi tra la visualizzazione dei fotogrammi.
Utile per le presentazioni.
.TP
.B \-use-stdin
L' ingresso standard (noto anche come stdin) verra' utilizzato per leggere
i dati invece di utilizzare direttamente gli eventi della tastiera.
Se apri /dev/stdin (oppure l' equivalente nel tuo sistema), utilizzi stdin
in una playlist oppure intendi leggere da stdin successivamente oppure
attraverso i comandi loadfile o loadlist tu
.B necessiti
di questa opzione.
.
.
.SH "OPZIONI DEMUXER/STREAM"
.TP
.B \-a52drc <livello>
Seleziona il livello di Rapporto di Compressione Dinamica (Dynamic Range Compression) per
il flusso audio AC3.
<livello> e' un valore in floating point da 0 a 1, dove 0 indica nessuna compressione
e 1 (che e' il default) indica compressione completa (rende i passaggi forti / rumorosi piu'
silenziosi e viceversa)
Questa opzione ha effetto solo se il flusso AC3 contiene le informazioni
di compressione necessarie.
.TP
.B \-aid <id> (vedi anche l' opzione \-alang)
Seleziona il canale audio [MPEG: 0\-31 AVI/\:OGM: 1\-99 ASF/\:RM: 0\-127
VOB(AC3): 128\-159 VOB(LPCM): 160\-191 MPEG-TS 17\-8190].
MPlayer stampa gli id disponibili se viene lanciato in modalita'
verbosa ((\-v).
Quando si riproduce un flusso MPEG-TS, MPlayer/Mencoder useranno il primo
programma (se presente) con il flusso audio scelto.
.TP
.B \-alang <codice a due lettere del paese> (vedi anche l' opzione \-aid) (solo DVD)
Funziona solo per la riproduzione di DVD.
Seleziona la lingua audio e cerca sempre di suonare il flusso audio della
lingua corrispondente al codice dato.
Per una lista dei linguaggi utilizza l' opzione \-v e dai una occhiata a
quello che viene stampato.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-alang it,en"
Utilizza l' italiano e passa all' inglese se l' italiano non e' disponibile.
.RE
.PD 1
.
.TP
.B \-audio-demuxer <numero> (solo \-audiofile)
Forza il tipo di demuxer audio per \-audiofile.
L' ID deve esse specificato come definito in libmpdemux/demuxer.h.
Utilizza \-audio-demuxer 17 per forzare il riconoscimento del formato .mp3.
.TP
.B \-audiofile <nomefile>
Suona un file audio da un file esterno (WAV, MP3 oppure Ogg Vorbis) mentre
visualizza un filmato.
.TP
.B \-audiofile-cache <kBytes>
Abilita il caching per lo stream usato da \-audiofile, utilizzando la quantita' di
memoria specificata.
.TP
.B \-bandwidth <valore> (solo rete)
Specifica la massima larghezza di banda (bandwidth) per lo streaming attraverso
una rete (per quei server che sono capaci di inviare contenuti, normalmente
filmati, a diversi bitrate).
Utile se vuoi guardare contenuti multimediali dal vivo con una connessione lenta.
.TP
.B \-cdrom-device <percorso\ al\ dispositivo>
Sovrascrive il nome di default del CDROM /dev/\:cdrom.
.TP
.B \-cache <kBytes>
Questa opzione specifica quanta memoria (in kBytes) deve essere usata quando si
precarica un file/\:URL.
Utile specialmente con media molto lenti (il default e' \-nocache).
.TP
.B \-cdda <opzione1:opzione2> (solo CDDA)
Questa opzione puo' essere usata per regolare la lettura di CD Audio da parte di MPlayer.

Le opzioni disponibili sono:
.
.RSs
.IPs speed=<valore>
Regola la velocita' di rotazione del CD
.IPs paranoia=<0\-2>
Regola il livello di paranoia
.RSss
0: disabilita i controlli
.br
1: Solo controllo di overlap (default)
.br
2: Controllo e verifica completa dei dati
.REss
.IPs generic-dev=<valore>
Usa il dispositivo SCSI generico specificato
.IPs sector-size=<valore>
Dimensione di una lettura atomica
.IPs overlap=<valore>
forza la ricerca si sovrapposizione minima (minimum overlap search) durante la verifica a <valore> settori
.IPs toc-bias
Assume che lo scostamento iniziale della traccia 1 come riportato nella TOC
sara' indirizzato come LBA\ 0.
Alcuni lettori Toshiba hanno bisogno di questa opzione per ottenere la corretta
delimitazione delle tracce.
.IPs toc-offset=<valore>
Aggiunge <valore> settori ai valori riportati quando si indirizzano
le tracce.
Puo' essere negativo.
.IPs (no)skip
(non) accetta una ricostruzione imperfetta dei dati.
.RE
.
.TP
.B \-channels <numero>
Cambia il numero di canali da riprodurre, se non specificato il default e' 2.
Se il numero di canali di uscita e' maggiore del numero dei canali di ingresso
vengono inseriti dei canali vuoti (tranne nel caso di miscelazione da mono a
stereo dove il canale monofonico e' ripetuto su entrambi i canali di uscita).
Se il numero di canali di uscita e' minore del numero dei canali di ingresso
il risultato dipende dal decoder audio (\-afm).
MPlayer chiede al decoder di decodificare l' audio in tanti canali quanti sono quelli
specificati.
A questo punto e' compito del decoder adempiere alla richiesta.
Se il decoder genera piu' canali di quelli richiesti i canali eccedenti
sono troncati.
Questo e' generalmente importante solo quando si riproducono filmati con audio AC3
(come i DVD).
In questo caso liba52 effettua la decodifica per default e correttamente sottomiscela
l' audio nel numero di canali richiesti.
.br
.I NOTA:
Questa opzione e' onorata dai codec (solo AC3) filtri (surround) e driver ao
(almeno OSS).

Le opzioni disponibili sono:

.PD 0
.RSs
.IPs 2
stereo
.IPs 4
surround
.IPs 6
5.1 completo
.RE
.PD 1
.
.TP
.B \-chapter <id\ capitolo>[\-<id\ capitolo\ finale>] (solo DVD)
Specifica da quale capitolo deve iniziare la riproduzione.
Si puo', opzionalmente, specificare anche a quale capitolo deve
fermarsi la riproduzione (default: 1).
Esempi posso essere trovati sotto.
.TP
.B \-cookies (solo rete)
Manda cookie quando vengono fatte richieste HTTP.
.TP
.B \-cookies-file <nomefile> (solo rete)
Legge i cookie HTTP da questo file.
Il file viene considerato in formato NetScape.
Se si utilizza questa opzione, MPlayer non cerchera' i cookie in ~/.netscape/
e ~/.mozilla/.
.TP
.B \-demuxer <numero>
Forza il tipo di demuxer audio.
L' ID deve esse specificato come definito in libmpdemux/demuxer.h.
Utilizza \-demuxer 17 per forzare il riconoscimento del formato .mp3.
.TP
.B \-dumpaudio (solo MPLAYER)
Scrive il flusso audio compresso grezzo su ./stream.dump (utile con mpeg/\:ac3).
.TP
.B \-dumpfile <nomefile> (solo MPLAYER)
Specifica su quale file MPlayer deve scrivere i flussi (dump).
Dovrebbe essere usata con \-dumpaudio / \-dumpvideo / \-dumpstream.
.TP
.B \-dumpstream (solo MPLAYER)
Scrive il flusso completo (audio/video) compresso grezzo su ./stream.dump.
Utile quando si codifica / copia ('rippa') da DVD oppure da una rete.
.TP
.B \-dumpvideo (solo MPLAYER)
Scrive il flusso video compresso grezzo su ./stream.dump (non molto usabile).
.TP
.B \-dvbin <options> (solo DVB)
Passa i parametri successivi al modulo DVB (Digital Video Board, Scheda Video
Digitale) di ingresso, per poter sovrascrivere i valori di default:

.PD 0
.RSs
.IPs card=<1\-4>
Specifica il numero di scheda (1\-4) da usare (default: 1).
.IPs file=<file>
Dice a MPlayer di leggere la lista dei canali da <file>.
Il default e' ~/.mplayer/channels.conf.{sat,ter,cbl} (basato
sul tipo di scheda) oppure ~/.mplayer/channels.conf come
ultima risorsa.
.RE
.PD 1
.
.TP
.B \-dvd-device <percorso\ del\ dispositivo> (solo DVD)
Sovrascrive il nome di default del dispositivo DVD /dev/\:dvd.
.TP
.B \-dvdangle <id\ angolo> (solo DVD)
Alcuni dischi DVD contengono scene che possono essere visualizzate
da angoli multipli.
Qui' puoi dire a MPlayer quale angolo usare (default: 1)
Esempi posso essere trovati sotto.
.TP
.B \-forceidx
Forza la ricostruzione dell' INDICE.
Utile per file con indici rovinati (mancata sincronizzazione, etc).
Il posizionamento sara' percio' possibile.
Puoi mettere a posto l' indice in maniera permanente utilizzando
MEncoder (controlla la documentazione).
.br
.I NOTA:
Puoi usare questa opzione solo se il mezzo di trasporto sottostante supporta il
posizionamento (i.e.\& non con stdin, pipe, etc).
.TP
.B \-fps <valore>
Sovrascrive il valore di velocita' del video (video framerate, frame per seconds,
fps) se il valore e' sbagliato/\:mancante nell' intestazione (numero in floating point)
.TP
.B \-frames <numero>
Visualizza/\:converte solo i primi <numero> fotogrammi, poi esce.
.TP
.B \-hr-mp3-seek (solo MP3)
Posizionamento ad alta risoluzione per mp3.
Per default e' abilitato quando si suona da un file MP3 esterno in quanto
abbiamo bisogno di posizionarci perfettamente per mantenere il sincronismo
A/\:V.
Puo' essere molto lento specialmente quando ci si sposta all' indietro \- si deve
riposizionare all' inizio per trovare il frame esatto.
.TP
.B \-idx (vedi anche \-forceidx)
Ricostruisce l' indice del file AVI se non lo trova, permettendo di
conseguenza il posizionamento.
Utile con file scaricati in modo errato/\:incompleto, oppure con file
creati in modo non corretto.
.br
.I NOTA:
Puoi usare questa opzione solo se il mezzo di trasporto sottostante supporta il
posizionamento (i.e.\& non con stdin, pipe, etc).
.TP
.B \-ipv4-only-proxy (solo rete)
Ignora il proxy per gli indirizzi IPv6.
Viene comunque usato per connessioni IPv4.
.TP
.B \-loadidx <nomefile>
Il file da cui caricare i dati dell' INDICE video salvati con \-saveidx.
MPlayer leggera' l' indice dal file e usera' questi dati per posizionarsi.
Questi dati hanno precedenza su qualsiasi dato proveniente dall' indice
presente nel file AVI stesso.
Inoltre MPlayer non fara' nulla per evitare di farti caricare un file
creato con un altro file AVI, ma siamo sicuri che questo creera' risultati
sfavorevoli.
.br
.I NOTA:
Questa opzione e' obsoleta perche' MPlayer ha la gestione ODML per i file AVI.
.TP
.B \-mc <seconds/frame>
Massima correzione della sincronizzazione A-V per fotogramma (in secondi).
.TP
.B \-mf <option1:option2:...>
Usato nella decodifica da elenco di file in formato PNG o JPEG.

Le opzioni disponibili sono:

.PD 0

.RSs
.IPs w=<valore>
larghezza del video di uscita (calcolata automaticamente)
.IPs h=<valore>
altezza del video di uscita (calcolata automaticamente)
.IPs fps=<valore>
fps (frame per second, fotogrammi al secondo) del video di uscita (default: 25)
.IPs type=<valore>
tipo dei file di ingresso (tipi disponibili: jpeg, png, tga, sgi)
.RE
.PD 1
.
.TP
.B \-ni (solo AVI)
Forza l' utilizzo del lettore di AVI non-interleaved (permette la
riproduzione di qualche file AVI scorretto).
.TP
.B \-nobps (AVI only)
Non usa il valore della media byte/\:sec per gestire il sincronismo A-V (AVI).
Aiuta nel caso di alcuni file AVI con l' intestazione sbagliata
.TP
.B \-noextbased
Disabilita la selezione del tipo di demuxer basata sull' estensione del file.
Per default, quando il tipo di file (demuxer) non puo' essere ricavata in
modo sicuro (il file non ha un' intestazione oppure l' intestazione stessa non
permette un riconoscimento sufficientemente sicuro)
l' estensione del file viene usata per selezionare il demuxer.
Viene sempre utilizzata la selezione basata sul contenuto del file da riprodurre.
.TP
.B \-passwd <password> (vedi anche l' opzione \-user) (solo rete)
Specifica l' opzione per l' autentificazione http.
.TP
.B \-prefer-ipv4 (solo rete)
Utilizza IPv4 per le connessioni di rete.
Passa se necessario a IPv6 automaticamente.
.TP
.B \-prefer-ipv6 (solo rete IPv6)
Utilizza IPv6 per le connessioni di rete.
Passa se necessario a IPv4 automaticamente.
.TP
.B \-rawaudio <option1:option2:...>
Questa opzione ti permette di suonare file audio grezzi.
Puo' anche essere usata per suonare CD audio che non siano codificati in PCM
a 44KHz 16Bit stereo.

Le opzioni disponibili sono:

.PD 0
.RSs
.IPs on\ \ \ 
Utilizza il demuxer audio grezzo (raw)
.IPs channels=<valore>
numero di canali
.IPs rate=<valore>
campionamento in valori per secondo
.IPs samplesize=<valore>
dimensione in byte di un campionamento
.IPs bitrate=<valore>
bitrate per il file grezzo
.IPs format=<valore>
fourcc (codice del formato) in esadecimale
.RE
.PD 1
.
.TP
.B \-rawvideo <option1:option2:...>
Questa opzione ti permette di visualizzare file video grezzi.

Le opzioni disponibili sono:

.PD 0
.RSs
.IPs on\ \ \ 
Uilizza il demuxer video grezzo (raw)
.IPs fps=<valore>
velocita' in fotogrammi al secondo, default 25.0
.IPs sqcif|qcif|cif|4cif|pal|ntsc
Seleziona una dimensione standard per il video
.IPs w=<valore>
larghezza immagine in pixel
.IPs h=<valore>
altezza immagine in pixel
.IPs y420|yv12|yuy2|y8
seleziona lo spazio coloro
.IPs format=<valore>
spazio colore (fourcc) in esadecimale
.IPs size=<valore>
dimensione di un fotogramma in Bytes
.RE
.PD 1
.
.TP
.B \-rtsp-stream-over-tcp (solo live.com)
Utilizzato con URL del tipo 'rtsp://' per specificare che i pacchetti RTP o RTCP
devono essere fatti passare su TCP (utilizzando la stessa connessione di RTSP).
Questa opzione puo' essere utile se hai una connessione internet che non gestisce
in maniera corretta i pacchetti UDP (vedi http://www.live.com/mplayer/).
.TP
.B \-saveidx <nomefile>
Forza la ricostruzione dell' INDICE e lo scrive su un file separato
specificato da nomefile.
Attualmente funziona solo con i file AVI.
.br
.I NOTA:
Questa opzione e' obsoleta perche' MPlayer ha la gestione ODML per i file AVI.
.TP
.B \-sb <byte\ position> (vedi anche l' opzione \-ss)
Si posiziona al byte specificato.
Utile per la riproduzione da immagini (copie fisiche byte per byte) di
CDROM / file .VOB con dati inutili all' inizio.
.TP
.B \-srate <Hz>
Selezione il valore di frequenza di campionamento dato, effettuando un
ricampionamento se necessario.
MEncoder passa questo valore a lame per il ricampionamento.
.TP
.B \-ss <tempo> (vedi anche l' opzione \-sb)
Si posiziona al tempo specificato.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-ss 56"
Si posiziona a 56 secondi dall' inizio del file
.IPs "\-ss 01:10:00"
Si posiziona a 1\ ora 10\ minuti dall' inizio del file
.RE
.PD 1
.
.TP
.B \-tskeepbroken
Dice a MPlayer di non scaricare (ignorare) i pacchetti TS indicati come
errati (broken) nel flusso.
A volte e' necessario per riprodurre dei file MPEG-TS corrotti.
.
.TP
.B \-tsprog <1\-65534>
Nella riproduzione di un flusso MPEG-TS puoi specificare con questa opzione
quale programma (se presente) vuoi usare. Puo' essere usato con \-vid e
\-aid.
.
.TP
.B \-tsprobe <byte\ position>
Nella riproduzione di un flusso MPEG-TS questa opzione ti permette di
specificare in quanti bytes vuoi che MPlayer cerchi i pid audio e video desiderati.
.
.TP
.B \-tv <opzione1:opzione2:...> (solo TV)
Questa opzione regola varike proprieta' del modulo di cattura TV.
Per guardare la TV con MPlayer usa 'tv://' o 'tv://<numero_canale>'
o anche 'tv://<nome_canale> (vedi l' opzione channels sotto per nome_canale)
come URL del film.
.br
.I NOTA:
MPlayer non accetta i due punti percio' utilizza il punto singolo nell' ID
del dispositivo (e.g.\& hw.0,0 invece di hw:0,0).
.br
Attenzione che anche se puoi selezionare qualsiasi frequenza di campionamento
utilizzando ALSA, il codec audio LAME e' capace di codificare solo le
frequenze 'standard'.
Otterrai un file .avi senza suono se selezioni una frequenza particolare
ed utilizzi questo codec.

Le opzioni disponibili sono:
.
.RSs
.IPs noaudio
niente suono
.IPs driver=<valore>
disponibili: dummy, v4l, v4l2, bsdbt848
.IPs device=<valore>
Specifica il dispositivo se diverso dal default /dev/\:video0.
.IPs input=<valore>
Specifica l' ingresso se diverso dal default 0 (televisione) (vedi output
per una lista)
.IPs freq=<valore>
Specifica la frequenza del sintonizzatore (e.g.\& 511.250).
Non e' compatibile con il parametro channels.
.IPs outfmt=<valore>
Specifica il formato di uscita del sintonizzatore con un valore supportato
dal driver V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) oppure
un formato arbitrario selezionato da un valore esadecimale.
Prova outfmt=help per una lista dei formati disponibili.
.IPs width=<valore>
larghezza della finestra di uscita
.IPs height=<valore>
altezza della finestra di uscita
.IPs fps=<valore>
velocita' di cattura del video (fotogrammi al secondo)
.IPs buffersize=<valore>
dimensione massima del buffer di cattura (default: dinamica)
.IPs norm=<valore>
disponibile: PAL, SECAM, NTSC. Per v4l2 usa l' opzione normid sotto.
.IPs normid=<valore>
solo v4l2. Controlla quello che stampa MPlayer per una lista delle possibilita' disponibili.
.IPs channel=<valore>
Regola il sintonizzatore sul canale <valore>.
.IPs chanlist=<valore>
disponibile: europe-east, europe-west, us-bcast, us-cable, etc
.IPs channels=<channel>\-<name>,<channel>\-<name>,...
Indica i nomi dei canali.
Usa _ per gli spazi nei nomi (o divertiti con il quoting ;-).
I nomi dei canali verranno scritti usando l' OSD e i comandi tv_step_channel,
tv_set_channel e tv_last_channel saranno utilizzabili usando un controllo
remoto (dai un' occhiata a lirc)
Non e' compatibile con il parametro frequency.
Attenzione: il numero del canale sara' la posizione nella lista 'channels',
a partire da 1.
Esempio: usa tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc.
.IPs [brightness|contrast|hue|saturation]=<-100\-100>
Regola l' equalizzazione dei colori/valori sulla scheda
.IPs audiorate=<valore>
Seleziona il bitrate di cattura audio
.IPs forceaudio
cattura l' audio anche se non c'e' nessuna sorgente audio riportata da v4l
.IPs alsa\ 
cattura da ALSA
.IPs amode=<0\-3>
Seleziona il modo audio:
.RSss
0: mono
.br
1: stereo
.br
2: lingua 1
.br
3: lingua 2
.REss
.IPs forcechan=<1\-2>
Per default, il conteggio dei canali audio da registrare e' determinato
automaticamente interrogando la modalita' audio della scheda tv.
Questa opzione permette di forzare la registrazione stereo/\:mono indipendentemente
dall' opzione amode e dai valori riportati da v4l.
Puo' essere usato per la risoluzione guasti quando la scheda tv non e' capace
di riportare il modo audio corrente.
.IPs adevice=<valore>
Seleziona un dispositivo audio.
.RSss
/dev/\:...\& per OSS
.br
ID hardware per ALSA
.REss
.IPs audioid=<valore>
sceglie una uscita audio della scheda di cattura, se ne ha piu' di una.
.IPs [volume|bass|treble|balance]=<0\-65535>
.IPs [volume|bass|treble|balance]=<0\-100>
Queste opzioni regolano i parametri del mixer sulla scheda di cattura
video.
Non hanno alcun effetto se la tua scheda non ne ha uno.
Per v4l1, 0\-65535 e' un range valido.
Per v4l2, il range valido e' da 0 a 100, 50 viene mappato sul valore di
default del rispettivo controllo come riportato dal driver.
.IPs immediatemode=<bool>
Il valore 0 indica di catturare e bufferizare audio e video insieme
(default per MEncoder).
Il valore 1 (default per MPlayer) indica di effettuare solo la cattura
video e lasciare l' audio passare attraverso un cavo di loopback
dalla scheda TV alla scheda aaudio.
.IPs mjpeg
Usa la compressione mjpeg hardware (se la scheda lo supporta).
Quando si usa questa opzione non e' necessario specificare la
larghezza e l' altezza della finestra di uscita perche' MPlayer la
determinera' automaticamente dal valore di decimation (vedi sotto).
.IPs decimation=<1,2,4>
Sceglie la dimensione dell' immagine che verra' creata dall' hardware
di compressione mjpeg.
.RSss
1: dimensione completa
    704x576    PAL
    704x480    NTSC
.br
2: dimensione media
    352x288    PAL
    352x240    NTSC
.br
4: dimensione piccola
    176x144    PAL
    176x120    NTSC
.REss
.IPs quality=<0\-100>
Seleziona la qualita' della compressione jpeg
.br
(un valore di quality < 60 e' raccomandato per la dimensione completa)
.RE
.
.TP
.B \-user <user name> (vedi anche l' opzione \-passwd) (solo rete)
Specifica il nome utente per l' autentificazione http.
.TP
.B \-user-agent <string>
Utilizza la stringa specifica come User-Agent per lo streaming HTTP.
.TP
.B \-vid <id>
Selezione il canale video [MPG: 0\-15 ASF: 0\-255 MPEG-TS: 17\-8190].
Nella riproduzione di un flusso MPEG-TS, MPlayer/MEncoder usera' il
primo programma (se presente) con il flusso video prescelto.
.TP
.B \-vivo <sub-options> (CODICE DI DEBUG)
Forza i parametri audio per il demuxer .vivo (per scopi di debugging).
.
.
.SH "OPZIONI OSD/SOTTOTITOLI"
.I NOTA:
Vedi anche \-vf expand.
.TP
.B \-dumpjacosub (solo MPLAYER)
Converti i sottotitoli (specificati con l' opzione \-sub) nel formato
dei sottotitoli basato sul tempo JACOsub.
Crea un file dumpsub.js nella directory corrente.
.TP
.B \-dumpmicrodvdsub (solo MPLAYER)
Converti i sottotitoli (specificati con l' opzione \-sub) nel formato
dei sottotitoli MicroDVD.
Crea un file dumpsub.sub nella directory corrente.
.TP
.B \-dumpmpsub (solo MPLAYER)
Converti i sottotitoli (specificati con l' opzione \-sub) nel formato
dei sottotitoli di MPlayer, MPsub.
Crea un file dump.mpsub nella directory corrente.
.TP
.B \-dumpsami (solo MPLAYER)
Converti i sottotitoli (specificati con l' opzione \-sub) nel formato
dei sottotioli basato sul tempo SAMI.
Crea un file dumpsub.smi nella directory corrente.
.TP
.B \-dumpsrtsub (solo MPLAYER)
Converti i sottotitoli (specificati con l' opzione \-sub) nel formato
dei sottotioli basato sul tempo SubViever (SRT).
Crea un file dumpsub.srt nella directory corrente.
.TP
.B \-dumpsub (solo MPLAYER) (CODICE BETA)
Estrae il flusso dei sottotitoli dal file VOB.
Vedi anche le opzioni \-dump*sub e \-vobsubout* .
.TP
.B \-ffactor <numero> (solo OSD)
Mappatura alpha di campionamento del font.
Puo' essere:
.
.PD 0
.RSs
.IPs 0
Semplici font bianchi
.IPs 0.75
font outline neri molto sottili (default)
.IPs 1
font outline neri sottili
.IPs 10
font outline neri in grassetto
.RE
.PD 1
.
.TP
.B \-flip-hebrew (solo FriBiDi)
Attiva il flipping dei sottotitoli utilizzando FriBiDi.
.TP
.B \-font <path\ to\ font.desc\ file> (solo OSD)
Cerca i font per OSD/\:SUB in una directory alternativa (default per i
font normali: ~/\:.mplayer/\:font/\:font.desc, default per i font FreeType:
~/.mplayer/\:subfont.ttf).
.br
.I NOTA:
Con FreeType, questa opzione determina il percorso del file del font di testo.
.br
Con fontconfig, questa opzione determina il nome del font fontconfig.

.I ESEMPIO:
.PD 0
.RSs
\-font ~/\:.mplayer/\:arial-14/\:font.desc
.br
\-font ~/\:.mplayer/\:arialuni.ttf
.br
\-font 'Bitstream Vera Sans'
.RE
.PD 1
.
.TP
.B \-fontconfig (solo fontconfig)
Abilita l' utilizzo dei font gestiti da fontconfig.
.TP
.B \-forcedsubsonly
Visualizza solo i sottotitoli forzati (forced subtitles) per il flusso dei
sottotitoli del DVD specificato ad esempio con \-slang.
.TP
.B \-fribidi-charset <charset\ name> (solo FriBiDi)
Specifica il charset che sara' passato a FriBiDi quando si decodifica un
sottotitolo non-UTF8 (default: ISO8859-8).
.TP
.B \-ifo <vobsub\ ifo\ file>
Indica il file che verra' usato per caricare la palette e la dimensione
del fotogramma per i sottotitoli VOBSUB.
.TP
.B \-noautosub
Disabilita il caricamento automatico dei file dei sottotitoli.
.TP
.B \-osdlevel <0\-3> (solo MPLAYER)
Specifica in quale modalita' deve partire l' OSD.
.
.PD 0
.RSs
.IPs 0
Solo sottotitoli
.IPs 1
volume + posizione (default)
.IPs 2
volume + posizione + tempo corrente + percentuale
.IPs 3
volume + posizione + tempo corrente + percentuale + tempo totale
.RE
.PD 1
.
.TP
.B \-overlapsub
Permette al sottotitolo successivo di essere visualizzato mentre
quello corrente e' ancora visibile (il default e' abilitare il
supporto solo per formati specifici).
.TP
.B \-sid <id> (vedi anche \-slang option)
Attiva la visualizzazione dei sottotitoli DVD.
DEVI anche specificare un numero che corrisponde ad un linguaggio
dei sottotitoli (0\-31).
Per una lista dei sottotitoli disponibili utilizza l' opzione \-v e
dai un' occhiata a quello che viene stampato.
.TP
.B \-slang <two\ letter\ country\ code> (vedi anche \-sid option)
Per la visualizzazione dei DVD attiva/\:seleziona il linguaggio
dei sottotitoli..
Per una lista dei sottotitoli disponibili utilizza l' opzione \-v e
dai un' occhiata a quello che viene stampato.
.br
Altrimenti, determina un suffisso opzionale dei sottotitoli che ottiene
una priorita' piu' alta nella ricerca dei sottotitoli stessi.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-slang hu,en"
Seleziona Ungherese e passa all' Inglese se l' Ungherese non e' disponibile.
.RE
.PD 1
.
.TP
.B \-spuaa <mode> (solo OSD)
Modalita' di antialias/scalatura per DVD/BovSub.
Il valore 16 puo' essere aggiunto al modo per forzare la scalatura
anche quando il fotogramma originale e quello scalato corrispondono,
ad esempio per sfumare i sottotitoli con una sfocatura gaussiana.
I modi disponibili sono:
.PD 0
.RSs
.IPs 0
nessuno (il piu' veloce, molto brutto)
.IPs 1
approssimato (non funziona?)
.IPs 2
completo (veloce)
.IPs 3
bilineare (default, veloce e non troppo male)
.IPs 4
utilizza la sfocatura gaussiana di swscaler (appare molto bene)
.RE
.PD 1
.
.TP
.B \-spualign <-1\-2> (solo OSD)
Specifica come i sottotitoli spu (DVD/VobSub) devono essere allineati.
I valori sono gli stessi di \-subalign, con la possibilita' extra di poter
usare -1 per avere la posizione originale.
.TP
.B \-spugauss <0.0\-3.0> (solo OSD)
Parametro di varianza della sfocatura gaussiana usata da \-spuaa 4.
Un valore piu' alto significa maggior sfocatura.
Il default e' 1.0.
.TP
.B \-sub <subtitlefile1,subtitlefile2,...>
Utilizza/\:visualizza questi file dei sottotitoli.
Solo un file puo' essere visualizzato nelle stesso momento e i file
possono essere cambiati con 'j'.
.TP
.B \-sub-bg-alpha <0\-255>
Specifica il valore del canale alpha per i sottotitoli e per lo
sfondo dell' OSD.
Valori piu' grandi indicano maggior trasparenza.
Il valore 0 e' un eccezione e indica la completa trasparenza.
.TP
.B \-sub-bg-color <0\-255>
Specifica il valore del colore per i sottotitoli e per lo sfondo dell' OSD.
Attualmente i sottotitoli sono a scala di grigi e percio' questo valore
e' equivalente all' intensita' del colore.
Il valore 255 indica bianco e 0 nero.
.TP
.B \-sub-demuxer <numero> (\-subfile only) (CODICE BETA)
Forza il tipo di demuxer dei sottotitoli per \-subfile.
Passa l' ID del demuxer come specificato in subreader.h.
.TP
.B \-sub-fuzziness <mode>
Controlla il riconoscimento adattivo quando si cercano i sottotitoli.
.PD 0
.RSs
.IPs 0
corrispondenza esatta
.IPs 1
carica tutti i sottotitoli che contengono il nome del file.
.IPs 2

carica tutti i sottotitoli nella directory corrente
.RE
.PD 1
.
.TP
.B \-sub-no-text-pp
Disabilita ogni tipo di post elaborazione sui testi fatto dopo il caricamento
dei sottotitoli.
Usato a scopo di debug.
.TP
.B \-subalign <0\-2> (solo OSD)
Specifica come i sottotitoli devono essere allineati con subpos.
0 indica di allinearsi sull' alto (comportamento originale/default),
1 indica di allinearsi al centro e 2 indica di allinearsi al basso.
.TP
.B \-subcc \ 
Visualizza i sottotitoli Close Caption (CC) dei DVD.
Questi NON sono i sottotitoli dei VOB, sono sottotitoli speciali in ASCII per
le persone con danni all' udito codificati nei dati utente del flusso VOB in
molti DVD della regione 1.
Fino ad ora non sono ancora stati trovati dei sottotitoli CC in DVD
di altre regioni.
.TP
.B \-subcp <codepage> (solo iconv)
Se il tuo sistema supporta iconv(3) puoi usare questa opzione per
specificare la pagina codici (codepage) dei sottotitoli.

.I ESEMPIO:
.PD 0
.RSs
\-subcp latin2
.br
\-subcp cp1250
.RE
.PD 1
.
.TP
.B \-subcp enca:<linguaggio>:<pagina codici di riserva> (solo ENCA)
Puoi specificare il tuo linguaggio utilizzando il codice a due lettere
per fare in modo che ENCA trovi automaticamente la pagina codici.
Se non sei sicuro, inserisci qualsiasi cosa e guarda l' uscita di 
mplayer -v per i linguaggi disponibili.
La pagina codici di riserva specifica quale deve usare quando il
riconoscimento automatico non funziona.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-subcp enca:cs:latin2"
Trova la codifica, supponendo che i sottotitoli siano cecoslovacchi,
passa automaticamente alla modalita' latin 2 se non riesce a trovare i 
valori corretti.
.br
.IPs "\-subcp enca:pl:cp1250"
Trova la codifica per il polacco, passa (eventualmente) a cp1250.
.RE
.PD 1

.TP
.B \-subdelay <sec>
Ritarda i sottotitoli di <sec> secondi.
Puo' essere negativo.
.TP
.B \-subfile <nomefile> (CODICE BETA)
Attualmente inutile.
E' lo stesso che \-audiofile, ma per il flusso dei sottotitoli (OggDS?).
.TP
.B \-subfont-autoscale <0\-3> (FreeType only)
Attiva la modalita' di auto scalatura.
.br
.I NOTA:
Zero indica che la scala del testo e dell' OSD sono altezze dei font in punti.

Le modalita' possono essere:

.PD 0
.RSs
.IPs 0
niente auto scalatura
.IPs 1
proporzionale all' altezza del filmato
.IPs 2
proporzionale alla larghezza del filmato
.IPs 3
proporzionale alla diagonale del filmato (default)
.RE
.PD 1
.
.TP
.B \-subfont-blur <0\-8> (solo FreeType)
Attiva il raggio della sfocatura del font (default: 2).
.TP
.B \-subfont-encoding <valore> (solo FreeType only)
Attiva la codifica del font.
Quando settato a 'unicode' tutti i glyphs dal file del font verranno disegnati
e verra' usato l' unicode (default: unicode).
.TP
.B \-subfont-osd-scale <0\-100> (solo FreeType)
Attiva il coefficiente di auto scalatura degli oggetti dell' OSD (default: 6).
.TP
.B \-subfont-outline <0\-8> (solo FreeType)
Seleziona l' ampiezza dell' outline del font (default: 2).
.TP
.B \-subfont-text-scale <0\-100> (solo FreeType)
Seleziona il coefficiente di auto scalatura del testo dei sottotitoli
(percentuale della dimensione dello schermo) (default: 5).
.TP
.B \-subfps <rate>
Specifica il rapporto fotogrammi/\:sec del file dei sottotitoli (numero float).
default: stessi valore di fps del filmato.
.br
.I NOTA:
Solo per file dei sottotitoli basati sui fotogramma, i.e.\& NON per il formato MicroDVD.
.TP
.B \-subpos <0\-100> (utile con \-vf expand) (solo OSD)
Specifica la posizione dei sottotitoli sullo schermo.
Il valore e' la posizione verticale dei sottotitoli in % sull' altezza dello schermo.
.TP
.B \-subwidth <10\-100> (solo OSD)
Specifica la larghezza massima dei sottotitoli sullo schermo.
Utile per l' uscita TV.
Il valore e' l' ampiezza dei sottotitoli in % sulla larghezza dello schermo.
.TP
.B \-unicode
Dice a MPlayer di gestire i sottotitoli come UNICODE.
.TP
.B \-utf8 \ \ 
Dice a MPlayer di gestire il file dei sottotitoli come UTF8.
.TP
.B \-vobsub <vobsub\ file\ without\ extension>
Specifica i file VobSun che devono essere usati per i sottotitoli.
Questo e' il percorso completo senza estensione, i.e.\& senza
il '.idx', ',ifo' o '.sub'.
.TP
.B \-vobsubid <0\-31>
Specifica l' id del sottotitolo VobSub.
.
.
.SH "OPZIONI DI USCITA AUDIO (SOLO MPLAYER)"
.TP
.B \-abs <valore> (OBSOLETO)
Sovrascrive la ricerca della dimensione del buffer del driver/\:scheda,
solo \-ao oss.
.TP
.B \-aofile <nomefile>
Nome del file per \-ao pcm.
.TP
.B \-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
Specifica i plugin audio e le loro opzioni (vedi anche la
documentazione).

Le opzioni disponibili sono:
.
.RSs
.IPs list=[plugins]
lista separata da virgola dei plugin (resample, surround, format, volume,
extrastereo, volnorm)
.IPs delay=<sec>
plugin di esempio, non usare.
.IPs format=<format>
formato di uscita (solo il plugin format)
.IPs fout=<Hz>
frequenza di uscita (solo il plugin resample)
.IPs volume=<0\-255>
volume (solo il plugin volume)
.IPs mul=<valore>
coefficiente stereo (default: 2.5) (solo il plugin extrastereo)
.IPs softclip
compressore / capacita' di 'soft-clipping' (solo il plugin volume)
.RE
.
.TP
.B \-delay <sec>
Ritardo audio in secondi (puo' essere un valore float +/\:-)
.TP
.B \-format <0\-8192>
Seleziona il formato usato per l' uscita dallo strato dei filtri (in
accordo con quello definito in libao2/afmt.h):
.
.PD 0
.RSs
.IPs 1
Mu-Law
.IPs 2
A-Law
.IPs 4
Ima-ADPCM
.IPs 8
8-bit con segno
.IPs 16
8-bit senza segno
.IPs 32
16-bit senza segno (Little-Endian)
.IPs 64
16-bit senza segno (Big-Endian)
.IPs 128
16-bit con segno (Little-Endian)
.IPs 256
16-bit con segno (Big-Endian)
.IPs 512
MPEG (2) Audio
.IPs 1024
AC3
.IPs 4096
32-bit con segno (Little-Endian)
.IPs 8192
32-bit con segno (Big-Endian)
.RE
.PD 1
.
.TP
.B \-mixer <device>
Questa opzione indica a MPlayer di usare un dispositivo diverso per la
gestione del mixer da /dev/\:mixer.
.TP
.B \-mixer-channel <mixer line> (solo \-ao oss)
Questa opzione indica a MPlayer di usare un canale differente per
controllare il volume dal default PCM.
Le opzioni includono
.B vol, pcm, line.
Per una lista completa delle opzioni dai un' occhiata a
SOUND_DEVICE_NAMES in /usr/include/linux/soundcard.h.
.TP
.B \-nowaveheader (solo \-ao pcm)
Non includere l' intestazione wave.
Utilizzato per RAW PCM (dati PCM grezzi).
.
.
.SH "DRIVER DI USCITA AUDIO (SOLO MPLAYER)"
I driver di uscita audio sono interfaccie verso le varie possibilita'
di uscita
La sintaasi e'
.TP
.B \-ao <driver1[:sottoopzione1[=valore]:...],driver2,...[,]>
Specifia una lista di priorita' dei driver di uscita da usare.
.PP
Se la lista ha un ',' finale passa automaticamente ai driver non indicati
sulla linea di comando.
Le sottoopzioni sono opzionali e possono, generalmente, essere omesse.
.br
.I NOTA:
Vedi \-ao help per una lista dei driver compilati internamente.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-ao alsa,oss,"
Prova il driver ALSA, pei il driver OSS, poi gli altri.
.br
.IPs "\-ao sdl:esd"
Usa il driver SDL con il sotto driver ESD.
.RE
.PD 1
.

I driver di uscita audio disponibili sono:
FIXME: Documentare tutte le sotto opzioni.
.
.TP
.B alsa\ \ \ 
Driver di uscita audio ALSA 0.9/1.x.
.PD 0
.RSs
.IPs mmap\ \ \ 
Attiva la modalita' mmap sperimentale (non funziona per piu' di 2 canali)
.IPs noblock
Seleziona la modalita' noblock (non bloccante)
.IPs hw=device0.3
Seleziona il nome del dispositivo.
.RE
.PD 1
.TP
.B alsa1x\ 
Driver di uscita ALSA 1.x.
.TP
.B alsa9\ \ 
Driver di uscita ALSA 0.9.
.TP
.B alsa5\ \ 
Driver di uscita ALSA 0.5.
.TP
.B oss\ \ \ \ 
Driver di uscita OSS.
.TP
.B sdl\ \ \ \ 
Driver di uscita molto indipendente dalla piattaforma che utilizza la
libreria SDL (Simple Directmedia Layer).
.TP
.B arts\ \ \ 
Genera l' uscita audio attraverso il demone Arts.
.TP
.B esd\ \ \ \ 
Genera l' uscita audio attraverso il demone ESD.
.TP
.B nas\ \ \ \ 
Uscita audio attraverso NAS.
.TP
.B macosx (solo Mac OS X)
Driver di uscita audio nativo per Mac OS X
.TP
.B sgi (solo SGI)
Driver di uscita nativo per SGI.
.TP
.B sun (solo Sun)
Driver di uscita nativo Sun.
.TP
.B win32 (solo Windows)
Driver di uscita nativo wave di Windows.
.TP
.B dxr2 (solo DXR2 only)
Driver specifico per la scheda Creative DXR2.
Vedi anche le opzioni \-dxr2.
.TP
.B mpegpes (solo DVB)
Driver di uscita specifico per DVB.
.TP
.B null\ \ \ 
Non produce uscita audio ma mantiene la vecolita' di riproduzione video.
Utilizza \-noosund per i test di velocita' (benchmarking).
.TP
.B pcm\ \ \ \ 
Driver di uscita grezzo per scrittura di file PCM/wave.
Scrive il suono su ./audiodump.wav.
.TP
.B plugin\ \ 
Driver di uscita audio plugin.
.
.
.SH "OPZIONI DI USCITA VIDEO (MPLAYER ONLY)"
.TP
.B \-aa* (solo \-vo aa)
Puoi avere una lista ed una spiegazione delle opzioni disponibili
eseguendo
.I mplayer \-aahelp
.TP
.B \-adapter <valore>
Seleziona la scheda grafica che ricevera' l' immagine.
Serve anche l' opzione \-vm per funzionare.
Puoi avere una lista delle schede disponibili se utilizzi questa
opzione insieme a \-v.
.TP
.B \-bpp <depth>
Una una differente profondita' di colore rispetto a quella trovata
automaticamente.
Non tutti i driver \-vo lo supportano (fbdev, dga2, svga, vesa).
.TP
.B \-brightness <-100\-100>
Seleziona la luminosita' dell' uscita video (default 0).
Cambia l' intensita' delle componenti RGB del segnale video da
nero a bianco.
.TP
.B \-contrast <-100\-100>
Seleziona il contrasto dell' uscita video (default 0).
Lavora in maniera simile alla luminosita' (brightness).
.TP
.B \-dfbopts <valore> (solo \-vo directfb)
Specifica una lista di parametri per il driver directfb.
.TP
.B \-display <name> (solo X11)
Specifica il nome (hostname) ed il numero del display del server X dove
vuoi visualizzare il filmato.

.I ESEMPIO:
.PD 0
.RSs
\-display xtest.localdomain:0
.RE
.PD 1
.
.TP
.B \-double
Abilita il doppio buffering.
Elimina il tremolio (flicker) memorizzando due fotogrammi in memoria
e visualizzandone uno mentre decodifica l' altro.
Puo' influenzare l' OSD.
Necessita del doppio di memoria di un buffer singolo percio' non funzionera'
con schede con molta poca memoria.
.TP
.B \-dr \ \ \ 
Attiva il rendering diretto (non supportato da tutti i codec e uscite
video) (default is off).
Attenzione: puo' causare corruzioni dell' OSD/\:SUB!
.TP
.B \-dxr2 <option1:option2:...>
Questa opzione e' usata per controllare il driver dxr2.
.
.RSs
.IPs ar-mode=<valore>
modalita' del rapporto di aspetto (0 = normale, 1 = pan scan, 2 = letterbox (default))
.IPs iec958-encoded
modalita' di uscita iec958
.IPs iec958-decoded
Setta il modo di uscita iec958 a decoded (default)
.IPs macrovision=<valore>
modalita' macrovision (0 = niente (default), 1 = agc, 2 = agc 2 striscie di colore,
3 = agc 4 striscie di colore)
.IPs mute\ 
uscita sonora muta
.IPs unmute
riattiva l' uscita sonora.
.IPs ucode=<valore>
percorso al microcode
.RE
.RS

.I TV Out
.RE
.RSs
.IPs 75ire
abilita il modo di uscita 7.5 IRE
.IPs no75ire
disabilita il modo di uscita 7.5 IRE (default)
.IPs bw\ \ \ 
uscita TV in bianco e nero
.IPs color
uscita TV a colori (default)
.IPs interlaced
uscita TV interlacciata (default)
.IPs nointerlaced
disabilita l' uscita TV interlacciata (default)
.IPs norm=<valore>
norma TV (ntsc (default), pal, pal60, palm, paln, palnc)
.IPs square-pixel
attiva il modo pixel a square (quadrato)
.IPs ccir601-pixel
attiva il modo pixel a ccir601
.RE
.RS

.I Overlay
.RE
.RSs
.IPs cr-left=<0\-500>
Set il valore di ritaglio (crop) a sinistra (default: 50)
.IPs cr-right=<0\-500>
Set il valore di ritaglio a destra (default: 300)
.IPs cr-top=<0\-500>
Set il valore di ritaglio in alto (default: 0)
.IPs cr-bottom=<0\-500>
Set il valore di ritaglio in basso (default: 0)
.IPs ck-[r|g|b]=<0\-255>
Attiva il valore di guadagno del color-key del r(osso), g(reen, verde) e b(lu)
.IPs ck-[r|g|b]min=<0\-255>
valore minimo per la corrispondente color key
.IPs ck-[r|g|b]max=<0\-255>
valore massimo per la corrispondente color key
.IPs ignore-cache
ignora i valori salvati dell' overlay
.IPs update-cache
aggiorna i valori salvati dell' overlay
.IPs ol-osd
abilita l' overlay del display su schermo
.IPs nool-osd
abilita l' overlay del display su schermo (default)
.IPs ol[h|w|x|y]-cor=<-20\-20>
seleziona la dimensione (h,w) e posizione (x,y) dell' overlay nel caso non
corrispondesse perfettamente alla finestra (default: 0)
.IPs overlay
attiva l' overlay (default)
.IPs nooverlay
attiva l' uscita TV
.IPs overlay-ratio=<1\-2500>
sintonizza l' overlay (default 1000)
.RE
.
.TP
.B \-fb <device> (solo fbdev o DirectFB) (OBSOLETO)
Specifca il dispositivo del framebuffer da usare.
Per default usa /dev/\:fb0.
.TP
.B \-fbmode <modename> (solo fbdev)
Cambia il modo video a quello indicato come <modename> in
/etc/\:fb.modes.
.br
.I NOTA:
il framebuffer VESA non supporta il cambio del modo video.
.TP
.B \-fbmodeconfig <nomefile> (solo fbdev)
Usa questo file di configurazione invece che il default /etc/\:fb.modes.
Valido solo per il driver fbdev.
.TP
.B \-forcexv (solo SDL)
Forza l' utilizzo di XVideo.
.TP
.B \-fs \ \ \ 
Riproduzione a schermo intero (centra il filmato e mette delle
barre nere attorno ad esso).
Attivalo/disattivalo con il tasto 'f' (non tutte le uscite
video lo supportano).
Vedi anche \-zoom.
.TP
.B \-fsmode-dontuse <0\-31> (OBSOLETO) (usa l' opzione \-fs)
Prova questa opzione se hai ancora problemi con i filmati a
schermo intero.
.TP
.B \-fstype <type1,type2,...> (solo X11)
Specifica una lista di priorita' dello modalita' di attivazione
a schermo intero da usare.
I tipi disponibili sono:

.PD 0
.RSs
.IPs above
Utilizza l' hint _NETWM_STATE_ABOVE se disponibile.
.IPs below
Utilizza l' hint _NETWM_STATE_BELOW se disponibile.
.IPs fullscreen
Utilizza l' hint _NETWM_STATE_FULLSCREEN se disponibile.
.IPs layer
Utilizza l' hint _WIN_LAYER con il layer di default.
.IPs layer=<0..15>
Utilizza l' hint _WIN_LAYER hint con il numero di layer specificato.
.IPs netwm
Forza lo stile NETWM.
.IPs none\ 
Non attivare il layer della finestra a schermo intero.
.IPs stays_on_top
Utilizza l' hint _NETWM_STATE_STAYS_ON_TOP se disponibile.
.RE
.PD 1
.TP
.B \ 
Puoi negare i modi mettendoci all' inizio '-'.
.br
L' ordine di default e' layer,stays_on_top,above,fullscreen.
Viene usato nel caso di una specificazione non corretta o nel
caso di modalita' non supportate.
.br
Gli utilizzatori di OpenBox 1.x devono usare \-fstype \-fullscreen
per ottenere il funzionamento dello scambio della modalita' a
schermo intero.
.br
Se hai problemi con le finestre a schermo intero che vengono coperte
da altre finestre prova ad utilizzare un ordine diverso.
.br
.I NOTA:
Vedi \-fstype help per una lista completa dei modi disponibili.
.TP
.B \-geometry x[%][:y[%]] or [WxH][+x+y]
Regola dove viene visualizzato l' uscita sullo schermo inizialmente.
I valori di x ed y sono in pixel misurati dall' angolo alto a sinistra
dello schermo all' angolo alto a sinistra dell' immagine visualizzata,
comunque se viene aggiunto il segno di percentuale ad un argomento
il valore viene convertito in una percentuale della dimensione
dello schermo in quella direzione.
Supporta anche il formato dell' opzione standard di X \-geometry.
I valori passati devono essere interi.
.br
.I NOTA:
Questa opzione e' supportata dalle uscite video x11, xmga, xv, xvmc, xvidix,
directx e tdfxfb.

.I ESEMPIO:
.PD 0
.RSs
.IPs 50:40
Posiziona la finestra a x=50, y=40.
.IPs 50%:50%
Posiziona la finestra nel mezzo dello schermo.
.IPs 100%\ 
Posiziona la finestra nel mezzo dell' angolo in alto a destra dello schermo
.IPs 100%:100%
Posiziona la finestra nell' angolo in basso a destra dello schermo
.RE
.PD 1
.
.TP
.B \-guiwid <window\ id> (solo X11)
Questo indica alla GUI di usare anche una finestra X11 e di collegarsi
alla parte inferiore del video, che e' utile per inserire una mini-GUI in
un browser (ad esempio con il plugin MPlayer).
.TP
.B \-hue <-100\-100>
Regola l' hue del segnale video (default: 0)
Puoi ottenere dei negativi colorati delle immagini con questa opzione.
.TP
.B \-jpeg <option1:option2:...> (\-vo jpeg only)
Specifica opzioni per l' uscita in formato JPEG.
.br
Le opzioni disponibili sono:

.PD 0
.RSs
.IPs [no]progressive
Specifica JPEG standard o progressivi.
.IPs [no]baseline
Specifica l' utilizzo o meno del baseline.
.IPs optimize=<valore>
Fattore di ottimizzazione [0\-100]
.IPs smooth=<valore>
Fattore di 'lisciatura' [0\-100]
.IPs quality=<valore>
Fattore di qualita' [0\-100]
.IPs outdir=<valore>
Directory dove salvare i file JPEG.
.RE
.PD 1
.
.TP
.B \-monitor-dotclock <dotclock\ (o\ pixelclock) range> (solo fbdev e vesa)
Dai un' occhiata in etc/\:example.conf per maggiori informazioni ed in
DOCS/\:HTML/\:en/\:devices.html#video-dev.
.TP
.B \-monitor-hfreq <horizontal frequency range> (solo fbdev e vesa)
.TP
.B \-monitor-vfreq <vertical frequency range> (solo fbdev e vesa)
.TP
.B \-monitoraspect <ratio>
Seleziona il rapporto di aspetto (aspect ratio) del tuo monitor
o dello schermo TV.
Vedi anche \-aspect per il rapporto di aspetto del filmato.

.I ESEMPIO:
.PD 0
.RSs
\-monitoraspect 4:3  o 1.3333
.br
\-monitoraspect 16:9 o 1.7777
.RE
.PD 1
.
.TP
.B \-nograbpointer
Non acquisire il puntatore del mouse dopo un cambio di modo video (\-vm),
utile nel caso di configurazioni con piu' monitor.
.TP
.B \-nokeepaspect
Non mantenere il rapporto di aspetto quando si ridimensionano le finestre
(attualmente funziona solo con \-vo x11, xv, xmga, xvidix, directx
e con X11 il tuo gestore delle finestre deve capire gli hint dell' aspetto
finestra).
.TP
.B \-noxv (solo SDL)
Disabilita il driver XVideo di SDL.
.TP
.B \-ontop
Rende la finestra di visualizzazione del filmato in modalita' 'stay on top',
stai in cima, delle altre finestre.
Supportato dai driver che usano X11, SDL esclusa, cosi' come da directx e
gl2 sotto Windows.
.TP
.B \-panscan <0.0\-1.0>
Abilita le funzionalita' di Pan e Scan, i.e.\& per riuscire a visualizzare
un filmato 16:9 su uno schermo 4:3, i lati del filmato vengono tagliati
per avere un' immagine 4:3 che si adatta allo schermo.
Questa opzione funziona solo con i driver di uscita video xv, xmga, mga e xvidix.
.br
Il parametro controlla quanto dell' immagine viene tagliato.
.TP
.B \-refreshrate <Hz>
Attiva la frequenza di rinfresco del monitor in Hz.
Attualmente e' supportato solo dal driver \-vo directx combinato con
l' opzione \-vm.
.TP
.B \-rootwin (solo X11)
Visualizza il filmato nella finestra root (lo sfondo del desktop) invece
che aprire una nuova finestra.
Funziona solo con i driver x11, xv, xmga e xvidix.
.TP
.B \-saturation <-100\-100>
Regola la saturazione dell' uscita video (default: 0).
Puoi ottenere un' uscita in bianco e nero con questa opzione.
.TP
.B \-screenh <pixels> \-screenw <pixels>
Se utilizza un driver di uscita che non conosce la risoluzione dello
schermo (fbdev/\:x11 and/\:or TVout) con queste opzioni puoi specificare
la risoluzione orizzontale e verticale.
.TP
.B \-stop-xscreensaver (solo X11)
Disattiva il salvaschermo x alla partenza e lo riattiva all' uscita.
.TP
.B \-vm \ \ \ 
Cerca di cambiare in un modo video migliore.
Viene supportato dai driver dga, x11/\:xv (XF86VidMode) ed sdl.
Se e' usato con il driver di uscita video directx allora si possono usare
le opzioni \-screenw, \-screenh, \-bpp e \-refreshrate per selezionare
le caratteristiche del modo di visualizzazione.
.TP
.B \-vsync \ \ 
Abilita il VBI per vesa.
.TP
.B \-wid <window\ id> (solo X11)
Dice ad MPlayer di usare una finestra X11, cosa utile per incastrare MPlayer
in un browser (ad esempio con l' estensione plugger).
.TP
.B \-xineramascreen <0\-...>
In configurazioni con Xinerama (i.e.\& un singolo desktop che si espande su
monitor multipli) questa opzione indica a MPlayer su quale schermo deve visualizzare
il filmato.
.TP
.B \-z <0\-9> (solo -vo png)
Specifica il livello di compressione per l' uscita PNG.
.
.PD 0
.RSs
.IPs 0
nessuna compressione
.IPs 9
massima compressione
.RE
.PD 1
.
.TP
.B \-zrbw (solo \-vo zr)
Visualizza in bianco e nero (per ottenere prestazioni ottimali, questa
opzione puo' essere combinata con l' opzione 'decodifica solo in bianco
e nero' dei codec che appartengono alla famiglia FFmpeg).
.TP
.B \-zrcrop <[width]x[height]+[x offset]+[y offset]> (solo \-vo zr)
Seleziona una parte dell' immagine per la visualizzazione, occorrenze
multiple di questa opzioni attivano la modalita' cinerama.
In modalita' cinerama il filmato viene distribuito su piu' di una TV
(o proiettore) per creare uno schermo piu' largo.
Le opzioni che appaiono dono la n-esima \-zrcrop si riferiscono alla
n-esima scheda MJPEG, ogni scheda deve avere almeno un \-zrdev oltre
a \-zrcrop.
Per esempi dai un' occhiata a quello che stampa l' opzione \-zrhelp e
la sezione riguardante Zr nella documentazione.
.TP
.B \-zrdev <device> (solo \-vo zr)
Specifica il file speciale del dispositivo che appartiene alla tua scheda
MJPEG, per default questo driver prende il primo dispositivo v4l che trova.
.TP
.B \-zrfd (solo \-vo zr)
Forza la decimazione. La decimazione, come specificato da \-zrhdec e \-zrvdec,
viene eseguita solo se lo scalatore hardware riesce a riportare l' immagine
alle sue dimensioni originali.
Usa questa opzione per forzare la decimazione.
.TP
.B \-zrhelp (solo \-vo zr)
Visualizza una lista di tutte le opzioni \zr*, i loro valori di default ed
un esempio di modalita' cinerama.
.TP
.B \-zrnorm <norm> (solo \-vo zr)
Specifica la norma TV PAL/\:NTSC, il default e' 'nessun cambiamento.
.TP
.B \-zrquality <1\-20> (solo \-vo zr)
Un numero da 1 a 20 che rappresenta la qualita' della codifica jpeg.
Con 1 si ottiene la massima qualita' mentre con 20 si ottiene una
qualita' molto brutta.
.TP
.B \-zrvdec <1,2,4> \-zrhdec <1,2,4> (solo \-vo zr)
Decimazione verticale/\:orizzontale. Chiedi al driver di mandare solo una ogni
2 o 4 linee/\:pixel dell' immagine di ingresso alla scheda MJPEG, dopodiche'
viene utilizzato lo scalatore hardware della scheda stessa per riportare
l' immagine alle sue dimensioni originali.
.TP
.B \-zrxdoff <x display offset>, \-zrydoff <y display offset> (solo \-vo zr)
Se il filmato e' piu' piccolo dello schermo TV, queste opzioni controllano la
posizione del filmato relativo all' angolo in alto a sinistra dello schermo.
Il filmato per default e' centrato.
.
.
.SH "OPZIONI DI DECODIFICA/FILTRAGGIO"
.TP
.B \-ac <[-]codec1,[-]codec2,...[,]>
Specifica una lista di priorita' di codec audio da usare, in accordo con
il loro nome in codecs.conf.
Usa un '-' prima del nome del codec per ometterlo.
.br
.I NOTA:
Vedi \-ac help per una lista completa dei codec disponibili.
.br
Se
Se la lista ha una ',' finale allora verranno usati anche i codec non
indicati.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-ac mp3acm"
forza il codec MP3 l3codeca.acm
.IPs "\-ac mad,"
prova libmad prima, poi passa agli altri
.IPs "\-ac hwac3,a52,"
prova prima il decodificatore hardware AC3 (AC3 passthrough), poi il
codec software AC3, poi gli altri.
.IPs "\-ac -ffmp3,"
prova tutti i codec eccetto il decoder MP3 di FFmpeg
.RE
.PD 1
.
.TP
.B \-af <plugin1[=options],plugin2,...>
Attiva una lista separata da virgola di filtri audio con le proprie opzioni.
.br
I filtri disponibili sono:
.
.RSs
.IPs resample[=srate[:sloppy][:type]]
Cambia la frequenza di campionamento del flusso audio ad un valore intero (Hz).
Supporta solo il formato a 16 bit little endian.
.IPs channels[=nch]
Cambia il numero di canali a nch canali di uscita.
Se il numero di canali di uscita e' maggiore del numero di canali di ingresso
vengono inseriti dei canali vuoti (eccetto nel caso da mono a stereo dove
il canale mono viene ripetuto su entrambi i canali di uscita).
Se il numero di canali di uscita e' minore del numero di canali di ingresso i
canali in eccesso sono troncati.
.IPs format[=bps:f]
Seleziona il formato f e bps byte per campionamento usati per l' uscita
dalla gestione dei filtri
L' opzione bps e' un intero ed indica i byte per campionamento.
Il formato f e' una stringa che contiene un insieme di:
.br
alaw, mulaw o imaadpcm
.br
float o int
.br
unsigned o signed (senza segno, con segno)
.br
le or be (little o big endian)
.br
.IPs volume[=v:sc]
Seleziona il livello del volume di uscita.
Questo filtro non e' rientrante e percio' puo' essere usato solo una volta
per ogni flusso audio.
.RSss
v: guadagno desiderato in dB per tutti i canali del flusso.
Il guadagno puo' andare da -200dB a +40dB (dove -200dB ammutoliscono
completamente il suono e +40dB corrisponde ad un guadagno di 1000 volte).
.br
sc: abilita soft clipping.
.REss
.IPs pan[=n:l01:l02:..l10:l11:l12:...ln0:ln1:ln2:...]
Miscela i canali arbitrariamente, guarda DOCS/HTML/en/devices.html#audio-dev per dettagli.
.RSss
n: numero di canale di uscita (1\-6).
.br
lij: quanto del canale di ingresso j viene miscelato nel canale di uscita i.
.REss
.IPs sub[=fc:ch]
Aggiungi il canale del sub-woofer.
.RSss
fc: Frequenza di taglio del filtro passa basso (da 20Hz a 300Hz, default 60Hz).
.br
ch: Numero del sotto-canale.
.REss
.IPs surround[=d]
Decodificatore per il suono surround codificato a matrice (matrix encoded
surround sound), funziona sulla maggior parte dei file a 2 canali.
.RSss
d: tempo di ritardo in ms per l' altoparlante posteriore (da 0ms a 1000ms, default 15ms).
.REss
.IPs delay[=ch1:ch2:...]
Ritardi dell' uscita del suono.
Specifica il ritardo separatamente per ogni canale in millisecondi (numero
in virgola mobile da 0 a 1000).
.IPs export[=mmapped_file[:nsamples]]
Esporta il segnale in arrivo ad un altro processo usando la mappatura
della memoria (mmap()).
.RSss
mmapped_file: file su cui mappare i dati (default: ~/.mplayer/mplayer-af_export).
.br
nsamples: numero di campionamenti per canale (default: 512)
.REss
.RE
.
.TP
.B \-af-adv <force=(0\-3):list=(filters)> (see \-af option too)
Specifica le opzioni avanzate dei filtri audio:
.
.RSs
.IPs force=<0\-3>
Forza l' inserzione del filtro audio a uno dei seguenti:
.RSss
0: Inserzione completamente automatica dei filtri (default)
.br
1: Ottimizza per la precisione
.br
2: Ottimizza per la velocita'
.br
3: disabilita auto
.REss
.IPs list=<filters>
Stesso significato di \-af (guarda l' opzione \-af).
.RE
.
.TP
.B \-afm <driver1,driver2,...>
Specifica una lista di priorita' dei driver audio da usare, in accordo al
nome del driver in codecs.conf.
Utilizza il default se nessuno e' ok.
.br
.I NOTA:
Guarda \\-afm help per una lista completa dei driver disponibili.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-afm ffmpeg"
prova prima i codec di libavcodec da FFmpeg (mp1/\:2/\:3)
.IPs "\-afm acm,dshow"
prova prima i codec di Win32
.RE
.PD 1
.
.TP
.B \-aspect <ratio>
Sovrascrive il valore del rapporto di aspetto dei filmati.
E' ricavato automaticamente nei file MPEG ma non puo' essere ricavato
automaticamente su molti file AVI.

.I ESEMPIO:
.PD 0
.RSs
\-aspect 4:3  o \-aspect 1.3333
.br
\-aspect 16:9 o \-aspect 1.7777
.RE
.PD 1
.
.TP
.B \-noaspect
Disabilita la compensazione automatica del rapporto di aspetto del film.
.TP
.B \-flip \ 
Ribalta l' immagine alto-basso.
.TP
.B \-lavdopts <option1:option2:...> (CODICE DI DEBUG)
Quando si decodifica con libavcodec puoi specificare i suoi parametri
qui.

.I ESEMPIO:
.PD 0
.RSs
\-lavdopts bug=1
.RE
.PD 1

.RS
.I NOTA:
Aggiungi semplicemente il valori delle cose che vuoi abilitare.
.br
Le opzioni disponibili:
.RE
.
.RSs
.IPs ec\ \ \ 
occultamento degli errori:
.RSss
1: usa un filtro molto forte di eliminazione degli effetti di blocco per MB danneggiati
.br
2: ricerca MV iterattiva (lenta)
.br
3: tutto (default)
.REss
.IPs er=<valore>
recupero degli errori:
.RSss
.br
0: disabilitato
.br
1: attento (dovrebbe funzionare con codificatori errati)
.br
2: normale (default) (funziona con codificatori corretti)
.br
3: aggressivo (piu' controlli ma puo' causare problemi anche con flussi validi)
.br
4: molto aggressivo
.REss
.IPs debug=<valore>
debug:
.RSss
.br
0: disabilitato
.br
1: informazioni immagine
.br
2: controllo del bitrate
.br
4: flusso dei bit
.br
8: tipi di MB
.br
16: QP
.br
32: Vettori di Movimento
.br
0x0040: Visualizzazione dei vettori di movimento (usa \-noslices)
.br
0x0080: MB saltati
.br
0x0100: startcode
.br
0x0200: PTS
.br
0x0400: recupero degli errori
.br
0x0800: operazioni di controllo della gestione della memoria (H264)
.br
0x1000: bugs
.REss
.IPs vismv=<valore>
vismv:
.RSss
.br
0: disabilitato
.br
1: visualizza gli MV previsti in avanti dei fotogrammi P
.br
2: visualizza gli MV previsti in avanti dei fotogrammi B
.br
4: visualizza gli MV previsti in indietro dei fotogrammi B
.REss
.IPs bug=<valore>
lavora manualmente alla risoluzione degli errori del codificatore:
.RSss
0: niente
.br
1: rileva automaticamente i bug (default)
.br
2 (msmpeg4v3): qualche vecchio file msmpeg4v3 generato da lavc (niente rilevamento automatico)
.br
4 (mpeg4): bug dell' interlacciamento di XviD (rilevato automaticamente se fourcc==XVIX)
.br
8 (mpeg4): UMP4 (rilevato automaticamente se fourcc==UMP4)
.br
16 (mpeg4): bug di padding (rilevato automaticamente)
.br
32 (mpeg4): bug vlc illegale (rilevato automaticamente per fourcc)
.br
64 (mpeg4): qpel bug di XviD e DivX (rilevato automaticamente per fourcc/ver)
.br
128 (mpeg4): vecchio standard qpel (rilevato automaticamente per fourcc/ver)
.br
256 (mpeg4): altro bug qpel (rilevato automaticamente per fourcc/ver)
.br
512 (mpeg4): bug direct-qpel-blocksize (rilevato automaticamente per fourcc/ver)
.br
1024 (mpeg4): bug di edge padding (rilevato automaticamente per fourcc/ver)
.REss
.IPs idct=<0\-99>
(guarda lavcopts)
Per la miglior qualita' di decodifica utilizza lo stesso algoritmo di idct sia per la
decodifica che per la codifica.
Questo puo' pero' portare a qualche inaccuratezza.
.IPs gray\ 
decodifica a scala di grigi (un poco piu' veloce che a colori).
.RE
.
.TP
.B \-noslices
Disabilita il disegno del video a striscie / bande alte 16 pixel, invece
disegna il fotogramma completo tutto in una volta.
Puo' essere piu' veloce o piu' lento, a seconda della scheda/\:cache.
Ha effetto solo con i codec libmpeg2 e libavcodec.
.TP
.B \-nosound
Non riprodurre/\:codificare il suono.
Utile per le prove di velocita' (benchmark).
.TP
.B \-novideo
Non riprodurre/\:codificare il video.
.TP
.B \-oldpp <quality> (OBSOLETO) (solo OpenDivX)
Usa il codice di post elaborazione di opendivx invece di quello interno.
Soppiantato da \-pp, le routine di post elaborazione interne offrono
miglior qualita' e prestazioni.
.
La gamma valida del valore di \-oldpp varia da codec a codec, generalmente
0\-6, dove 0=disabilitato 6=piu' lento/\:migliore.
.TP
.B \-pp <quality> (vedi anche l' opzione \-vf pp!)
Regola il livello di post elaborazione della DLL.
Questa opzione NON E' PIU' USABILE con il filtro di post elaborazione
di MPlayer, ma solo con le DLL del DirectShow di Win32 che hanno delle
routine di post elaborazione interne.
.
La gamma valida del valore di \-pp varia da codec a codec, generalmente
0\-6, dove 0=disabilitato 6=piu' lento/\:migliore.
.TP
.B \-pphelp (vedi anche l' opzione \-vf pp)
Visualizza un sommario sui filtri di post elaborazione disponibili ed
il loro utilizzo.
.TP
.B \-ssf <mode>
Specifica i parametri di SwScaler.

.I ESEMPIO:
.PD
.RSs
\-vf scale \-ssf lgb=3.0
.RE
.PD 1
.
.PD 0
.RSs
.IPs lgb=<0\-100>
Filtro di sfocatura gaussiana (luma)
.IPs cgb=<0\-100>
Filtro di sfocatura gaussiana (croma)
.IPs ls=<0\-100>
Filtro di nitidezza (luma)
.IPs cs=<0\-100>
Filtro di nitidezza (croma)
.IPs chs=<h>
spostamento orizzontale della crominanza
.IPs cvs=<v>
spostamento verticale della crominanza
.RE
.PD 1
.
.TP
.B \-stereo <mode>
Seleziona il tipo di uscita stereo di MP2/\:MP3.
.
.PD 0
.RSs
.IPs 0
Stereo
.IPs 1
Canale sinistro
.IPs 2
Canale destro
.RE
.PD 1
.
.TP
.B \-sws <software\ scaler\ type> (vedi anche l' opzione \-vf scale)
Questa opzione seleziona la qualita' (e la velocita' di conseguenza) dello
scalatore via software, con l' opzione \-zoom.
Puo' essere usato con X11 ed altri dispositivi di uscita che mancano
di accelerazione hardware.
I possibili valori sono:
.br
.I NOTA:
Per \-sws\ 2 e 7, la nitidezza (sharpness) puo' essere selezionata con il
parametro (p) della scalatura di \-vf scale ( 0 (morbido) \- 100 (nitido)),
per \-sws 9 specifica invece la lunghezza del filtro (1 \- 10).

.PD 0
.RSs
.IPs 0
bilineare veloce (default)
.IPs 1
bilineare
.IPs 2
bicubica (buona qualita')
.IPs 3
sperimentale
.IPs 4
piu' vicino (cattiva qualita')
.IPs 5
area
.IPs 6
luminanza bicubica / crominanza bilineare
.IPs 7
gauss
.IPs 8
sincR
.IPs 9
lanczos
.IPs 10
spline bicubica
.RE
.PD 1
.
.TP
.B \-vc <[-]codec1,[-]codec2,...[,]>
Specifica una lista di priorita' dei codec video da usare, in accordo al loro
nome in codecs.conf.
Utilizza un '-' prima del nome del codec per ometterlo.
.br
.I NOTA:
Vedi \-vc help per una lista completa dei codec disponibili.
.br
Se la lista ha una ',' finale, verranno usati anche i codec non elencati.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-vc divx"
forza il codec DivX Win32/\:VFW DivX, non usa comunque gli altri.
.IPs "\-vc divx4,"
prova prima il codec divx4linux, poi passa agli altri
.IPs "\-vc -divxds,-divx,"
Prova tutti i codec eccetto i codec DivX di Win32
.IPs "\-vc ffmpeg12,mpeg12,"
prova il codec MPEG1/\:2 di libavcodec, poi libmpeg2, poi gli altri
.RE
.PD 1
.
.TP
.B \-vfm <driver1,driver2,...>
Specifica una lista di priorita' di codec video da usare in accordo al
loro nome in codecs.conf.
Passa ai valori di default se nessuno e' ok.
.br
.I NOTA:
Se il supporto a libdivxdecore e' stato compilato allora odivx e divx4 adesso
contengono lo stesso codec DivX4 ma API differenti per gestirli.
Per le differenze tra loro e quando usare quale controlla la sezione che
riguarda Divx4 nella documentazione.
.br
Vedi \-vfm help per una lista completa dei driver disponibili.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-vfm ffmpeg,dshow,vfw"
Prova i codec di libavcodec, poi DirectShow, poi VFW e poi passa agli
altri se non ne ha ancora trovato uno buono.
.IPs "\-vfm xanim"
prova prima i codec XAnim
.RE
.PD 1
.
.TP
.B \-x <x> (solo MPLAYER)
Scala l' immagine alla larghezza x (se la scalatura software/\:hardware e' disponibile).
Disabilita il calcolo dell' aspetto.
.TP
.B \-xvidopts <option1:option2:...>
Specifica dei parametri addizionali quando si decodifica con XviD.
.
.PD 0
.RSs
.IPs deblock-chroma
Attiva il filtro di post elaborazione interno di XviD:filtro di de-block della crominanza
Vedi anche \-vf pp che e' piu' veloce del filtro di XviD.
.IPs deblock-luma
Attiva il filtro di post elaborazione interno di XviD:filtro di de-block della luminanza
Vedi anche \-vf pp che e' piu' veloce del filtro di XviD.
.IPs dr2\ \ 
Attiva il metodo 2 di direct rendering.
.IPs nodr2
Disattiva il metodo 2 di direct rendering.
.IPs filmeffect
Attiva il filtro interno di XviD per l' effetto della grana del film.
Aggiunge una grana artificiale al video.
Puo' migliorare la qualita' percepita anche se abbassa l' effettiva qualita'.
Vedia anche \-vf noise.
.RE
.PD 1
.
.TP
.B \-xy <valore>
.PD 0
.RSs
.IPs value<=8
Scala l' immagine di un fattore <valore>.
.IPs value>8
Carica l' ampiezza al valore specificato e calcola l' altezza per
mantenere un rapporto di aspetto corretto.
.RE
.PD 1
.
.TP
.B \-y <y> (solo MPLAYER)
Scala l' immagine all' altezza y (se la scalatura software/\:hardware e' disponibile).
Disabilita il calcolo dell' aspetto.
.TP
.B \-zoom \ 
Permette la scalatura via software quando disponibile.
Puo' essere usato per forzare la scalatura con \-vf scale.
.br
.I NOTA:
\-vf scale IGNORERA' le opzioni \-x / \-y / \-xy / \-fs / \-aspect senza
\-zoom.
.
.
.SH "FILTRI VIDEO"
I filtri video sono plugin che ti permettono di modificare il flusso
video e le sue proprieta'.
La sintassi e':
.TP
.B \-vf <filtro1[=parametri],filtro2,...>
Attiva una catena di filtri video.
.TP
.B \-vop <...,filter3[=parameters],filter2,filter1> (OBSOLETE)
Attiva una catena di filtri video, da applicare in ordine
.B inverso
.
Deprecato in favore di \-vf.
.PP
I parametri sono opzionali e, se omessi, alcuni di essi verranno caricati
a valori di default.
Utilizza '-1' per mantenere il valore di default.
Parametri w:h significano larghezza per altezza in pixel, x:y indicano invece
la posizione partendo dall' estremo alto a sinistra dell' immagine piu' grande.
.br
.I NOTA:
Per avere una lista completa dei filtri disponibili, vedi \-vf help.

I filtri sono gestiti in liste.
Ci sono alcuni comandi per gestire la lista dei filtri.
.TP
.B \-vf-add <filtro1[,filtro2,...]>
Aggiunge i filtri passati come argomenti alla fine della lista dei filtri.
.TP
.B \-vf-pre <filter1[,filter2,...]>
Aggiunge i filtri passati come argomenti all' inizio della lista dei filtri.
.TP
.B \-vf-del <index1[,index2,...]>
Cancella i filtri all' indice passato.
I numeri di indice partono da 0, numeri negativi indirizzano la
fine della lista (-1 e' l' ultimo).
.TP
.B \-vf-clr
Pulisce (inizializza) completamente la lista dei filtri.
.PP
Con filtri che lo supportano, puoi accedere ai parametri attraverso il loro nome.
.TP
.B \-vf <filtro>=help
Stampa i nomi dei parametri e la gamma dei valori validi per i parametri per un
particolare filtro.
.TP
.B \-vf <filtro=nome_parametro1=valore1[:nome_parametro2=valore:...]>
Regola un parametro con nome al valore passato.
Utilizza on e off oppure yes e no per attivare / disattivare i parametri
di tipo flag.
.PP
I filtri disponibili sono:
.
.TP
.B crop[=w:h:x:y]
Mantiene la parte dell' immagine specificata ed elimina il resto.
Utile per eliminare le bande nere dei film widescreen.
.PD 0
.RSs
.IPs w,h
Dimensione dell' immagine da mantenere, per default e' la larghezza ed altezza dell' immagine originale.
.IPs x,y
Posizione dell' immagine da mantenere, il default e' il centro.
.RE
.PD 1
.TP
.B cropdetect[=0\-255]
Calcola i parametri necessari per applicare automaticamente il filtro 'crop' e
stampa i parametri raccomandati su stdout.
La soglia puo' essere specificata, partendo da niente (0) a tutto (255).
(default: 24)
.TP
.B rectangle[=w:h:x:y]
Il plugin risponde alla direttiva 'change_rectangle' di input.conf che
ha due parametri.
.PD 0
.RSs
.IPs w,h
larghezza ed altezza (default: -1, larghezza massima possibile dove i
bordi sono ancora visibili).
.IPs x,y
posizione dell' angolo in alto a sinistra (default: -1, il piu' in alto ed il
piu' a sinistra possibile)
.RE
.PD 1
.TP
.B expand[=w:h:x:y:o]
Espande (non scala) la risoluzione del film ai valori passati e
posiziona i filmato originale non scalato alle coordinate x, y.
Puo' essere usato per posizionare i sottotitoli/\:OSD nelle
bande nere che si ottengono.
.RSs
.IPs w,h
Larghezza, altezza espansa (default: ampiezza ed altezza originali).
Valori negativi per w e h sono trattati come scostamenti dalla
dimensione originale.

.I ESEMPIO:
.PD 0
.RSs
.IP expand=0:-50:0:0
aggiunge un bordo di 50 pixel in basso all' immagine.
.RE
.PD 1
.IPs x,y
Posizione dell' immagine originale nell' immagine espansa (default: centro)
.IPs o
generazione (stampa) sottotitoli/OSD
.RSss
0: disabilitata (default)
.br
1: abilitata
.REss
.RE
.TP
.B flip\ \ \ 
Ribalta l' immagine alto / basso (specchio sull' asse X)
Vedi anche l' opzione \-flip.
.TP
.B mirror\ 
Specchia l' immagine sull' asse Y.
.TP
.B rotate[=<0\-7>]
Ruota e ribalta (opzionalmente) l' immagine +/\:- 90 gradi.
Con il parametro da 4\-7 la rotazione viene eseguita solo se la
geometria del film e' ritratto (portrait) e non paesaggio (landscape).
.TP
.B scale[=w:h[:interlaced[:chr_drop[:param[:presize]]]]]
Scala l' immagine con la modalita' software (lento) ed esegue una conversione
dello spazio colore YUV<\->RGB (vedi anche l' opzione \-sws).
.RSs
.IPs w,h\ \ 
larghezza/altezza scalata (default: larghezza / altezza originali)
.br
.I NOTA:
Se si usa \-zoom ed i filtri (compreso libvo) sottostanti non
sono capaci di effettuare la scalatura il valore di default diventa
d_width/\:d_height (d_larghezza / d_altezza)!
.RSss
 0:   d_width/\:d_height scalati
.br
-1:   larghezza/altezza originali
.br
-2:   Calcola w/\:h utilizzando l' altra dimensione e il rapporto di aspetto prescalato.
.br
-3:   Calcola w/\:h utilizzando l' altra dimensione e il rapporto di aspetto originale.
.REss
.IPs interlaced
Attiva la scalatura interlacciata.
.IPs chr_drop
eliminazione chroma
.RSss
0: utilizza tutte le linee di ingresso per la crominanza
.br
1: utilizza solo una linea ogni 2 linee di ingresso per la crominanza
.br
2: utilizza solo una linea ogni 4 linee di ingresso per la crominanza
.br
3: utilizza solo una linea ogni 8 linee di ingresso per la crominanza
.REss
.IPs param
parametro di scalatura (dipende dal metodo di scalatura utilizzato)
.RSss
\-sws 2 (bicubica): nitidezza (0 (morbido) \- 100 (nitido))
.br
\-sws 7 (gaussiano): nitidezza (0 (morbido) \- 100 (nitido))
.br
\-sws 9 (lanczos):  lunghezza del filtro (1\-10)
.REss
.IPs presize
Scala ad una dimensione predefinita.
.RSss
qntsc:   352x240 (quarto di schermo NTSC)
.br
qpal:    352x288 (quarto di schermo PAL)
.br
ntsc:    720x480 (NTSC standard)
.br
pal:     720x576 (PAL standard )
.br
sntsc:   640x480 (NTSC con pixel quadrati)
.br
spal:    768x576 (PAL con pixel quadrati)
.REss
.RE
.TP
.B dsize={aspect|w:h}
Cambia la dimensione di visualizzazione / il rapporto di aspetto che
si desidera avere in un punto a scelta nella catena dei filtri.
l' aspetto puo' essere espresso come frazione (4/3) oppure come
numero floating point (1.33).
Alternativamente, puoi specificare esattamente le dimensioni di larghezza ed
altezza di visualizzazione che desideri.
Nota che questo filtro NON effettua nessuna scalatura, semplicemente influenza
quello che viene eseguito successivamente dalla scalatura (software o hardware)
quando si esegue un' auto scalatura per correggere il rapporto di aspetto del film.
.TP
.B yuy2\ \ \ 
Forza una conversione software YV12/\:I420 oppure da 422P a YUY2.
Utile per schede video/\:driver con un supporto lento per YV12 ma veloce per YUY2.
.TP
.B yvu9\ \ \ 
Forza una conversione software dallo spazio colore YVU9 a YV12.
Deprecato a favore della scalatura via software.
.TP
.B yuvcsp\ 
Limita (clamp) i valori dei colori YUV alla gamma CCIR 601 senza effettuare una reale conversione.
.TP
.B rgb2bgr[=swap]
Conversione dello spazio colore RGB 24/\:32 <\-> BGR 24/\:32.
.PD 0
.RSs
.IPs swap
Effettua anche lo scambio  R <\-> B.
.RE
.PD 1
.TP
.B palette
Conversione dello spazio colore RGB/\:BGR 8 \-> 15/\:16/\:24/\:32bpp utilizzando una palette (tavolozza).
.TP
.B format[=fourcc]
Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione.
Da utilizzare con il filtro di scalatura per ottenere un conversione effettiva.
Per una lista dei formati disponibili vedi format=fmt=help.
.PD 0
.RSs
.IPs fourcc
nome del formato tipo rgb15, bgr24, yv12, etc (default: yuy2)
.RE
.PD 1
.TP
.B noformat[=fourcc]
Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione.
A differenza del filtro format, questo permette qualsiasi spazio coloro
.B eccetto
quello specificato.
Per una lista dei formati disponibili vedi noformat=fmt=help.
.PD 0
.RSs
.IPs fourcc
nome del formato tipo rgb15, bgr24, yv12, etc (default: yv12)
.RE
.PD 1
.TP
.B pp[=filtro1[:opzione1[:opzione2...]]/[-]filtro2...] (vedi anche \-pphelp)
Questa opzione abilita l' uso del filtro interno di post elaborazione di MPlayer
e presenta un interfaccia dove puoi passare opzioni ai vari filtri.
Per avere una lista dei filtri disponibili usa \-pphelp.
Nota che ogni sotto filtro deve essere separato dal carattere /.
.br
Ogni filtro opera per default sulla crominanza ('c').
.br
Viene accettato il prefisso '-' per disabilitare un opzione.
.br
Un ':' seguito da una lettera puo' essere aggiunto ad una opzione per
modificarne il funzionamento:
.PD 0
.RSs
.IPs a
disabilita automaticamente il filtro se la CPU e' troppo lenta.
.IPs c
Effettua il filtraggio anche sulla crominanza.
.IPs y
Non effettuare il filtraggio sulla crominanza (solo filtraggio
sulla luminanza).
.RE
.PD 1

.RS
.I ESEMPIO:
.RE
.PD 0
.RSs
.IPs "\-vf pp=hb/vb/dr/al"
de-block orizzontale e verticale, eliminazione artefatti circolari (deringing)
e contrasto/\:luminosita' automatica.
.IPs "\-vf pp=hb/vb/dr/al/lb"
de-block orizzontale e verticale, eliminazione artefatti circolari (deringing),
contrasto/\:luminosita' automatica e deinterlacciatore con miscelatura lineare.
.IPs "\-vf pp=de/-al"
filtro di default senza correzione di luminosita'/\:contrasto
.IPs "\-vf pp=de/tn:1:2:3"
Abilita i filtri di default & il denoise (eliminazione rumore) temporale.
.IPs "\-vf pp=hb:y/vb:a \-autoq 6"
De-block orizzontale solo della luminanza ed attiva / disattiva il de-block
verticale automaticamente a seconda del tempo di CPU disponibile.
.RE
.PD 1
.TP
.B spp[=quality[:qp[:mode]]]
filtro di post elaborazione semplice
.RSs
.IPs qualita'
0\-6 (default: 3)
.IPs qp\ \ \ 
forza il parametro di quantizzazione (default: 0, usa qp del video)
.IPs mode\ \ \ 
0: controllo della soglia rigido (default)
.br
1: controllo della soglia meno rigido (miglior eliminazione degli artefatti circolari ma immagine piu' sfuocata)
.RE
.TP
.B qp=equation
cambia il filtro del parametro di quantizzazione
.RSs
.IPs equation
qualche equazione tipo "2+2*sin(PI*qp)"
.RE
.TP
.B test\ \ \ 
Genera varie figure di test.
.TP
.B rgbtest
Genera una figura di test RGB, utile per determinare problemi del tipo
RGB rispetto a BGR.
Dovresti vedere delle striscie rosse, verdi e blu dall' alto al basso.
.TP
.B lavc[=quality:fps]
Conversione software veloce da YV12 a MPEG1 da usare con DVB/\:DXR3.
Veloce e di migliore qualita' che \-vf fame.
.RSs
.IPs quality
.RSss
1\-31: qscale (scala di quantizzazione) fissa
.br
32\-:  bitrate fisso in kBit
.REss
.IPs fps\ \ 
forza il numero di fps (frame per second, fotogrammi al secondo) di uscita (valore
float) (default: 0, trovato automaticamente basandosi sull' altezza)
.RE
.TP
.B fame\ \ \ 
Conversione software veloce da YV12 a MPEG1 fatta con libfame da usare con DVB/\:DXR3.
.TP
.B dvbscale[=aspect]
Attiva una scalatura ottimale per le schede DVB, riscalando l' asse X via hardware
e ricalcolando la scalatura sull' asse Y in software per mantenere l' aspetto.
E' utile solo insieme a expand+scale (\-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc).
.RSs
.IPs aspect
controlla il rapporto di aspetto, calcolato come DVB_HEIGHT*ASPECTRATIO (default:
576*4/3=768), caricalo a 576*(16/9)=1024 per una TV 16:9.
.RE
.TP
.B noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
Aggiunge rumore.
.PD 0
.RSs
.IPs <0\-100>
rumore luminanza
.IPs <0\-100>
rumore crominanza
.IPs u
rumore uniforme (altrimenti gaussiano)
.IPs t
rumore temporale (l' aspetto del rumore cambia tra i fotogrammi)
.IPs a
rumore temporale mediato (piu' 'morbido', ma molto piu' lento)
.IPs h
alta qualita' (appare leggermente migliore, leggermente piu' lento)
.IPs p
miscela rumore casuale con uno con un aspetto (semi)regolare
.RE
.PD 1
.
.TP
.B denoise3d[=luma:chroma:time]
Questo filtro cerca di ridurre il rumore dell' immagine per produrre immagini
piu' morbide e rendendo le immagini ferme realmente ferme (questo dovrebbe
aumentare la compressibilita').
Possono venir passati da 0 a 3 parametri. Se un parametro viene omesso allora
viene calcolato / caricato un valore ragionevole.
.PD 0
.RSs
.IPs luma\ 
intensita' spaziale della luminanza (default = 4)
.IPs chroma
intensita' spaziale della crominanza (default = 3)
.IPs time\ 
intensita' temporale (default = 6)
.RE
.PD 1
.TP
.B hqdn3d[=luma:chroma:time]
Versione ad alta precisione/\:qualita' del filtro denoise3d.
Parametri ed uso sono gli stessi.
.TP
.B eq[=bright:cont]
Equalizzatore software con controlli interattivi proprio come l' equalizzatore
hardware, per schede/\:driver che non supportano i controlli di luminosita' e
contrasto in hardware.
Puo' anche essere utile con MEncoder, sia per sistemare filmati catturati in
modo non proprio corretto o per ridurre leggermente il contrasto per
mascherare artefatti e provare ad ottenere bitrate minori.
I valori iniziali nella gamma -100\-100 possono essere passati sulla
linea di comando.
.TP
.B eq2[=gamma:contrast:brightness:saturation:rg:gg:bg:weight]
Equalizzatore software alternativo che utilizza una tabella di lookup
(molto lento) che permette anche la correzione del gamma oltre ai
semplici aggiustamento di luminosita' e contrasto.
Nota vhe viene utilizzato lo stesso codice ottimizzato per MMX come
\-vf eq se tutti i valori di gamma sono 1.0.
I parametri sono passati come valori in floating point.
I parametri rg, gg, bg sono i valori di gamma indipendenti per i componenti
Rosso, Verde (Green) e Blu.
Il parametro weight (peso) puo' essere usato per ridurre gli effetti di un
valore molto alto di gamma su aree dell' immagine molto luminose, e.g. \&
cercando di evitare che diventino super amplificate e diventino semplicemente
bianco.
Un valore di 0.0 elimina del tutto la correzione gamma mentre 1.0 la lascia
alla sua efficacia completa.
I default sono gamma=1.0, contrasto=1.0, luminosita'(brightness)=0.0, saturazione=1.0,
weight=1.0.
I valori validi sono 0.1\-10 per gamma, -2\-2 per contrasto (valori negativi creano
un' immagine negativa), -1\-1 per la luminosita', 0\-3 per saturatione e 0\-1 per
weight.
.TP
.B hue[=hue:saturation]
Default sono tonalita' (hue)=0.0 e saturazione=1.0.
La gamma dei valori e' di -180\-180 per la tonalita', -2\-2 per la saturazione
(valori negativi faranno ottenere una valore di chroma negativo).
.TP
.B halfpack[=f]
Converte dal formato YUV 4:2:0 ad un formato a mezza altezza 4:2:2, riducendo
la luminanza ma mantenendo tutti i campioni di crominanza.
Utile per mandare dati a visualizzatori a bassa risoluzione quando la scaltura
hardware in riduzione e' di bassa qualita' oppure non e' disponibile.
Puo' anche essere usato come un deinterlacciatore primitivo che agisce solo
sulla luminanza ed utilizza molto poco la CPU.
Per default halfpack media le coppie di linee quando effettua la scalatura
verso il basso.
Il parametro opzionale f puo' essere 0 per usare solo le linee pari oppure
1 per usare solo quelle dispari.
Qualsiasi altro valore per f attiva la gestione di default (media delle due
linee).
.TP
.B ilpack[=mode]
Quando il video interlacciato e' memorizzato nel formato YUV 4:2:0, l' interlacciamento
della crominanza non e' allineato in modo completamente corretto a causa del
subcampionamento verticale del canale della crominanza.
Questo filtro inpacchetta i dati in formato planare 4:2:0 nel formato YUY2 (4:2:2:) con le
linee di crominanza nella loro giusta posizione, in modo che in qualsiasi
linea i dati di luminanza e crominanza vengano dallo stesso field.
L' argomento opzionale seleziona il modo di campionamento.
Per default viene usata la modalita' ad interpolazione lineare (modo 1).
Il modo 0 utilizza il campionamento con il pixel piu' vicino, che e' piu' veloce ma non corretto.

.TP
.B harddup
Utile solo con MEncoder.
Se utilizzato nella codifica, i fotogrammi duplicati vengono comunque
codificati in modo forzato sull' uscita.
Questo utilizza leggermente piu' spazio ma e' necessario se si scrivono
file MPEG oppure se hai intenzione di dividere (demux) e rimettere
insieme (remux) i flussi video dopo la codifica.
Dovrebbe essere messo alla fine o vicino alla fine della catena dei
filtri a meno che tu non abbia delle buone ragioni per fare altrimenti.
.TP
.B softskip
Utile solo con MEncoder.
Softskip sposta il passo di eliminazione dei fotogrammi (dropping) della codifica da
prima della catena dei filtri a qualche punto nella catena dei filtri stessa.
Questo permette a filtri che necessitano di controllare tutti i fotogrammi
(telecine inversa, eliminazione temporale del rumore, ...) di funzionare correttamente
Dovrebbe essere inserito dopo il filtro che necessita di vedere tutti i
fotogrammi e prima di ogni filtro seguente che ha bisogno di molto tempo di
cpu.
.TP
.B decimate[=max:hi:lo:frac]
Elimina fotogrammi che non sono molto diversi dal precedente per poter
ridurre la velocita' in fotogrammi (framerate).
L' argomento max (se positivo) indica il numero massimo di fotogrammi che
possono venir eliminati oppure, se negativo, l' intervallo minimo tra
frame eliminati.
Un fotogramma e' candidato all' eliminazione se nessun blocco di 8x8 pixel differisce
per piu' di una soglia di hi e se non piu' di frac parti (1 significa l' immagine
completa) differiscono per piu' di una soglia lo.
I valori di hi e lo sono per dati per un blocco di 8x8 pixel e rappresentano
valori di differenza di pixel, percio' una soglia di 64 corrisponde ad 1 unita'
di differenza per ogni pixel, oppure lo stesso valore distribuito in
maniera diversa nel blocco (2 difference of 32, 4 of 16, ...)
L' utilizzo principale di questo filtro e' per codifiche a bitrate veramente
molto bassi (ad esempio per effettuare uno streaming su un modem) ma puo'
essere in teoria usato per mettere a posto filmati a cui e' stata applicato
un processo inverso di telecine in modo errato.
.TP
.B dint[=sense:level]
Trova ed elimina il primo fotogramma interlacciato di un flusso video.
I parametri possono andare da 0.0 a 1.0 \- il primo (default 0.1) e' la differenza
relativa di due pixel vicini, il secondo (default 0.15) e' quanta parte dell' immagine
deve essere rilevata come interlacciata per eliminare il fotogramma.
.TP
.B lavcdeint
Utilizza il filtro di deinterlacciamento di libavcodec.
.TP
.B kerndeint[=thresh[:map[:order[:sharp[:twoway]]]]]
Deinterlacciatore adattivo di Donald Graft.
Deinterlaccia parti del filmato se una soglia configurabile viene superata.
.PD 0
.RSs
.IPs "thresh (0 - 255)"
Soglia (default 10).
.IPs "map (0 o 1)"
Colora i pixel che eccedono la soglia in bianco (default: 0).
.IPs "order (0 o 1)"
Inverte i field se 1 (default: 0)
.IPs "sharp (0 o 1)"
Abilita una nitidezza (sharpening) addizionale (default: 0).
.IPs "twoway (0 o 1)"
Abilita lo sharpening a due vie (default: 0).
.RE
.PD 1
.TP
.B unsharp=l|cWxH:amount[:l|cWxH:amount]
Maschera di eliminazione dei particolari (Unsharp) / sfocatura gaussiana.
.RSs
.IPs l
Applica l' effetto sul componente luma.
.IPs c
Applica l' effetto sul componente chroma.
.IPs WxH
larghezza ed altezza della matrice, dimensioni dispari in entrambe le direzioni.
(min = 3x3, max = 13x11 o 11x13, normalmente qualcosa tra 3x3 e 7x7)
.IPs amount
Quantita' relativa di ?sharpness?/\:blur da aggiungere all' immagine
(una gamma valida dovrebbe essere -1.5\-1.5).
.RSss
<0: blur
.br
>0: sharpen
.REss
.RE
.TP
.B swapuv\ 
Scambia i piani U & V.
.TP
.B il=[d|i][s][:[d|i][s]]
(de)interleave delle linee.
Lo scopo di questo filtro e' l' aggiunta della possibilita' di processare
immagini interlacciate sul singolo field senza deinterllacciarle.
Puoi filtrare il tuo DVD interlacciato e visualizzarlo sulla TV senza
rovinare l' interlacciamento.
Mentre il deinterlacciamento (con il filtro di post elaborazione) rimuove
l' interlacciamento in modo permanente (attraverso un ammorbimento, una
media, etc) il deinterleave divide i fotogrammi in due filed (chiamati
mezze immagini), cosi' li puoi processare (filtrare) in modo indipendente
e poi effettuare il re-interleave per riottenere l' immagine interlacciata.
.PD 0
.RSs
.IPs d
de-interleave (piazza un field sopra all' altro)
.IPs i
re-interleave
.IPs s
scambia i field (scambia le linee pari e dispari)
.RE
.PD 1
.TP
.B fil=[i|d]
(de)interleave veloce delle linee.
Questo filtro e' molto simile al filtro il ma molto piu' veloce, il
grosso svantaggio e che non sempre funziona.
Specialmente se combinato con altri filtri puo' produrre immagini massacrate in
modo casuale percio' sii felice se funziona ma non lamentarti se per caso
non funziona con la tua combinazione di filtri.
.PD 0
.RSs
.IPs d
De-interleave dei field, piazzandoli fianco a fianco.
.IPs i
Re-Interleave di nuovo dei campi (annullando l' effetto di
fil=d).
.RE
.PD 1
.TP
.B field[=n]
Estrae un singolo field da un immagine interlacciata utilizzando
l' aritmetica delle striscie (stride) per evitare di perdere tempo
di CPU.
L' argomento opzionale n specifica se estrarre il field pari o dispari
(a seconda che n sia pari o dispari).
.TP
.B detc[=var1=value2:var2=value2:...]
Prova a invertire il processo di 'telecine' per ottenere un filmato 'pulito', 
non interlacciato ad un framerate da film.
Questo e' il primo e piu' primitivo filtro per il processo di telecine
inversa ad essere stato aggiunto a MPlayer/MEncoder.
Funziona bloccandosi sul modello 3:2 del processo di telecine e seguendolo
finche' e' possibile.
Questo lo rende adatto per materiale a cui il processo di telecine e'
stato applicato in modo perfetto, anche in presenza di un certo livello
di rumore, ma genera risultati errati in presenza di modifiche complesse
applicate dopo il processo di telecine stesso.
Lo sviluppo di questo filtro non ha piu' luogo in quanto ivtc, pullup e
filmdint sono migliori per molte applicazioni.
I parametri successivi (vedi la sintassi sotto) possono essere usati
per controllare il comportamento del filtro detc:
.RSs
.IPs dr
Seleziona la modalita' di eliminazione dei fotogrammi.
0 (default) indica di non eliminare fotogrammi per mantenere un
framerate di uscita fisso.
1 indica di eliminare un fotogramma quando non ci sono state eliminazioni
o miscelazioni dovute al telecine negli ultimi 5 fotogrammi.
2 indica di mantenere sempre un rapporto 5:4 tra il frame rate
di ingresso ed uscita.
.I NOTA:
Utilizza il modo 1 oppure 2 con MEncoder.
.IPs am
Modo di analisi.
I valori disponibili sono 0 (modello fisso con numero di fotogramma
iniziale specificato da fr=#) e 1 (ricerca aggressiva del modello
di telecine)
Il default e' 1.
.IPs fr
Indica il numero iniziale di fotogramma nella sequenza.
0\/2 sono i tre fotogrammi progressivi 'chiari', 3 e 4 sono i due
fotogrammi interlacciati.
Il default, -1, indica 'non nella sequenza di telecine'.
Il numero specifica qui e' il tipo del fotogramma immaginario
che abbiamo prima che inizi il film.
.IPs "tr0, tr1, tr2, tr3"
Valori di soglia da usare in certe modalita'.
.RE
.TP
.B ivtc[=1]
Filtro sperimentale di inversione del telecine 'stateless'.
Piuttosto che provare a bloccarsi su un modello come fa il filtro
detc, ivtc effettua la sua decisione in maniera indipendente per ogni
fotogramma.
Questo dara' risultati molto migliori nel caso di materiale che e'
stato sottoposto a modifiche pesanti dopo che e' stato applicato il
telecine, ma non e' cosi' bravo con materiale pieno di rumore, ad
esempio filmati catturati dalla TV.
Il parametro opzionale (ivtc=1) corrisponde all' opzione dr=1 del filtro
detc e dovrebbe essere usato con MEncoder ma non con MPlayer.
Cosi' come con detc, quando lo usi con MEncoder devi specificare il
corretto framerate di uscita (\-ofps 23,9876).
Lo sviluppo del filtro ivtc e' attualmente bloccato in quanto i filtri
pullup e filmdint sembrano multo piu' accurati.
.TP
.B pullup\ 
Filtro di inversione del telecine di terza generazione, capace
di gestire materiale misto con telecine, progressivo a 24
fotogrammi al secondo e progressivo a 30 fps.
Il filtro pullup e' progettato per essere molto piu' robusto
dei filtri detc e ivtc, utilizzando la possibilita' di guardare
il contesto futuro per prendere le proprie decisioni.
Come ivtc, pullup e' 'stateless' nel senso che non si blocca su un modello
da seguire ma invece guarda avanti ai field successivi in modo da identificare
delle corrispondenze e ricreare i fotogrammi progressivi.
E' ancora sotto sviluppo ma si crede che sia completamente preciso.
Nessuna opzione di configurazione e' ancora disponibile.
.I NOTA:
Precedi sempre il filtro pullup con il filtro softskip quando codifichi
per assicurarti che pullup sia capace di vedere tutti i fotogrammi.
Non farlo portera' ad avere un filmato non corretto e normalmente portera'
a dei bloccaggi, dovuti alle limitazioni di progetto del livello dei
codec / filtri.
.TP
.B filmdint[=options]
Filtro di inversione del telecine, simile al filtro pullup sopra.
E' progettato per gestire qualsiasi modello di pulldown, incluso una
combinazione di soft ed hard telecine ed un limitato supporto per filmati
che sono stati rallentati o velocizzati dal loro framerate originale per
la TV.
Solo il piano luma viene usato per trovare le divisioni dei frame.
Se un campo non ha corrispondenza, viene interlacciato con una semplice
approssimazione lineare.
Se il filmato e' in formato MPEG-2 questo deve essere il primo filtro per
poter accedere al flag del field attivato dal decoder MPEG-2.
A seconda del filmato che volete processare, puoi tranquillamente ignorare
questo consiglio, almeno finche' non vedi una lunga serie di avvertimenti
"Bottom-first field".
Senza opzioni effettua una normale inversione del processo di telecine e
dovrebbe essere usato con le opzioni di MEncoder \-fps 29.87 e \0ofps 23.976.
Quando questo filtro e' usato con MPlayer generera' un framerate diseguale
durante la riproduzione, ma e' generalmente meglio che usare pp=lb
oppure nessun deinterlacciamento.
Opzioni multiple possono essere specificate separate da /.
.RSs
.IPs crop=w:h:x:y
Uguale al filtro crop, ma piu' veloce e lavora su filmati con combinazioni
di hard e soft telecine e anche quando Y non e' un multiplo di 4.
Se x o y dovessero richiedere il ritaglio di pixel frazionali dai piani
della crominanza, l' area di crop viene estesa.
Questo generalmente indica che x e y devono essere pari.
.IPs io=ifps:ofps
Per ogni ifps fotogramma di ingresso il filtro generera' ofps fotogrammi
di uscita.
Il rapporto di ipfs/ofps deve corrispondere al rapporto \-fps/\-ofps.
Puo' essere usato per filtrare filmati che sono trasmessi alla TV ad un
framerate differente da quello originale.
.IPs luma_only=n
Se n e' diverso da 0 il piano croma e' copiato cosi com' e'.
E' utile per materiale dalla TV con campionamento YV12, dove si ignora uno dei
field del croma.
.IPs mmx2=n
Nel caso di x86, se n=1 utilizza funzioni ottimizzate per MMX2,
se n=2 usa funzioni ottimizzate per 3DNow!, altrimenti usa C semplice.
Se questa opzione non e' specificata l' utilizzo di MMX2 o 3DNow! e' automatico,
utilizza questa opzione per modificare la ricerca automatica.
.IPs fast=n
Valori piu' alti di n velocizzano il filtro a scapito dell' accuratezza.
Il valore di default e' n=3.
Se n e' dispari, un fotogramma immediatamente successivo ad un fotogramma
marcato con il flag mpeg REPEAT_FIRST_FIELD viene considerato come
progressivo , percio' il filtro non perdera' nessun tempo su materiale
MPEG-2 con soft-telecine.
Questo e' l' unico effetto del flag se MMX2 o 3DNow! e' disponibile.
Senza MMX2 e 3DNow!, se n=0 o 1, lo stesso calcolo viene usato come
con n=2 o 3.
Se n=2 o 3, il numero di livelli di luma usati per trovare i cambi di
fotogramma e' ridotto da 256 a 128, che permette di ottenere un filtro
piu' rapido senza perdere troppa precisione.
Se n=4 o 5 un sistema piu' veloce ma meno accurato viene usato per trovare
i cambi di fotogramma ma diventa piu' facile riconoscere in modo errato
dettagli verticali come interlacciamento.
.IPs verbose=n
Se n e' non zero, stampa la metrica dettagliata per ogni fotogramma.
Utile per il debug.
.IPs dint_thres=n
Soglia di de-interlacciamento.
Usato nel de-interlacciamento di fotogrammi non riconosciuti.
Valori piu' alti significano meno deinterlacciamento, usa n=256 per
disabilitare completamente il deinterlacciamento.
Il default e' n=8.
.IPs comb_thres=n
Soglia per comparare i field superiore ed inferiore.
Il default e' 128.
.IPs diff_thres=n
Soglia per determinare il cambio temporale di un field.
Il default e' 128.
.IPs sad_thres=n
Soglia della somma delle differenze assolute, il default e' 64.
.RE
.TP
.B softpulldown
Questo filtro funziona correttamente solo con MEncoder e agisce sul flag MPEG2
usato per effettuare il pulldown soft 3:2 (noto anche come soft telecine).
Se vuoi usare il filtro ivtc oppure detc su filmati che sono parzialmente
codificati in modalita' soft telecine inserendo questo filtro prima li rendi
molto piu' affidabili.
Attualmente solo libmpeg2 esporta il flag necessario.
Se usato su materiale che non setta il flag il filtro non esegue nulla.
.TP
.B divtc[=opzioni]
Telecine inversa per video deinterlacciati.
Se il video a cui e' stato applicato il processo di telecine (3:2-pulldown) ha
perso uno dei field oppure e' deinterllaciato utilizzando un metodo che preserva
un field e interpola l' altro, il risultato e' un video 'saltellante' che ha un
fotogramma ogni quattro duplicato.
Questo filtro e' studiato per trovare e scartare questa duplicazione e ripristinare
la velocita' originale del film.
Quando si utilizza questo filtro devi specificare un valore di \-ofps che e' 4/5
della velocita' (in fotogrammi al secondo, fps) del file di ingresso (23.976 se
l' ingresso e' a 29.97 fps).
Le opzioni sono:
.RSs
.IPs pass=1|2
Uilizza due passi.
Questo produce i mugliori risultati.
Il passo 1 analizza il video e scrive i risultati in un file di log.
Il passo 2 quindi legge questo file di log e ne utilizza le informazioni per fare
effettivamente il lavoro.
Nota che questi passi NON corrispondono ai passi 1 e 2 del processo di codifica.
Per poter utilizzare la modilita' a due passi di divtc con la codifica a due passi
devi eseguire tre passi in totale: prima il passo 1 di divtc e il passo 1 di codifica,
poi il passo 2 di divtc ed il passo 1 di codifica ed infine il passo 2 di divtc ed
il passo 2 di codifica.
.IPs file=nomefile
Imposta il nome del file di log per la modalita' a due passi (default: "framediff.log").
.IPs threshold=valore
Imposta il valore minimo della forza che deve avere il modello di telecine per
permettere al filtro di riconoscerlo (default: 0.5)
Viene utilizzato pee evitare di riconoscere falsi modelli nella parti di video
che sono o molto scure o senza molti movimenti.
.IPs window=numframes
Imposta il numero di fotogrammi passati da controllare quando si cerca il
modello (default: 30).
Finestre piu' lunghe migliorano l' affidabilita' della ricerca del modello
mentre finestre piu' corte migliorano il tempo di reazione nel caso di
cambiamenti della fase del telecine.
Questo influisce solo sulla modalita' ad un passo.
La modalita' a due passi attualmente utilizza una finestra fissa che si estende
sia nel futuro che nel passato.
.IPs phase=0|1|2|3|4
Imposta il valore iniziale della fase del telecine (default: 0).
La modalita' a due passi puo' vedere il futuro ed e' percio' capace di
usare il valore corretto di fase dall' inizio, mentre la modalita' ad un passo
puo' solo provare ad indovinare.
Viene utilizzata la fase corretta quando viene trovata, questa opzione puo'
essere usata per correggere il possibile saltellamento all' inizio.
Anche il primo passo della modalita' a due passi utilizza questo valore, cosi'
se salvi i dati dal primo passo ottieni dei risultati costanti di fase.
.IPs deghost=valore
Imposta la soglia per il deghosting (eliminazione effetto fantasma) (0\-255 per
modalita' ad un passo, -255\-255 per la modalita' a due passi, default 0).
Se diversa da zero si abilita' la modalita' deghost.
Viene utilizzata per quei video che sono stati deinterlacciati miscelando i due
field insieme invece di eliminarne solo uno dei due.
L' applicazione dell' algoritmo di deghost amplifica qualsiasi artefatto dovuto
alla compressione nel fotogramma miscelato ed il valore del parametro viene usato
come una soglia che esclude dall' operazione quei punti che differiscono dal
fotogramma precedente meno del valore specificato.
Se si utilizza la modalita' a due passi il valore negativo si puo' usare
per fare analizzare al filtro il video completo all' inizio del passo 2 per
determinare se necessita o meno dell' applicazione del deghost e poi selezionare
zero oppure il valore assoluto del parametro.
Specifica questa opzione nel passo 2, non fa nessuna differenza nel passo 1.
.RE
.TP
.B phase=[t|b|p|a|u|T|B|A|U][:v]
Ritarda il video interlacciato del tempo di un field in modo da
cambiare l' ordine dei field stessi.
L' utilizzo previsto e' per sistemare filmati PAL che sono stati catturati
con l' ordine dei field opposto a quello del trasferimento da film a video.
Le opzioni sono:
.RSs
.IPs t
Cattura i field in ordine top-first (prima il field superiore), trasferisce
bottom-first (prima il field inferiore).
Il filtro ritardera' il field inferiore.
.IPs b
Cattura i field in ordine bottom-first, trasferisce
top-first.
Il filtro ritardera' il field superiore.
.IPs p
Cattura e trasferisce con lo stesso ordine dei field.
Questa modalita' esiste per permettere alla documentazione delle altre opzioni
di potervisi riferire ma se, eventualmente, la selezioni il filtro non effettuera'
assolutamente nulla ;-)
.IPs a
L' ordine di cattura dei field e' determinato automaticamente dal flag del field,
trasferisce l' opposto.
Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma utilizzando il
flag del field.
Se non e' presente nessuna informazione sul field, si comporta come l' opzione u.
.IPs u
Cattura sconosciuta o variabile, trasferisce l' opposto.
Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma analizzando
le immagini e selezionando l' alternativa che produce il miglior riscontro
tra i field.
.IPs T
Cattura top-first, trasferisce sconosciuto o variabile.
Il filtro seleziona la modalita' t o p utilizzando l' analisi dell' immagine.
.IPs B
Cattura bottom-first, trasferisce sconosciuto o variabile.
Il filtro seleziona la modalita' b o p utilizzando l' analisi dell' immagine.
.IPs A
Cattura determinata dal flag del field, trasferisce sconosciuto o variabile.
Il filtro seleziona tra le modalita' t, b e p utilizzando il flag
del field e l' analisi dell' immagine.
Se non abbiamo informazioni sui field allora questa modalita' e' uguale alla U.
Questa e' la modalita' di default.
.IPs U
Sia cattura che trasferimento sconosciuto o variabile.
Il filtro seleziona tra la modalita' t, b, e p utilizzando solo l' analisi dell' immagine.
.IPs v
Operazioni verbose.
Stampa il modo selezionato per ogni fotogramma e la differenza media quadratica
tra i field per le alternative delle modalita' t, b, e p.
.RE
.TP
.B telecine[=start]
Applica il processo di 'telecine' 3:2 per incrementare il framerate
del 20%.
Molto probabilmente non funzionera' correttamente con MPlayer ma
puo' essere usato con 'mencoder \-fps 29.97 \-ofps 29.97 \-vf telecine'.
Entrambe le opzioni fps sono essenziali! (il sincronismo A/V sara'
errato se sono sbagliati).
Il parametro opzionale start dice al filtro dove deve cominciare
nel modello di telecine (0\-3).
.TP
.B tinterlace[=mode]
Interlacciamento temporale dei field \- unisce coppie di fotogrammi in
un singolo fotogramma, dimezzando il framerate. I fotogrammi pari sono
spostati nel field superiore, quelli dispari nel field inferiore.
Questo puo' essere usato per invertire completamente l' effetto del
filtro tfields (in modalita' 0).
I modi disponibili sono:
.PD 0
.RSs
.IPs 0
fotogrammi dispari nel field superiore, pari nell' inferiore, generando
un fotogramma ad altezza completa a meta' del framerate.
.IPs 1
lascia passare solo i fotogrammi dispari, i fotogrammi pari sono eliminati,
altezza non cambiata.
.IPs 2
lascia passare solo i fotogrammi pari, i fotogrammi dispari sono eliminati,
altezza non cambiata.
.IPs 3
espande ogni fotogramma ad altezza completa, ma riempie le linee alternate
con il colore nero, framerate non cambiato.
.RE
.PD 1
.TP
.B tfields[=mode]
Separazione temporale dei field \- divide i field in fotogrammi,
raddoppiando il framerate di uscita.
Come il filtro telecine, tfield lavorera' correttamente solo con
MEncoder, e solo se entrambe le opzioni \-fps e \-ofps sono
caricati al valore desiderato (doppio) del framerate.
I modi disponibili sono;
.PD 0
.RSs
.IPs 0
lascia i field invariati (questo saltera' / lampeggera')
.IPs 1
interpola le linee mancanti (l' algoritmo usato potrebbe non essere
cosi' buono).
.IPs 2
trasla i field di 1/4 di pixel con interpolazione lineare (niente salti)
.IPs 4
trasla i field di 1/4 di pixel con un filtro 4tap (qualita' piu' alta)
.RE
.PD 1
.TP
.B boxblur=radius:power[:radius:power]
sfocatura rettangolare.
.PD 0
.RSs
.IPs radius
dimensione del filtro
.IPs power
Quante volte il filtro deve essere applicato.
.RE
.PD 1
.TP
.B sab=rad:pf:colorDiff[:rad:pf:colorDiff]
sfocatura adattiva alla forma
.PD 0
.RSs
.IPs rad\ \ \ 
forza del filtro di sfocatura (~0.1\-4.0) (piu' lento se piu' grande)
.IPs pf\ \ \ 
forze del prefiltro (~0.1\-2.0)
.IPs colorDiff
Quanto i pixel possono essere differenti per essere considerati.
(~0.1\-100.0)
.RE
.PD 1
.TP
.B smartblur=rad:strength:thresh[:rad:strength:thresh]
sfocatura intelligente
.PD 0
.RSs
.IPs rad\ \ 
forza del filtro di sfocatura (~0.1\-5.0) (piu' lento se piu' grande)
.IPs strength
sfocatura (0.0\-1.0) oppure nitidezza (-1.0\-0.0)
.IPs thresh
filtra tutto (0), filtra aree uniformi (0\-30) oppure filtra gli spigoli (-30\-0)
.RE
.PD 1
.TP
.B perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
correzione prospettica
.PD 0
.RSs
.IPs x0,y0,...
coordinate degli angoli superiore sinistro, superiore destro, inferiore destro, inferiore sinistro
.IPs t\ \ \ \ 
campionamento lineare (0) o cubico (1)
.RE
.PD 1
.TP
.B 2xsai\ \ 
Usa l' algoritmo si scalatura ed interpolazione 2x per la scalatura e per sfumare le immagini.
.TP
.B 1bpp\ \ \ 
conversione da mappa di bit a 1bpp a YUV/BGR 8/15/16/32
.TP
.B down3dright[=lines]
Riposiziona e ridimensiona immagini stereoscopiche.
Estrae entrambi i field stereo e li posiziona uno fianco all' altro, ridimensionandoli
per mantenere l' aspetto originale del filmato.
.PD 0
.RSs
.IPs lines
numero di linee da selezionare dal mezzo dell' immagine (default: 12)
.RE
.PD 1
.TP
.B bmovl=hidden:opaque:<fifo>
Legge delle bitmap da una FIFO e le visualizza in una finestra
.
.PD 0
.RSs
.IPs hidden
setta il valore di default del flaf 'hidden' (booleano)
.IPs opaque
flag per cambiare dalla modalita' alphablended (trasparente) ed
opaca (veloce).
.IPs fifo\ 
percorso/file della FIFO (la named pipe che connette mplayer \-vf bmovl
all' applicazione che lo controlla)
.RE
.PD 1

.RS
i comandi FIFO sono:
.RE
.PD 0
.RSs
.IPs "RGBA32 width height xpos ypos alpha clear"
seguita da width*height*4 Bytes di dati RGBA32 grezzi.
.IPs "ABGR32 width height xpos ypos alpha clear"
seguita da width*height*4 Bytes di dati ABGR32 grezzi.
.IPs "RGB24 width height xpos ypos alpha clear"
seguita da width*height*3 Bytes di dati RGB32 grezzi.
.IPs "BGR24 width height xpos ypos alpha clear"
seguita da width*height*3 Bytes di dati BGR32 grezzi.
.IPs "ALPHA width height xpos ypos alpha"
cambia il valore di alpha per l' area specificata.
.IPs "CLEAR width height xpos ypos"
pulisce l' area
.IPs OPAQUE
disabilita tutta la gestione della trasparenza alpha
Manda "ALPHA 0 0 0 0 0" per riabilitarla.
.IPs HIDE\ 
nasconde la bitmap
.IPs SHOW\ 
visualizza la bitmap
.RE
.PD 1

.RS
Gli argomenti sono:
.RE
.PD 0
.RSs
.IPs "width, height"
dimensione dell' immagine / area
.IPs "xpos, ypos"
posizione X/Y iniziale dove posizionare l' immagine
.IPs alpha
Carica il valore di differenza alpha.
Se lo carichi al valore -255 puoi poi mandare una sequenza di comandi ALPHA
per caricare l' area a -225, -200, -175 etc per un bel effetto di fade-in! :)
.RSss
0:    come l' originale
.br
255:  rende tutto opaco
.br
-255: rende tutto trasparente
.REss
.IPs clear
pulisce il framebuffer prima di copiarlo sul video.
.RSss
0: L'  immagine verra' semplicemente copiato sopra la vecchia, percio' non
devi mandare 1,8MB di dati RGBA32 ogni volta che una piccola parte
schermo e' da aggiornare.
.br
1: cancella
.REss
.RE
.PD 1
.TP
.B framestep=I|[i]step
Visualizza solo uno ogni step fotogrammi oppure ogni fotogramma Intra (key).

Se chiami il filtro con I (maiuscolo) come parametro, allora SOLO i fotogrammi
chiave (keyframe) vengono visualizzati.
Per i DVD questo generalmente significa uno ogni 15/12 fotogrammi (IBBPBBPBBPBBPBB),
per i file AVI questo significa ogni cambio di scena oppure ogni valore di keyint
(vedi \-lavcopts keyint=valore se utilizza MEncoder per codificare i video).

Quando si trova un keyframe viene stampata la stringa 'I!' seguita da un carattere
di newline, lasciando la lineea corrente di uscita di MPlayer/MEncoder sullo schermo,
utile in quanto contiene il tempo (in secondi) e il numero di fotogramma corrispondente al
keyframe (puoi usare questa informazione per dividere il file AVI in modo corretto).

Se chiami il filtro con un parametro numerico 'step' allora solo un fotogramma
ogni 'step' viene visualizzato.

Se metti il carattere 'i' (minuscolo) prima del numero allora una 'I!' viene
stampata (come con il parametro I).

Se passi solo il parametro i allora non viene fatto niente ai fotogrammi,
solo la I! viene stampata.
.TP
.B tile=xtile:ytile:output:start:delta
Combina una serie di immagini in una immagine singola, piu' grande.
Se ometti un parametro oppure utilizzi un valore minore di 0 allora
viene usato il valore di default. Puo anche fermarti quando sei OK
(... \-vf tile=10:5 ...)
.
E' probabilmente una buona idea mettere il filtro scale prima del
filtro tile :-)
.br
I parametri sono:

.PD 0
.RSs
.IPs xtile
numero di immagini sull' asse x (default: 5)
.IPs ytile
numero di immagini sull' asse y (default: 5)
.IPs output
Visualizza l' immagine composta ogni 'output' fotogrammi di ingresso,
dove 'output' deve essere un numero minore di xtile * ytile.
Le immagini mancante sono lasciate vuote.
Puoi, ad esempio, scrivere un immagine da 8 x 7 immagini ogni 50 fotogrammi
per avere una immagine ogni 2 secondi @ 25 fps.
.IPs start
pixel all' inizio (x/y) (default: 2)
.IPs delta
pixel tra 2 immagini, (x/y) (default: 4)
.RE
.PD 1
.TP
.B delogo[=x:y:w:h:t]
Elimina il logo di una stazione TV con una semplice interpolazione
dei pixel circostanti. Metti semplicemente un rettangolo che copre
il logo e guardarlo scomparire (e ogni tanto qualcosa di piu' brutto
appare \- dipende).
.PD 0
.RSs
.IPs x,y
Posizione dell' angolo alto a sinistra del logo.
.IPs w,h
Larghezza ed altezza del rettangolo da pulire.
.IPs t
Larghezza del bordo 'fuzzy' del rettangolo (aggiunto a w e h).
Quando e' -1 un rettangolo verde viene disegnato sullo schermo per
riuscire a trovare piu' facilmente i parametri x,y,w,h giusti.
.RE
.PD 1
.TP
.B zrmjpeg[=options]
Encoder software da YV12 a MJPEG da usare con il dispositivo di
uscita zr2.
.RSs
.IPs maxheight=h|maxwidth=w
Queste opzioni selezionano le massime larghezze ed altezze gestibili
dalla scheda (La gestione dei filtri di MPlayer attualmente non
riesce ad ottenerli da solo).
.IPs {dc10+,dc10,buz,lml33}-{PAL|NTSC}
Utilizza queste opzioni per selezionare maxwidth e maxheight automaticamente
ai valori conosciuti per la combinazione scheda/modo.
Per esempio le opzioni valide sono dc10-PAL e buz-NTSC (default: dc10+PAL)
.IPs color|bw
Seleziona la codifica a colori oppure in bianco e nero.
La codifica in bianco e nero e' piu' veloce.
Colore e' il default.
.IPs hdec={1,2,4}
Decimazione orizzontale: 1, 2 o 4.
.IPs vdec={1,2,4}
Decimazione verticale: 1, 2 or 4.
.IPs quality=1-20
Seleziona la qualita' della compressione JPEG, 1 migliore, 20 molto brutta.
.IPs fd|nofd
Per default, la decimazione viene eseguita se l' hardware Zoran puo'
riscalare il file MJPEG risultante alla dimensione originale.
L' opzione fd indica al filtro di eseguire sempre la decimazione
richiesta (brutto).
.RE
.
.
.SH "DISPOSITIVI DI USCITA VIDEO (SOLO MPLAYER)"
I dispositivi (driver) di uscita video sono interfaccie alle differenti
possibilita' di uscita.
La sintassi e':
.TP
.B \-vo <driver1[:sottopzione1[=valore]:...],driver2,...[,]>
Specifica una lista di priorita' dei driver di uscita video da usare.
.PP
Se la lista ha una ',' finale allora si proveranno anche i driver non indicati
nella linea di comando.
Le sub-opzioni sono opzionali e possono generalmente essere omesse.
.br
.I NOTA:
Vedi \-vo help per una lista dei driver compilati.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-vo xmga,xv,"
Prova il driver X11 Matrox, poi il driver Xv, poi gli altri.
.br
.IPs "\-vo directx:noaccel"
Usa il driver DirectX con le accelerazioni disabilitate.
.RE
.PD 1
.

FIXME: Documentare le sottopzioni per  x11, xover, dga, sdl, vidix, xvidix, fbdev,
fbdev2, vesa, svga, null, aa, bl, ggi, mga, xmga, syncfb, 3dfx, tdfx_vid,
dxr2, dxr3, mpegpes, zr, zr2, md5, yuv4mpeg, gif89a, jpeg, pgm, png, tga.

I driver di uscita video disponibili sono:
.
.TP
.B xv (solo X11)
Use le estensioni XVideo di XFree86 4.x per abilitare la
riproduzione con accelerazione hardware.
Se non puoi usare un driver specifico per il tuo hardware,
questa e' probabilmente l' opzione migliore.
.PD 0
.RSs
.IPs port=<numero>
Seleziona una specifica porta XVideo.
.RE
.PD 1
.TP
.B x11 (solo X11)
Driver di uscita con memoria condivisa senza accelerazione
hardware che funziona ogni volta che X11 e' presente.
.TP
.B xover (solo X11)
Aggiunge il supporto X11 a tutti i driver di uscita video basati sull' overlay.
Attualmente e' supportato solo da tdfx_vid.
.TP
.B xvmc (solo X11)
Questo driver di uscita video impiega le estensioni XvMC (X
Video Motion Compensation) di XFree86 4.x.
.B xvmc (X11, \-vc ffmpeg12mc only)
Driver di uscita video che utilizza le estensioni XvMC (X
Video Motion Compensation) di XFree86 4.x. per velocizzare la decodica
dei formati MPEG1/2 e VCR2.
.PD 0
.RSs
.IPs benchmark
Disabilita la visualizzazione delle immagini.
Necessario per effettuare dei test corretti con quei driver che
cambiano i buffer delle immagini solo sul rinfresco verticale del
monitor (nVidia).
.IPs queue
Mette in coda i fotogrammi da visualizzare per permettere un miglior lavoro
in parallelo dell' hardware video.
Puo' aggiungere una piccola (non distinguibile) desincronizzazione costante 
del flusso A/V.
.IPs sleep
Utilizza la funzione sleep mentre aspetta che finisca la visualizzazione.
(non raccomandato con Linux).
.IPs wait\ 
Non usare la funzione sleep mentre aspetta che finisca la visualizzazione.
(default).
.RE
.PD 1
.TP
.B dga (solo X11)
Visualizza il video utilizzando l' estensione Direct Graphics
Access di XFree86.
Considerato obsoleto.
.TP
.B sdl (solo SDL)
Driver di uscita video molto indipendente dalla piattaforma basato sulla
libreria SDL (Simple Directmedia Layer).
.TP
.B vidix\ \ 
VIDIX (VIDeo Interface for *niX) e' una interfaccia verso
le caratteristiche di accelerazione delle varie schede grafiche.
Uscita video molto veloce su schede che lo supportano.
.PD 0
.RSs
.IPs <sottodevice>
Seleziona in modo esplicito il sotto device del driver VIDIX da usare.
I driver disponibili sono cyberblade_vid, mach64_vid, mga_crtc2_vid,
mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid, sis_vid.
.RE
.PD 1
.TP
.B xvidix (solo X11)
Interfaccia VIDIX di X11.
.PD 0
.RSs
.IPs <sottodevice>
Uguale a vidix
.RE
.PD 1
.TP
.B cvidix\ 
Interfaccia generica ed indipendente dalla piattaforma di VIDIX, puo'
girare persino in una console di testo con schede nVidia.
.PD 0
.RSs
.IPs <sottodevice>
Uguale a vidix
.RE
.PD 1
.TP
.B winvidix (solo Windows)
Interfaccia VIDIX di windows.
.PD 0
.RSs
.IPs <sottodevice>
Uguale a vidix
.RE
.PD 1
.TP
.B directx (solo Windows)
Driver di uscita che utilizza l' interfaccia DirectX.
.PD 0
.RSs
.IPs noaccel
Disabilita l' accelerazione hardware.
Prova questa opzione se hai problemi di visualizzazione.
.RE
.PD 1
.TP
.B quartz (solo Mac OS X)
Driver di uscita per Quartz su Mac OS X.
In certi casi potrebbe essere piu' efficiente forzare un formato di
uscita YUV packed, con ad esempio \-vf format=yuy2
.TP
.B fbdev (solo Linux)
Utilizza il framebuffer del kernel per l' uscita video.
.TP
.B fbdev2 (solo Linux)
Utilizza il framebuffer del kernel per l' uscita video,
implementazione alternativa.
.TP
.B vesa\ \ \ 
Driver di uscita molto generale che dovrebbe funzionare su qualsiasi
scheda compatibile con VESA VBE 2.0.
.PD 0
.RSs
.IPs dga\ \ 
Attiva il modo DGA.
.IPs nodga
Disattiva il modo DGA.
.IPs vidix
FIXME: documentalo!
.IPs lvo\ \ 
FIXME: documentalo!
.RE
.PD 1
.TP
.B svga\ \ \ 
Visualizza il video usando la libreria SVGA.
.TP
.B gl\ \ \ \ \ 
Driver di uscita OpenGL.
Versione molto semplive, non supporta OSD e la dimensione del video
deve essere minore della dimensione massima delle texture della
vostra implementazione OpenGL.
Studiato per funzionare anche con l' implementazione OpenGl piu' semplice.
.PD 0
.RSs
.IPs manyfmts
Abilita il supporto per maggiori formati colore (RGB e BGR).
Necessita di OpenGL con versione >= 1.2, NON FUNZIONA ancora correttamente.
.IPs slice-height=<0\-...>
Numero di linee copiate sulla texture in un blocco unico (default: 4).
0 per l' immagine intera.
.RE
.PD 1
.TP
.B gl2\ \ \ \ 
Driver di uscita OpenGL, seconda generazione.
Supporta OSD e video piu' grande della dimensione massima della texture.
.TP
.B null\ \ \ 
Non produce nessuna uscita video, utile per
benchmarking (prove di velocita').
.TP
.B aa\ \ \ \ \ 
Driver di uscita ASCII art che funziona su una console di testo.
.TP
.B caca\ \ \ 
Driver di uscita per ASCII Art a Colori (Colour AsCii Art) che funziona su una
console di testo.
.TP
.B bl\ \ \ \ \ 
Riproduzione video utilizzando il protocollo UDP Blinkenlights.
Questo driver e' altamente hardware specifico.
.TP
.B ggi\ \ \ \ 
Driver di uscita per il sistema grafico GGI.
.TP
.B directfb
Visualizza il video utilizzando la libreria DirectFB.
.PD 0
.RSs
.IPs (no)input
Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato)
.IPs buffermode=single|double|triple
Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing.
Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer
ad aspettare il tracciamento verticale.
La bufferizzazione singola dovrebbe essere evitata (default: single)
.IPs fieldparity=top|bottom
Controlla l' ordine di uscita dei fotogrammi interlacciati (default: disabilitato).
Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore).
Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior
parte dei film MPEG.
Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi
guardando materiale interlacciato.
.IPs layer=N
Forza l' utilizzo del layerd con id N per la riproduzione (default: -1 - auto).
.RE
.PD 1
.TP
.B dfbmga\ 
Driver di uscita specifico per Matrox G400/G450/G550 che utilizza la liberia DirectFB.
Abilita CRTC2 (la seconda uscita, head), visualizzando il video in modo
indipendente dalla prima uscita.

.PD 0
.RSs
.IPs (no)bes
Abilita l' utilizzo del BES (backend scaler) Matrox.  Genera risultati molto buoni per quanto riguarda
velocita' e qualita' di uscita visto che l' interpolazione dell' immagine viene fatta dall' hardware.
Lavora solo sull' uscita principale. Default: disabilitata.
.IPs (no)spic
Utilizza il layer Matrox sub picture per visualizzare l' OSD di MPlayer. Default: Abilitato
.IPs (no)crtc2
Attiva l' uscita TV sella seconda uscita. La qualita' di uscita e' stupefacente in quanto e' un
immagine completamente interlacciata con sincronismo corretto per ogni field pari e dispari.
Default: Abilitata
.IPs (no)input
Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato)
.IPs buffermode=single|double|triple
Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing.
Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer
ad aspettare il tracciamento verticale.
La bufferizzazione singola dovrebbe essere evitata (default: triple)
.IPs fieldparity=top|bottom
Controlla l' ordine di uscita dei fotogrammi interlacciati (default: disabilitato).
Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore).
Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior
parte dei film MPEG.
Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi
guardando materiale interlacciato.
.IPs tvnorm=pal|ntsc|auto
Setta la norma TV della scheda Matrox senza bisogno di modificare
/etc/directfbrc (default: disabilitato).
Le norme valide sono pal (PAL) e ntsc (NTSC).
Se si utilizza auto verra' abilitata automaticamente
la giusta norma basandosi sulla velocita' (frame rate) del film.
.RE
.PD 1
.TP
.B mga (solo Linux)
Driver di uscita specifico Matrox che utilizza il back end scaler hardware
delle schede Gxxx attraverso un modulo del kernel.
Se hai una scheda Matrox questa e' l' opzione piu' veloce.
.TP
.B xmga (Linux, solo X11)
Driver di uscita mga che gira in una finestra X11.
.TP
.B syncfb\ 
Driver video di uscita per il modulo del kernel SyncFB, il quale
fornisce speciali caratteristiche delle schede Matrox Gxxx come
deinterlacciamento, scalatura e sincronizzazione dell' uscita video
con il rinfresco verticale del tuo monitor.
.TP
.B 3dfx (solo Linux)
Questo driver utilizza il driver del framebuffer tdfx per riprodurre
filmati con accelerazione YUV.
.T
.B tdfx_vid (solo Linux)
Driver specifico di uscita 3Dfx.
Funziona insieme ad un modulo del kernel.
.TP
.B dxr2 (solo DXR2)
Driver di uscita specifico per Creative DXR2.
Vedi anche l' opzione \-dxr2.
.PD 0
.RSs
.IPs x11
Abilita l' overlay.
.IPs xv
Abilita l' overlay.
.RE
.PD 1
.TP
.B dxr3 (solo DXR3)
Driver di uscita specifico del chip di decodifica MPEG Sigma Designs em8300
(Creative DXR3, Sigma Designs Hollywood Plus).
Vedi anche il filtro video lavc.
.PD 0
.RSs
.IPs overlay
Attiva l' overlay invece che l' uscita TV.
.IPs prebuf
Attiva il prebuffering.
.IPs sync
Abilita il nuovo motore di sincronismo.
.IPs norm=<norm>
Specifica la norma TV.
.RSss
0: Non cambia la norma corrente (default).
.br
1: Auto selezione usando PAL/NTSC.
.br
2: Auto selezione usando PAL/PAL-60.
.br
3: PAL
.br
4: PAL-60
.br
5: NTSC
.REss
.IPs device=<numero>
Specifica il numero di dispositivo se hai piu' di una scheda em8300.
+.RE
.PD 1
.TP
.B mpegpes (solo DVB)
Driver di uscita specifico per DVB.
.TP
.B zr\ \ \ \ \ 
Driver di uscita per un certo numero di schede di cattura e
riproduzione MJPEG.
Vedi anche le opzioni -zr* e -zrhelp.
.TP
.B zr2\ \ \ \ 
Driver di uscita per un certo numero di schede di cattura e
riprouzione MJPEG, seconda generazione.
Vedia anche il filtro video zrmjpeg.
.TP
.B md5\ \ \ \ 
Scrive il valore del controllo md5 (md5sums) per ogni fotogramma
in un file di nome 'md5' nella directory corrente.
Utile per il debug.
.TP
.B yuv4mpeg
Trasforma il flusso video in una sequenza di immagini non compresse in
formato YUV 4:2:0 e le memorizza in un file chiamato 'stream.yuv' nella
directory corrente.
Utile se vuoi processare il video con la selezione di programmi mjpegtools.
.TP
.B gif89a\ 
Scrive ogni fotogramma in un file GIF nella directory corrente.
Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.
.TP
.B jpeg\ \ \ 
Scrive ogni fotogramma in un file JPEG nella directory corrente.
Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.
.TP
.B pgm\ \ \ \ 
Scrive ogni fotogramma in un file PGM nella directory corrente.
Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.
.TP
.B png\ \ \ \ 
Scrive ogni fotogramma in un file PNG nella directory corrente.
Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.
.TP
.B tga\ \ \ \ 
Scrive ogni fotogramma in un file Targa (TGA) nella directory corrente.
Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.
.
.
.SH "OPZIONI GENERALI DI CODIFICA (SOLO MENCODER)"
.TP
.B \-audio-delay <0.0\-...>
Scrive il valore del ritardo audio nell' intestazione.
Il default e' 0.0, valori negativi non funzionano.
Questo non ritarda l' audio durante la codifica ma il riproduttore vedra'
il valore del ritardo e ti evitera' l' utilizzo dell' opzione \-delay.
.TP
.B \-audio-density <1\-50>
Numero di blocchi audio per secondo (default e' 2, cioe' blocchi audio di
0.5 secondi).
.br
.I NOTA:
Valido solo in modalita' CBR (Constant Bit Rate, Bit Rate Costante), in
modalita' VBR (Variable Bit Rate, Bit Rate Variabile) viene ignorato in
quanto ogni pacchetto viene scritto in un nuovo blocco.
.TP
.B \-audio-preload <0.0\-2.0>
Setta l' intervallo di buffering audio (default: 0.5 sec).
.TP
.B \-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (vedi anche le opzioni \-ss e \-sb)
Ferma la codifica al tempo oppure alla posizione in byte specificata.
Puo' essere espressa in vari modi.
.br
.I NOTA:
La posizione in byte non sara' precisa in quanto ci si puo' fermare
solo sulla fine di un fotogramma.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-endpos 56"
codifica solo 56 secondi
.IPs "\-endpos 01:10:00"
Codifica solo 1 ora e 10 minuti
.IPs "\-endpos 100mb"
Codifica solo 100 MBytes
.RE
.PD 1
.
.TP
.B \-ffourcc <fourcc>
Puo' essere usare per sovrascrivere il valore del fourcc del
file di uscita.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-ffourcc div3"
Avremo il file di uscita che conterra' 'div3' come fourcc del video.
.RE
.PD 1
.
.TP
.B \-force-avi-aspect <0.2\-3.0>
Sovrascrive il valore del rapporto di aspetto memorizzato nei file AVI nell' intestazione
vprp OpenDML.
Puo' essere usato per cambiare il rapporto di aspetto con \-ovc copy.
.TP
.B \-info <option1:option2:...> (AVI only)
Specifica le informazioni nell' intestazione del file
AVI generato.
.br
Le opzioni disponibili sono:
.
.RSs
.IPs help\ 
visualizza questa descrizione
.IPs name=<valore>
titolo del lavoro
.IPs artist=<valore>
artista od autore del lavoro
.IPs genre=<valore>
categoria originale del lavoro
.IPs subject=<valore>
soggetto (contenuto) del lavoro
.IPs copyright=<valore>
informazioni sul copyright
.IPs srcform=<valore>
formato originale del materiale digitalizzato
.IPs comment=<valore>
commento generale sul lavoro
.RE

.TP
.B \-noautoexpand
Non inserisce automaticamente il filtro expand nella catena dei filtri di
MEncoder.
Utile per controllare in quale punto della catena dei filtri vengono generati
i sottotitoli quando vengono piazzati brutalmente nel filmato.
.TP
.B \-noodml (solo \-of avi)
Non scrive l' indice OpenDML per file > 1GB.
.TP
.B \-noskip
Non saltare dei fotogrammi.
.TP
.B \-o <nomefile>
Scrive sul file specificato, invece che il default 'test.avi'.
.TP
.B \-oac <codec name>
Codifica con il codec audio specificato.
Utilizza \-oac help per avere una lista dei codec disponibili.
(nessun valore di default)

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-oac copy"
niente codifica, solo copia del flusso byte per byte
.IPs "\-oac pcm"
codifica in formato PCM non compresso
.IPs "\-oac mp3lame"
codifica in MP3 (usando Lame)
.IPs "\-oac lavc"
codifica con un codec di libavcodec
.RE
.PD 1
.
.TP
.B \-of <format> (CODICE BETA!)
Codifica nel formato specificato.
Usa \-of help per avere una lista dei codec disponibili.

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-of avi"
codifica in formato AVI (default)
.IPs "\-of mpeg"
codifica in formato mpeg
.IPs "\-of rawvideo"
flusso grezzo video (nessun multiplex - solo video, un solo flusso)
.RE
.PD 1
.
.TP
.B \-ofps <fps>
Il file di uscita avra' un valore di velocita' (fotogrammi/\:sec)
diverso dall' origine.
DEVI settare il valore per formati con fps variabile (asf, qualche mov)
e per filmati MPEG progressivi in formato 29.97 fps con telecine.
.TP
.B \-ovc <codec name>
Codifica con il codec video specificato.
Utilizza \-ovc help per avere una lista dei codec disponibili
(nessun valore di default)

.I ESEMPIO:
.PD 0
.RSs
.IPs "\-ovc copy"
niente codific, solo copia del flusso
.IPs "\-ovc divx4"
codifica in formato Divx4/\:Divx5
.IPs "\-ovc raw"
codifica su un formato grezzo non compresso arbitrario (usa \-fv format per
selezionare come).
.IPs "\-ovc lavc"
codifica con un codec di libavcodec
.RE
.PD 1
.
.TP
.B \-passlogfile <nomefile>
Nella codifica in 2 passi, MEncoder scrive le informazioni del primo
passo nel file specificato invece che nel file di default divx2pass.log.
.TP
.B \-skiplimit <valore>
Numero massimo di fotogrammi che si possono saltare dopo
uno che non e' stato saltato (\-noskiplimit indica senza limiti).
.TP
.B \-vobsubout <basename>
Specifica il nome di base del file di uscita .idx e .sub.
Questo disattiva il rendering dei sottotitoli nel file codificato
e lo sposta verso i vari file dei sottotitoli.
.TP
.B \-vobsuboutid <langid>
Specifica il codice a due lettere del linguaggio dei sottotitoli.
Questo sovrascrive quanto viene letto dal DVD o dai file .ifo .
.TP
.B \-vobsuboutindex <index>
Specifica l' indice dei sottotitoli nel file di uscita.
(default: 0)
.
.
.SH "OPZIONI SPECIFICHE DI CODIFICA (SOLO MENCODER)"
Puoi specificare opzione specifiche dei codec di codifica usando la
sintassi seguente:
.TP
.B \-<codec>opts <opzione1[=valore,opzione2,...>
.RE
.br
.PP
dove <codec> puo' essere: lavc, xvidenc, divx4, lame
.
.
.SS divx4 (\-divx4opts)
DivX4 e' obsoleto ed e' supportato per completezza.
Per dettagli riguardanti le opzioni DivX4 dai un' occhiata ai sorgenti,
molte opzioni non sono descritte qua.
.TP
.B help\ \ \ 
ottieni l' aiuto
.TP
.B br=<valore>
specifica il bitrate, la quantita' di spazio che occupera' il filmato
.RSs
.IPs 4\-16000
(in kbit)
.IPs 16001\-24000000
(in bit)
.RE
.TP
.B key=<valore>
valore massimo dell' intervallo tra due fotogrammi chiave (in fotogrammi)
.TP
.B deinterlace
abilita il deinterlacciamento (evitalo, DivX4 non lo gestisce in modo corretto)
.TP
.B q=<1\-5>
qualita' (1\-piu' veloce, 5\-migliore)
.TP
.B min_quant=<1\-31>
valore minimo di quantizzazione
.TP
.B max_quant=<1\-31>
valore massimo di quantizzazione
.TP
.B rc_period=<valore>
periodo per il controllo del bitrate
.TP
.B rc_reaction_period=<valore>
periodo di reazione per il controllo del bitrate
.TP
.B rc_reaction_ratio=<valore>
rapporto di reazione per il controllo del bitrate
.TP
.B crispness=<0\-100>
specifica ?dettagli?/\:appiattimento ?crispness/\:smoothness?
.TP
.B pass=<1\-2>
Con questa opzione puoi codificare file Divx4 con due passi.
Prima codifica con pass=1 poi, con gli stessi parametri, codifica
con pass=2.
.TP
.B vbrpass=<0\-2>
Sovrascrive l' argomento pass e utilizza la libreria VBR (Variable
Bit Rate, bitrate variabile) di XviD invece di quella di DivX4.
Le opzioni disponibili sono:
.
.RSs
.IPs 0
codifica a singolo passo (uguale a non mettere pass=x sulla linea di comando)
.IPs 1
Primo passo (analisi) della codifica a due passi.
Il file AVI ottenuto puo' essere mandato a /dev/null.
.IPs 2
Secondo passo (finale) della codifica a due passi.
.RE
.
.
.SS lame (\-lameopts)
.
.TP
.B help\ \ \ 
ottieni l' aiuto.
.TP
.B vbr=<0\-4>
metodo a bitrate variabile
.PD 0
.RSs
.IPs 0
cbr
.IPs 1
mt
.IPs 2
rh (default)
.IPs 3
abr
.IPs 4
mtrh
.RE
.PD 1
.TP
.B abr\ \ \ \ 
media (average) bitrate
.TP
.B cbr\ \ \ \ 
bitrate costante.
.br
Forza anche la modalita' di codifica CBR (Costant BitRate, bitrate costante)
nei modi ABR (Average BitRate, bitrate media) predefiniti successivi.
.TP
.B br=<0\-1024>
specifica il bitrate in kBit (solo CBR e ABR)
.TP
.B q=<0\-9>
qualita' (0\-migliore, 9\-peggiore) (solo per VBR, Variable BitRate, bitrate variabile)
.TP
.B aq=<0\-9>
qualita' dell' algoritmo (0\-migliore/\:piu' lento, 9\-peggiore/\:piu' veloce)
.TP
.B ratio=<1\-100>
rapporto di compressione
.TP
.B vol=<0\-10>
regola il guadagno dell' ingresso audio
.TP
.B mode=<0\-3>
(default: auto)
.PD 0
.RSs
.IPs 0
stereo
.IPs 1
joint-stereo, stereo unito
.IPs 2
dualchannel, doppio canale
.IPs 3
mono
.RE
.PD 1
.TP
.B padding=<0\-2>
.PD 0
.RSs
.IPs 0
no
.IPs 1
tutto
.IPs 2
adattivo
.RE
.PD 1
.TP
.B fast\ \ \ 
attiva una codifica veloce sulle modalita' VBR predefinite successive,
fondamentalmente minor qualita' e bitrate maggiori
.TP
.B highpassfreq=<freq>
Attiva un filtro passa alto alla frequenza specificata (Hz).
Le frequenze sotto a quella specificata verranno eliminate.
Il valore -1 disabilita il filtro, il valore 0
lascia che sia lame a scegliere il valore automaticamente.
.TP
.B lowpassfreq=<freq>
Attiva un filtro passa basso alla frequenza specificata (Hz).
Le frequenze sopra a quella specificata verranno eliminate.
Il valore -1 disabilita il filtro, il valore 0
lascia che sia lame a scegliere il valore automaticamente.
.TP
.B preset=<valore>
valore dei settaggi predefiniti
.RSs
.IPs medium
codifica VBR, buona qualita', bitrate compreso tra 150\-180 kbps.
.IPs standard
codifica VBR, alta qualita', bitrate compreso tra 170\-210 kbps.
.IPs extreme
codifica VBR, qualita' molto alta, bitrate compreso tra 200\-240 kbps.
.IPs insane
codifica CBR, il settaggio di miglior qualita', bitrate di 320 kbps.
.IPs <8\-320>
codifica ABR al bitrate medio specificato.
.RE

.RS
.I ESEMPIO:
.RE
.PD 0
.RSs
.IPs fast:preset=standard
per molte persone, con la maggior parte della musica e comunque gia' una qualita'
abbastanza alta.
.IPs cbr:preset=192
codifica in ABR con un bitrate costante e forzato di 192 kbps
.IPs preset=172
codifica in ABR ad un bitrate medio di 172 kbps.
.IPs preset=extreme
per persone con orecchie estremamente buone e apparecchi similari.
.IPs preset=help
stampa le opzioni aggiuntive ed informazioni sui settaggi predefiniti.
.RE
.PD 1
.
.
.SS lavc (\-lavcopts)
Molte opzioni di lavc (libavcodec) sono molto specialistiche
e documentate in modo molto rapido.
Leggi i sorgenti per avere i dettagli completi.
.PP
.I ESEMPIO:
.PD 0
.RSs
.IPs vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
.RE
.PD 1
.
.TP
.B acodec=<valore>
Codec audio (default: mp2):
.PD 0
.RSs
.IPs mp2
MPEG Layer 2
.IPs mp3
MPEG Layer 3
.IPs ac3
AC3
.IPs adpcm_ima_wav
IMA Adaptive PCM (4bits per campione, compressione 4:1)
.RE
.PD 1
.TP
.B abitrate=<valore>
Bitrate audio in kBit (default 224).
.TP
.B atag=<valore>
Uso il formato audio di Windows specificato (e.g.\& atag=0x55).
.TP
.B bit_exact
Usa solo algoritmi esatti bit a bit (eccetto per (i)dct).
Inoltre bit_exact disabilita molte ottimizzazioni e dovrebbe
essere usato solo per test di regressione che hanno bisogno
di file identici anche se cambia la versione del programma
di codifica.
Inoltre viene eliminato l' intestazione user_data nei flussi MPEG-4.
Non usare questa opzione se non sai esattamente quello che stai
facendo.
.TP
.B vcodec=<valore>
usa il codec (video) specificato (default: mpeg4):
.PD 0
.RSs
.IPs mjpeg
Motion JPEG (JPEG per i filmati)
.IPs ljpeg
Lossless JPEG (JPEG senza perdita)
.IPs h263\ 
H263
.IPs h263p
H263 Plus
.IPs mpeg4
DivX 4/\:5
.IPs msmpeg4
DivX 3
.IPs msmpeg4v2
MS MPEG4v2
.IPs wmv1
Windows Media Video, versione 1 (aka WMV7)
.IPs wmv2
Windows Media Video, versione 2 (aka WMV8)
.IPs rv10
un vecchio codec RealVideo
.IPs mpeg1video
MPEG1 video
.IPs mpeg2video
MPEG2 video
.IPs huffyuv
HuffYUV
.IPs asv1
ASUS Video v1
.IPs asv2
ASUS Video v2
.IPs ffv1
codec video senza perdita di FFmpeg
.RE
.PD 1
.TP
.B vqmin=<1\-31>
valore minimo di quantizzazione (passo\ 1/\:2)
.RSs
.IPs 1
Non raccomandato (file molto grandi, una piccola differenza di qualita' e
alcuni strani effetti collaterali: msmpeg4, h263 avranno una bassissima
qualita', il controllo della dimensione del file viene confuso e si
ottiene una qualita' minore e qualche programma non sara' capace di
decodificare il file).
.IPs 2
Raccomandato per la codifica normale dei filmati mpeg3/mpeg1video (default).
.IPs 3
Raccomandato per h263(p)/msmpeg4. La ragione per preferire 3 invece che
2 e' che l' utilizzo di 2 puo' portare a overflow (questo verra' sistemato
per h263(p) cambiano il valore di quantizzazione per MB, macroblock, in
futuro, il formato msmpeg4 non puo' essere sistemato in quanto non supporta
questa funzione).
.RE
.TP
.B lmin=<0.01\-255.0>
Valore minimo del moltiplicatore di lagrange per il controllo della dimensione
del file, probabilmente lo vuoi uguale o maggiore di vqmin (default: 2.0)
.RE
.TP
.B lmax=<0.01\-255.0>
Valore massimo del moltiplicatore di lagrange. (default: 31.0)
.RE
.TP
.B vqscale=<1\-31>
Quantizzazione costante /\: codifica a qualita' costante (seleziona una modalita'
di quantizzazione fissa).
Valori minori indicano migliore qualita' ma file di dimensioni maggiori
(default: 0 (disabilitato)).
1 non e' raccomandato (controlla \-vqmin per i dettagli)
.TP
.B vqmax=<1\-31>
valore massimo di quantizzazione (passo\ 1/\:2) 10\-31 dovrebbe essere un
buon valore (default: 31)
.TP
.B mbqmin=<1\-31>
valore minimo di quantizzazione del macroblock (passo\ 1/\:2) (default: 2)
.TP
.B mbqmax=<1\-31>
valore massimo di quantizzazione del macroblock (passo\ 1/\:2) (default: 31)
.TP
.B vqdiff=<1\-31>
valore massimo di differenza di quantizzazione tra fotogrammi I o P
(passo\ 1/\:2) (default: 3) (??? differenza con cosa ???)
.TP
.B vmax_b_frames=<0\-4>
numero massimo di fotogrammi B tra fotogrammi non B:
.PD 0
.RSs
.IPs 0
niente fotogrammi B (default)
.IPs 0\-2
buon valore per MPEG4
.RE
.PD 1
.TP
.B vme=<0\-5>
metodo di stima del movimento (motion estimation).
.I NOTA:
attualmente 0\-3 ignorano la quantita' di Bits usati,
percio' la qualita' puo' essere bassa.
I metodi disponibili sono:
.PD 0
.RSs
.IPs 0
nessuno (qualita' molto bassa)
.IPs 1
completo (lento)
.IPs 2
log (qualita' bassa)
.IPs 3
phods (qualita' bassa)
.IPs 4
EPZS (default)
.IPs 5
X1 (sperimentale)
.RE
.PD 1
.TP
.B me_range=<0\-9999>
raggio di ricerca per la stima del movimento, 0 (default)
significa illimitato.
.TP
.B mbd=<0\-2>
Algoritmo di decisione dei macroblock (modalita' ad alta qualita'),
codifica ogni blocco in tutte le modalita' e seleziona la migliore.
Questo opzione rallenta la codifica ma si ottengono qualita' migliore
e minori dimensioni del file finale.
.PD 0
.RSs
.IPs 0
utilizza mbcmp (default)
.IPs 1
seleziona il modo MB che necessita' della minor quantita' di bit (=vhq)
.IPs 2
seleziona il modo MB che ha la minor distorsione.
.RE
.PD 1
.TP
.B vhq
Uguale a mbd=1, mantenuto per ragioni di compatibilita'.
.TP
.B v4mv\ \ \ 
Permette 4 vettori di movimento per ogni macroblock (qualita' leggermente migliore).
(default: disabilitato)
.TP
.B obmc\ \ \ 
overlapped block motion compensation (H263+), compensazione del movimento del blocco sovrapposta ???
.TP
.B loop\ \ \ 
filtro ad anello (H263+)
nota, non funziona
.TP
.B inter_threshold <-1000\-1000>
Non fa assolutamente nulla, al momento.
.TP
.B keyint=<0\-300>
intervallo massimo fra fotogrammi chiave in fotogrammi.
I keyframe sono necessari per il posizionamento perche' il posizionamento
e' possibile solo su un keyframe.
Lo svantaggio e' che i keyframe hanno bisogno di piu' spazio
rispetto agli altri tipi di fotogrammi percio' un numero alto comporta
file di dimensione leggermente minore ma un posizionamento meno preciso.
0 significa nessun keyframe. ???
Valori maggiori di 300 non sono raccomandati perche' la qualita' puo'
essere non buona e dipende dal programma di codifica, dal programma di
decodifica e dalla fortuna (o sfortuna)
Per avere un formato MPEG1/\:2/\:4 conforme deve essere <= 132.
(default: 250 cioe' un keyframe ogni dieci secondi in un filmato a
25 fps)
.TP
.B sc_threshold=<-1000000\-1000000>
Soglia per la gestione del cambio della scena.
Libavcodec inserisce un keyframe quando trova un cambio di scena.
Puoi inserire la sensibilita' dell' attivazione del cambio scena con
questa opzione.
-1000000 indica che viene attivato un cambio scena ad ogni fotogramma,
1000000 indica invece che non viene trovato ed attivato nessun cambio
scena (default 0).
.TP
.B vb_strategy=<0\-1>
strategia per la scelta tra fotogrammi I/\:P/\:B (passo\ 2):
.RSs
.IPs 0
usa sempre il numero massimo di fotogrammi di tipo B (default)
.IPs 1
evita fotogrammi B in scene ad alto movimento (causera' un errata
predizione del bitrate)
.RE
.TP
.B vpass=<1\-2>
Attiva la modalita' interna a due passi, specificalo solo se vuoi codificare
utilizzando i due passaggi (default: disabilitato).
.PD 0
.RSs
.IPs 1
primo passo
.IPs 2
secondo passo
.RE
.PD 1

.RS
huffyuv:
.RE
.PD 0
.RSs
.IPs pass 1
salva le statistiche
saves statistics
.IPs pass 2
codifica con una tabella Huffman ottimale basata sulle statistiche del primo passo.
.RE
.PD 1
.TP
.B aspect=<x/y>
Memorizza l' aspetto del film internamente al file, proprio
come nei file MPEG.
Soluzione migliore della riscalatura perche' la qualita' non viene
ridotta.
Solo MPlayer e pochi altri programmi potranno visualizzare questi
file in modo corretto, gli altri
programmi visualizzeranno il filmato con l' aspetto sbagliato.
Il parametro puo' essere dato come un rapporto oppure un
numero floating point.

.RS
.I ESEMPIO:
.RE
.RSs
.PD 0
.IPs "aspect=16/9 or aspect=1.78"
.PD 1
.RE
.TP
.B autoaspect
Uguale all' opzione aspect, ma automaticamente calcola l' aspetto,
tenendo in considerazione tutte le varie operazioni (taglia, espandi,
riscala, etc) fatte nella catena dei filtri.
.TP
.B vbitrate=<valore>
specifica il bitrate (passo\ 1/\:2).  Attenzione: 1kBit = 1000 Bit.
.RSs
.IPs 4\-16000
(in kbit)
.IPs 16001\-24000000
(in bit)
.IPs 800
default
.RE
.TP
.B vratetol=<valore>
tolleranza approssimata nella dimensione del file in kBit.
1000\-100000 e' una gamma accettabile.
(attenzione: 1kBit = 1000 Bit)
(default: 8000)
.TP
.B vrc_maxrate=<valore>
valore massimo del bitrate in kbit/\:sec (passo\ 1/\:2)
.TP
.B vrc_minrate=<valore>
valore minimo del bitrate in kbit/\:sec (passo\ 1/\:2)
.TP
.B vrc_buf_size=<valore>
dimensione del buffer in kbit (passo\ 1/\:2).
Per MPEG1/2 questo regola anche la dimensione del vbv (video buffer
verifier), utilizza 327 per i VCD, 917 per i SVCD e 1835 per i DVD.
.I NOTA:
vratetol non dovrebbe essere troppo grande durante il secondo passo o potrebbero esserci
problemi se si utilizza vrc_(min|max)rate.
.TP
.B vrc_buf_aggressivity
attualmente inutile
.TP
.B vrc_strategy
Dummy, riservato per utilizzi futuri.
.TP
.B vb_qfactor=<-31.0\-31.0>
fattore di quantizzazione tra fotogrammi B e fotogrammi non B (passo\ 1/\:2) (default: 1.25)
.TP
.B vi_qfactor=<-31.0\-31.0>
(pass\ 1/\:2) (default: 0.8)
.TP
.B vb_qoffset=<-31.0\-31.0>
scostamento di quantizzazione tra fotogrammi B e fotogrammi non B (passo\ 1/\:2) (default: 1.25)
.TP
.B vi_qoffset=<-31.0\-31.0>
(passo\ 1/\:2) (default: 0.0)
.br
if v{b|i}_qfactor > 0
.br
I/\:B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
.br
else
.br
esegui il normale controllo della dimensione (non bloccarti sulla
quantizzazione del fotogramma P successivo) e rendi
q= -q * v{b|i}_qfactor + v{b|i}_qoffset
.TP
.B \ 
Consiglio: Per avere una codifica a quantizzazione costante con valori diversi per
i fotogrammi I/P e B puoi usare:
lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>
.TP
.B vqblur=<0.0\-1.0> (passo 1)
Sfocatura di quantizzazione, valori piu' grandi medieranno la quantizzazione
maggiormente nel tempo (cambiamenti piu' lenti).
.RSs
.IPs 0.0
sfocatura q disabilitata
.IPs 0.5
(default)
.IPs 1.0
media la quantizzazione su tutti i fotogrammi precedenti
.RE
.TP
.B vqblur=<0.0\-99.0> (pass 2)
Sfocatura gaussiana di quantizzazione, valori piu' grandi medieranno la quantizzazione
maggiormente nel tempo (cambiamenti piu' lenti) (default: 0.5).
.TP
.B vqcomp=<valore>
compressione della quantizzazione, dipende da vrc_eq (passo\ 1/\:2) (default: 0.5)
.TP
.B vrc_eq=<equation>
equazione principale per il controllo della dimensione del file (ratecontrol) (passo\ 1/\:2):
.RE
.RSs
.IPs 1\ \ \ \ 
bitrate costante
.IPs tex\ \ 
qualita' costante
.IPs 1+(tex/\:avgTex-1)*qComp
approssima l' equazione del vecchio controllo di dimensione
.IPs tex^qComp
con qcomp a 0.5 o qualcosa del genere (default)
.RE
.PP
.RS
operatori: +,-,*,/,^
.RE
.PP
.RS
variabili:
.RE
.RSs
.IPs tex\ \ 
complessita' della texture
.IPs iTex,pTex
complessita' della texture intra e non intra
.IPs avgTex
complessita' media della texture
.IPs avgIITex
complessita' media della texture intra nei fotogrammi I
.IPs avgPITex
complessita' media della texture intra nei fotogrammi P
.IPs avgPPTex
complessita' media della texture non intra nei fotogrammi P
.IPs avgBPTex
complessita' media della texture non intra nei fotogrammi B
.IPs mv\ \ \ 
Bit usati per i vettori di movimento
.IPs fCode
lunghezza massima dei vettori di movimento in scala log2
.IPs iCount
numero di intra macroblock / numero di macroblock
.IPs var\ \ 
complessita' spaziale
.IPs mcVar
complessita' temporale
.IPs qComp
qcomp dalla linea di comando
.IPs "isI, isP, isB"
e' 1 se il tipo di immagine e' I/\:P/\:B altrimenti 0
.IPs Pi,E\ 
controlla il tuo libro preferito di matematica
.RE
.PP
.RS
funzioni:
.RE
.RSs
.IPs max(a,b),min(a,b)
massimo / minimo
.IPs gt(a,b)
e' 1 se a>b, 0 in caso contrario
.IPs lt(a,b)
e' 1 se a<b, 0 in caso contrario
.IPs eq(a,b)
e' 1 se a==b, 0 in caso contrario
.IPs "sin, cos, tan, sinh, cosh, tanh, exp, log, abs"
.RE
.
.TP
.B vrc_override=<options>
Utilizza la qualita' specificata per alcuni pezzi particolari
finale, riconoscimenti, ...) (passo\ 1/\:2).
Le opzioni sono <fotogramma iniziale>, <fotogramma finale>, <qualita'>
[/\:<fotogramma iniziale>, <fotogramma finale>, <qualita'>[/...]]:
.RSs
.IPs "qualita' (2\-31)"
quantizzatore
.IPs "qualita' (-500\-0)"
correzione della qualita' in %
.RE
.TP
.B vrc_init_cplx=<0\-1000>
complessita' iniziale (passo\ 1)
.TP
.B vqsquish=<0,1>
specifica come mantenere la quantizzazione tra qmin e qmax (passo\ 1/\:2):
.PD 0
.RSs
.IPs 0
utilizza il clipping
.IPs 1
utilizza una bella funzione differenziale (default)
.RE
.PD 1
.TP
.B vlelim=<-1000\-1000>
soglia di eliminazione del coefficiente singolo per la luminanza
Valori negativi considereranno anche il coefficiente dc (deve essere almeno
-4 o meno per codifiche con quantizzazione=1)
.PD 0
.RSs
.IPs 0
disabilitato (default)
.IPs -4
(raccomandazione della JVT)
.RE
.PD 1
.TP
.B vcelim=<-1000\-1000>
soglia di eliminazione del coefficiente singolo per la crominanza
Valori negativi considereranno anche il coefficiente dc (deve essere almeno
-4 o meno per codifiche con quantizzazione=1)
.PD 0
.RSs
.IPs 0
disabilitato (default)
.IPs 7
(raccomandazione della JVT)
.RE
.TP
.B vstrict=<-1,0,1>
conformita' esatta allo standard
.RSs
.IPs 0
disabilitata (default)
.IPs 1
raccomandato solo se vuoi fornire il file di uscita nel decodificatore di
riferimento mpeg4
.IPs -1
permette codifica huffyuv YV12 non standard (file 20% piu' piccoli, ma non
possono venir visualizzati dai codec huffyuv ufficiali)
.RE
.PD 1
.TP
.B vdpart\ 
partizionamento dei dati.
Aggiunge 2 byte per ogni pacchetto video, migliorando la tolleranza agli errori
quando si trasferiscono dati su canali non affidabili (eg.\& streaming attraverso
internet)
Ogni pacchetto video verra' codificato in 3 partizioni separate:
.PD 0
.RSs
.IPs "1. MVs"
(movimenti)
.IPs "2. DC coefficients"
(immagini a bassa risoluzione)
.IPs "3. AC coefficients"
(dettagli)
.RE
.PD 1
.TP
.B \ n maniera
MV & DC sono i piu' importanti, perderli comporta un' immagine peggiore
rispetto alla perdita di AC e della partizione 1. & 2.(MV&DC) sono molto
piu' piccoli della partizione 3. (AC) e questo significa
che gli errori colpiscono la partizione AC molto piu' spesso che le
partizioni MV&DC.
Percio' l' immagine apparira' migliore con il partizionamento che senza,
perche' senza partizionamento un errore rovinera' AC/DC/MV egualmente.
.TP
.B vpsize=<0\-10000>
dimensione del pacchetto video, migliora la resistenza agli errori
(vedi anche l' opzione \-vdpart):
.RSs
.IPs 0
disabilitato (default)
.IPs 100-1000
buona scelta
.RE
.TP
.B ss\ \ \ \ \ 
modalita' 'slice structured' per H263+
.TP
.B gray\ \ \ 
codifica solo a toni di grigio (piu' veloce) (default: disabilitata)
.TP
.B vfdct=<0\-10>
algoritmo dct:
.PD 0
.RSs
.IPs 0
ne seleziona automaticamente uno buono (default)
.IPs 1
interi veloce
.IPs 2
interi accurato
.IPs 3
mmx
.IPs 4
mlib
.IPs 5
altivec
.IPs 6
floating point AAN
.RE
.PD 1
.TP
.B idct=<0\-99>
algoritmo idct.
.I NOTA:
Per quello che ne sappiamo tutti questi IDCT passano i test IEEE1180.
.PD 0
.RSs
.IPs 0
ne seleziona automaticamente uno buono (default)
.IPs 1
intero di riferimento jpeg
.IPs 2
semplice
.IPs 3
simplemmx (semplice mmx)
.IPs 4
libmpeg2mmx (inaccurato, NON USARLO per codifiche con keyint >100)
.IPs 5
ps2
.IPs 6
mlib
.IPs 7
arm
.IPs 8
altivec
.IPs 9
sh4
.RE
.PD 1
.TP
.B lumi_mask=<0.0\-1.0>
maschera di luminosita'.
Avvertimento: Attento, valori troppo grandi posso causare disastri.
Avvertimento 2: Valori grandi possono apparire buoni su certi monitor ma
orribili su altri.
.RSs
.IPs 0.0
disabilitato (default)
.IPs 0.0\-0.3
buon valore
.RE
.TP
.B dark_mask=<0.0\-1.0>
maschera di oscurita'
Avvertimento: Attento, valori troppo grandi posso causare disastri.
Avvertimento 2: Valori grandi possono apparire buoni su certi monitor ma
orribili su altri.
.RSs
.IPs 0.0
disabilitato (default)
.IPs 0.0\-0.3
buon valore
.RE
.TP
.B tcplx_mask=<0.0\-1.0>
maschera di complessita' temporale (default: 0.0 (disabilitata))
.TP
.B scplx_mask=<0.0\-1.0>
maschera di complessita' spaziale.
Valori grandi aiutano per la 'blocchizzazione', se non viene usato nessun
filtro di 'deblocchizzazione' nella decodifica.
Consiglio: Elimina completamente qualsiasi bordo nero in quanto riducono la qualita'
dei macroblock (fallo anche se non utilizza scplx_mask).
.RSs
.IPs 0.0
disabilitato (default)
.IPs 0.0\-0.5
buon valore
.RE
.TP
.B p_mask=<0.0\-1.0>
maschera inter MB (default: 0.0 (disabilitata))
.TP
.B naq\ \ \ \ 
Quantizzazione adattiva normalizzata (sperimentale).
Quando si usa una quantizzazione adattiva (*_mask), la media della quantizzazione
per-MB puo' non corrispondere alla quantizzazione del fotogramma.
Naq prova a regolare il quantizzatore per-MB per mantenere la media corretta.

.TP
.B ildct\ \ 
utilizza la dct interlacciata.
.TP
.B ilme\ \ \ 
utilizza la stima del movimento interlacciata.
.TP
.B alt\ \ \ \ 
utilizza una scantable alternativa
.TP
.B top=<-1\-1>\ \ \ 
.RSs
.IPs -1
automatica
.IPs 0
prima il field inferiore
.IPs 1
prima il field superiore
.RE
.TP
.B format=<valore>
.RSs
.IPs YV12
default
.IPs 444P
per ffv1
.IPs 422P
per huffyuv, jpeg senza perdita e ffv1
.IPs 411P,YVU9
per jpeg senza perdita e ffv1
.IPs BGR32
per jpeg senza perdita e ffv1
.RE
.TP
.B pred
(per huffyuv)
.PD 0
.RSs
.IPs 0
predizione 'left'
.IPs 1
predizione 'plane/gradient'
.IPs 2
predizione 'median'
.RE
.PD 1
.TP
.B pred
(per jpeg senza perdita)
.PD 0
.RSs
.IPs 0
predizione 'left'
.IPs 1
predizione 'top'
.IPs 2
predizione 'topleft'
.IPs 3
predizione 'plane/gradient'
.IPs 6
predizione 'mean'
.RE
.PD 1
.TP
.B coder
(per ffv1)
.PD 0
.RSs
.IPs 0
codifica vlc (golomb rice)
.IPs 1
codifica aritmetica (cabac)
.RE
.PD 1
.TP
.B context
(for ffv1)
.PD 0
.RSs
.IPs 0
modello con contesto piccolo
.IPs 1
modello con contesto grande
.RE
.PD 1
.TP
.B qpel\ \ \ 
utilizza la compensazione del movimento con quarti di pel (picture element, elemento dell' immagine)
Cosiglio: Sembra utile solo per codifiche ad alto bitrate.
.TP
.B ildctcmp=<0\-2000>
funzione di comparazione per la decisione del dct interlacciato
.TP
.B precmp=<0\-2000>
funzione di comparazione per il passo preliminare per la stima del movimento
.TP
.B cmp=<0\-2000>
funzione di comparazione per la stima del movimento con pel completo
.TP
.B subcmp=<0\-2000>
funzione di comparazione per la stima del movimento inferiore al pel completo
.TP
.B mbcmp=<0\-2000>
funzione di comparazione per la decisione del macroblok, utilizzato solo se mbd=0
.PD 0
.RSs
.IPs "0 (SAD)"
somma delle differenze assolute, veloce (default)
.IPs "1 (SSE)"
somma degli errori al quadrato
.IPs "2 (SATD)"
somma della differenza assoluta della trasformata di hadamard
.IPs "3 (DCT)"
somma della differenza assoluta della trasformata dct
.IPs "4 (PSNR)"
somma degli errori di quantizzazione al quadrato (non usare, bassa qualita')
.IPs "5 (BIT)"
numero di bit necessari per il blocco
.IPs "6 (RD)"
rapporto di distorsione ottimale, lento
.IPs "7 (ZERO)"
0
.IPs "8 (VSAD)"
somma delle differenze verticali assolute
.IPs "9 (VSSE)"
somma del quadrato delle differenze verticali assolute
.IPs +256\ 
utilizza anche il chroma, attualmente non funziona (correttamente)
con i fotogrammi B.
.RE
.PD 1
.TP
.B predia=<-99\-6>
Tipo e dimensione del diamante per il passo preliminare di stima del movimento
.TP
.B dia=<-99\-6>
Tipo e dimensione del diamante per la stima del movimento
.I NOTA:
La dimensione del diamante normale e quella della forma adattiva non
hanno lo stesso significato
.RSs
.IPs -3
diamante di dimensione 3 con forma adattiva (veloce)
.IPs -2
diamante di dimensione 2 con forma adattiva (veloce)
.IPs -1
sperimentale
.IPs  1
diamante normale con dimensione=1 (default) =diamante di tipo EPZS
.nf
.ne
      0
     000
      0
.fi
.br
.IPs 2
diamante normale con dimensione=2
.nf
.ne
      0
     000
    00000
     000
      0
.fi
.RE
.TP
.B trell\ \ 
Quantizzazione con ricerca trellis
Questo cerchera' la codifica ottimale per ogni blocco da 8x8.
La ricerca della quantizzazione trellis e' semplicemente una quantizzazione
ottimale nel senso del PSNR (Peak Signal Noise Ratio, rapporto segnale / rumore)
rispetto al bitrate (supponendo che non ci siano errori di approssimazione
introdotti dalla IDCT, che non e' ovviamente vero) e cerca semplicemente un
blocco con il minimo di errore e lambda*bits.
.PD 0
.RSs
.IPs lambda
costante che dipende da qp
.IPs bits\ 
numero di bit necessari per codificare il blocco
.IPs error
somma del quadrato degli errori di quantizzazione
.RE
.PD 1
.TP
.B cbp\ \ \ \ 
Pattern dei blocchi codificati con rapporto di distorsione ottimale.
Verra' selezionato il pattern del blocco codificato che minimizza la
distorsione + lambda*rate
Puo' essere usato solo insieme alla quantizzazione trellis
.TP
.B mv0\ \ \ \ 
cerca di codificare ogni MB con MV=<0,0> e seleziona il migliore.
non ha effetto se mbd=0
.TP
.B qprd\ \ \ 
rapporto di distorsione QP ottimale per il dato lambda per ogni macroblock
.TP
.B last_pred=<0\-99>
Quantita' di predittori del movimento dal fotogramma precedente
.PD 0
.RSs
.IPs 0
(default)
.IPs a
usera' 2a+1 x 2a+1 quadrati di predittori del movimento dei macroblock dal
fotogramma precedente.
.RE
.PD 1
.TP
.B preme=<0\-2>
passo preliminare di stima del movimento
.PD 0
.RSs
.IPs 0
disabilitato
.IPs 1
solo dopo i fotogrammi I (default)
.IPs 2
sempre
.RE
.PD 1
.TP
.B subq=<1\-8>
rifinitura della qualita' del subpel (per qpel) (default: 8).
.I NOTA:
Questo ha un significato effetto sulla velocita'
.TP
.B psnr\ \ \ 
stampa il psnr (peak signal to noise ratio, picco del rapporto segnale / rumore)
per il video completo alla fine della codifica e memorizza il psnr di ogni fotogramma
in un file con il nome simile a 'psnr_hhmmss.log'.
I valori tornati sono in dB (decibel), piu' alto e' migliore.
.TP
.B mpeg_quant
utilizza il quantizzatore MPEG invece di quello H.263
(default: disabilitato) (i.e.\& usa il quantizzatore H.263)
.TP
.B aic\ \ \ \ 
predittore ac (=predittore intra avanzato per H.263+)
.I NOTA:
vqmin deve essere 8 o piu' per AIC H263+.
.TP
.B aiv\ \ \ \ 
inter vlc alternativo per H.263+
.TP
.B umv\ \ \ \ 
MV illimitati (solo H.263+)
Permette la codifica di MV (Motion Vector, vettori di movimento) arbitrariamente lunghi.
.TP
.B ibias=<-256\-256>
bias del quantizzatore intra (256 == 1.0)
.br
default quantizzatore mpeg: 96
.br
default quantizzatore h263: 0
.br
.I NOTA:
Il quantizzatore MMX h263 non gestisce bias positivi (attiva vfdct=1or2),
Il quantizzatore MMX mpeg non gestisce bias negativi (attiva vfdct=1or2).
.TP
.B pbias=<-256\-256>
bias del quantizzatore inter (256 == 1.0)
.br
default quantizzatore mpeg: 0
.br
default quantizzatore h263: -64
.br
.I NOTA:
Il quantizzatore MMX h263 non gestisce bias positivi (attiva vfdct=1or2),
Il quantizzatore MMX mpeg non gestisce bias negativi (attiva vfdct=1or2).
.br
Consiglio: un bias piu' positivo (-32 \- -16 invece di -64) sembra migliorare il PSNR
.TP
.B nr=<0\-100000>
riduzione rumore, 0 disabilitato
.TP
.B qns=<0\-3>
Regolazione del rumore di quantizzazione, reduce gli artefatti circolari (ringing),
valori piu' grandi sono lenti ma potrebbero non risultare in qualita' migliore.
Puo' e dovrebbe essere usato insieme alla quantizzazione trellis, nel qual caso la
quantizzazione trellis (ottimale per peso costante ?) sara' usato come punto
iniziale per la ricerca iterativa.
.PD 0
.RSs
.IPs 0
disabilitato (default)
.IPs 1
abbassa solo il valore assoluto dei coefficienti.
.IPs 2
cambia solo i coefficienti prima dell' ultimo coefficiente non zero + 1
.IPs 3
prova tutto
.RE
.PD 1
.TP
.B inter_matrix=<comma separated matrix>
Usa una matrice inter custom. Necessita di una stringa di 64 interi separati da virgola.
.TP
.B intra_matrix=<comma separated matrix>
Usa una matrice intra custom. Necessita di una stringa di 64 interi separati da virgola.
.TP
.B vqmod_amp
Modulazione del quantizzatore sperimentale.
.TP
.B vqmod_freq
Modulazione del quantizzatore sperimentale.
.RE
.
.SS nuv (\-nuvopts)
.
Nuppel video e' basato su rtjpeg e lzo.
Per defaqult i fotogrammi sono prima codificati con rtjpeg e poi compressi con lzo.
Ma entrambi i passi possono essere abilitati o meno.
Percio' puoi generare flussi grezzi i420, flussi i420 compressi, rtjpeg oppure il
default lussi rtjpeg compressi con lzo.
.br
.I NOTA:
La documentazione di nuvrec contiene qualche consiglio ed esempi sulle
predisposizioni da usare per la maggior parte delle codifiche dalla TV.

.TP
.B c=<0\-20>
soglia della crominanza
.TP
.B l=<0\-20>
soglia della luminanza
.TP
.B nolzo \ 
disabilita la compressione lzo.
.TP
.B q=<3\-255>
Regola il livello di qualita'.
.TP
.B raw \ \ \ 
Disabilita la codifica rtjpeg.
.TP
.B rtjpeg\ 
Abilita la codifica rtjpeg.
.
.SS xvidenc (\-xvidencopts)
.
Ci sono tre modalita' disponibili: bitrate costante (CBR), quantizzatore fisso
e 2 passi.
.TP
.B pass=<1|2>
specifica il passo nel modo a 2 passi.
.TP
.B bitrate=<valore>
regola il bitrate da usare in kbits/\:second se <16000 oppure in bits/\:second
se >16000
(CBR o modalita' a 2 passi, default=687 kbits/s)
.TP
.B fixed_quant=<1\-31>
passa alla modalita' a quantizzazione fissa e specifica il fattore di quantizzazione
da usare
.TP
.B me_quality=<0\-6>
specifica la qualita' della scoperta del movimento (default=6)
.TP
.B interlacing
abilita il supporto per la gestione del materiale interlacciato (default=disabilitato)
.TP
.B 4mv\ \ \ \ 
utilizza 4 vettori di movimento per macroblock, puo' generare compressione
migliore al costo di una codifica piu' lenta (default=disabilitato)
.TP
.B rc_reaction_delay_factor=<valore>
specifica quanto debba essere veloce la reazione del controllo della dimensione
del file, valori minori indicano maggior velocita'
.TP
.B rc_averaging_period=<valore>
periodo per raggiungere la media richiesta
.TP
.B rc_buffer=<valore>
dimensione del buffer di controllo della dimensione del file
.TP
.B quant_range=<1\-31>\-<1\-31>[/<1\-31>\-<1\-31>]
quantizzazione minima e massima per tutti i fotogrammi (default=2\-31, modalita' CBR)
.br
quantizzazione minima e massima per i fotogrammi I/P (default=2\-31/2\-31, modalita' a 2 passi)
.TP
.B min_key_interval=<valore>
intervallo minimo tra due keyframe (default=0, solo 2 passi)
.TP
.B max_key_interval=<valore>
intervallo massimo tra due keyframe (default=10*fps)
.TP
.B mpeg_quant
utilizza la quantizzazione MPEG invece di quella H.263 (default=disabilitata)
.TP
.B mod_quant
decide se usare la quantizzazione MPEG o H.263 per ogni fotogramma
(default=disabilitata, solo modalita' 2 passi)
.TP
.B greyscale
codifica in bianco e nero (default=disabilitata)
.TP
.B debug\ \ 
Salva una serie di statistiche per ogni fotogramma in xvid.dbg (default=disabilitato).
Questo NON e' il file di controllo della modalita' a 2 passi.
.TP
.B keyframe_boost=<0\-1000>
(default=0, solo modalita' a 2 passi)
.TP
.B kfthreshold=<valore>
(default=10, solo modalita' a 2 passi)
.TP
.B kfreduction=<0\-100>
(default=30, solo modalita' a 2 passi)
.RE
.PP

Le opzioni seguenti sono disponibili solo con l' ultima versione
stabile XviD 0.9.2 (api3) e sono indicate come sperimentali e
instabili.
La nuova versione di sviluppo XviD 1.0 (api4) le supportera'
completamente.
.TP
.B packed\ 
crea un flusso di bit che puo' essere decodificato delay-free (default=disabilitato)
.br
.I ATTENZIONE:
Verra' generato un flusso illegale, e NON SARA' decodificabile
dai decodificatori IS-MPEG4 eccetto DivX/libavcodec/XviD
.br
.I ATTENZIONE:
Viene anche memorizzata una falsa versione DivX nel file e di
conseguenza l' attivazione automatica dell' eliminazione dei bug di
alcuni decodificatori puo' venir confusa
.TP
.B divx5bvop
genera dei fotogrammi B compatibili con DivX5 (default=attivo)
.TP
.B qpel\ \ \ 
abilita la stima del movimento con quarter-pixel (default=disabilitato)
.TP
.B gmc\ \ \ \ 
abilita la compensazione del moto globale, puo' fare risparmiare bit nelle
scene con il panning (default=disabilitato)
.TP
.B chroma_me
utilizza le informazioni di chroma per la stima del movimento (default=disabilitato)
.TP
.B chroma_opt
abilita un pre-filtro di ottimizzazione del chroma (default=disabilitato)
.TP
.B reduced
abilita la codifica di fotogrammi a risoluzione ridotta (default=disabilitato)
.TP
.B max_bframes=<0\-4>
numero massimo di fotogrammi di tipo B da mettere tra i fotogrammi I/P (default=0)
.TP
.B bquant_ratio=<0\-1000>
rapporto di quantizzazione tra fotogrammi di tipo B e fotogrammi non di tipo B,
150=1.50 (default=150)
.TP
.B bquant_offset=<-1000\-1000>
scostamento di quantizzazione tra fotogrammi di tipo B e fotogrammi non di tipo B,
100=1.00 (default=100)
.TP
.B bf_threshold=<-255\-255>
cambia la probabilita' di un fotogramma di essere un fotogramma B (default=0)
.TP
.B hq_ac\ \ 
abilita una miglior previsione dei componenti AC (default=disabilitato)
.TP
.B vhq=<0\-4>
abilita una ricerca ME (stima del movimento) di alta qualita' utilizzando la DCT,
dalla piu' rapida alla piu' lenta:
.PD 0
.RSs
.IPs 0
disabilitata (default)
.IPs 1
decisione del modo (inter/intra MB)
.IPs 2
ricerca limitata
.IPs 3
ricerca media
.IPs 4
ricerca ampia
.RE
.PD 1
.TP
.B aspect=<x/y | f (valore float)>
Memorizza l' aspetto del film internamente al file, proprio
come nei file MPEG.
Soluzione migliore della riscalatura perche' la qualita' non viene
ridotta.
Solo MPlayer e pochi altri programmi potranno visualizzare questi
file in modo corretto, gli altri
programmi visualizzeranno il filmato con l' aspetto sbagliato.
Il parametro puo' essere dato come un rapporto oppure un
numero floating point.
.TP
.B autoaspect
Uguale all' opzione aspect, ma automaticamente calcola l' aspetto,
tenendo in considerazione tutte le varie operazioni (taglia, espandi,
riscala, etc) fatte nella catena dei filtri.
.TP
.B psnr\ \ \ 
stampa il psnr (peak signal to noise ratio, picco del rapporto segnale / rumore)
per il video completo alla fine della codifica e memorizza il psnr di ogni fotogramma
in un file con il nome simile a 'psnr_hhmmss.log'.
I valori tornati sono in dB (decibel), piu' alto e' migliore.
.
.
.\" --------------------------------------------------------------------------
.\" Files
.\" --------------------------------------------------------------------------
.
.SH FILE
.TP
/etc/\:mplayer/\:mplayer.conf
configurazioni di sistema globale
.TP
~/.mplayer/\:config
configurazioni utente
.TP
~/.mplayer/\:input.conf
collegamenti di ingresso (vedi '\-input keylist' per un elenco completo dei tasti)
.TP
~/.mplayer/\:gui.conf
file di configurazione della GUI
.TP
~/.mplayer/\:gui.pl
playlist della GUI
.TP
~/.mplayer/\:font/
directory dei font (deve esserci un file font.desc e alcuni file con estensione .RAW.)
.TP
~/.mplayer/\:DVDkeys/
chiavi CSS salvate
.TP
I file sub (sottotitoli) sono ricercati in questo ordine (per esempio /mnt/\:cdrom/\:movie.avi):
.RS
/mnt/\:cdrom/\:movie.sub
.br
~/.mplayer/\:sub/\:movie.sub
.br
~/.mplayer/\:default.sub
.RE
.PD 1
.
.
.\" --------------------------------------------------------------------------
.\" Examples
.\" --------------------------------------------------------------------------
.
.SH ESEMPI
.TP
.B Riproduzione veloce di DVD
mplayer dvd://1
.TP
.B Riproduci in giapponese con i sottotitoli in inglese
mplayer dvd://1 \-alang ja \-slang en
.TP
.B Riproduci solo i capitoli 5, 6, 7
mplayer dvd://1 \-chapter 5-7
.TP
.B Riproduci un DVD multi angolo
mplayer dvd://1 \-dvdangle 2
.TP
.B Riproduci utilizzando un diverso device del DVD
mplayer dvd://1 \-dvd-device /dev/\:dvd2
.TP
.B Stream da HTTP
mplayer http://mplayer.hq/\:example.avi
.TP
.B Stream utilizzando RTSP
mplayer rtsp://server.example.com/\:streamName
.TP
.B Converti i sottotitoli in MPsub (su ./dump.mpsub)
mplayer dummy.avi \-sub source.sub \-dumpmpsub
.TP
.B Convert i sottotitoli in MPsub senza guardare il film
mplayer /dev/zero \-rawvideo on:pal:fps=xx \-vc null \-vo null \-noframedrop
\-benchmark \-sub source.sub \-dumpmpsub
.TP
.B Ingresso da V4L standard
mplayer tv:// \-tv driver=v4l:width=640:height=480:outfmt=i420 \-vc rawi420
\-vo xv
.TP
.B Riproduzione su una scheda Zoran (vecchio stile, deprecato)
mplayer -vo zr -vf scale=352:288 file.avi
.TP
.B Riproduzione su una scheda Zoran (nuovo stile)
mplayer -vo zr2 -vf scale=352:288,zrmjpeg file.avi
.TP
.B Codifica il titolo DVD #2, solo i capitoli selezionati
mencoder dvd://2 \-chapter 10-15 \-o title2.avi \-oac copy \-ovc lavc \-lavcopts vcodec=mpeg4
.TP
.B Codifica il titolo DVD #2, riscalando a 640x480
mencoder dvd://2 \-vf scale=640:480 \-o title2.avi \-oac copy \-ovc lavc \-lavcopts vcodec=mpeg4
.TP
.B Codifica il titolo DVD #2, riscalando a 512xHHH (mantiene il rapporto di aspetto)
mencoder dvd://2 \-vf scale \-zoom \-xy 512 \-o title2.avi \-oac copy
\-ovc lavc \-lavcopts vcodec=mpeg4
.TP
.B Stessa cosa, con la compressione MPEG4 (Divx5) di libavcodec
mencoder dvd://2 \-o title2.avi \-ovc lavc
\-lavcopts vcodec=mpeg4:vhq:vbitrate=1800 \-oac copy
.TP
.B Stessa cosa, con la compressione MJPEG di libavcodec
mencoder dvd://2 \-o titel2.avi \-ovc lavc
\-lavcopts vcodec=mjpeg:vhq:vbitrate=1800 \-oac copy
.TP
.B Codifica tutti i file *.jpg nella directory corrente
mencoder "mf://*.jpg" \-mf fps=25 \-o output.avi \-ovc lavc \-lavcopts vcodec=mpeg4
.TP
.B Codifica dal sintonizzatore
mencoder \-tv driver=v4l:width=640:height=480 tv:// \-o tv.avi \-ovc raw
.TP
.B Codifica da una pipe
rar p test-SVCD.rar | mencoder \-ovc lavc \-lavcopts vcodec=mpeg4:vbitrate=800 \-ofps 24 \-
.
.
.\" --------------------------------------------------------------------------
.\" Bugs, authors, standard disclaimer
.\" --------------------------------------------------------------------------
.
.SH BUG
Se ne trovi uno, riportacelo, ma devi, per cortesia, essere sicuro di aver
prima letto tutta la documentazione.
Molti errori sono il risultato di una configurazione errata oppure di parametri
sbagliati.
La sezione della documentazione riguardante il reporting dei bug (DOCS/HTML/en/bugreports.html)
spiega come creare dei 'bug report' utili.
.
.
.SH AUTORI
MPlayer e' stato scritto inizialmente da Arpad Gereoffy.
Vedi il file AUTHORS per una lista di alcuni dei tanti contributori.
.TP
MPlayer e' (C) 2000\-2004
.B The MPlayer Team
.TP
Questa pagina di manuale (versione inglese) e' scritta e mantenuta da
.B Gabucino
.br
.B Diego Biurrun
.br
.B Jonas Jermann
.PP
La traduzione in italiano e' mantenuta da Daniele Forghieri
.PP
Per favore spedisci qualsiasi messaggio riguardante questa documentazione
alla mailing list MPlayer-DOCS.
.
.
.SH "RINUNCIA STANDARD"
Usalo solo a tuo rischio e pericolo!
Potrebbero esserci errori ed inaccuratezze che potrebbero danneggiare
qualsiasi cosa, dal tuo sistema ai tuoi occhi.
Muoviti con cautela, e anche se e' altamente improbabile che succeda qualcosa,
gli autori non prenderanno nessuna responsabilita'.
.\" end of file
